2012-05-07  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset 7c249e2a82a9
	[d3acee47cee4] [tip]

	* .hgtags:
	Added tag 2.1.6 for changeset 7c249e2a82a9
	[4fc570461e88]

	* NEWS, configure.in:
	Released v2.1.6.
	[7c249e2a82a9] [2.1.6]

	* Makefile.am:
	Makefile: Remove dovecot-config on make uninstall
	[f7bb8d105710]

2012-05-06  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-request.c:
	auth: Previous change caused crashing with userdb lookups
	[9da556b9a902]

2012-05-05  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-request.c:
	auth: Added %{session} variable for passdb/userdb queries.
	[3d8a25a4394d]

2012-05-04  Timo Sirainen  <tss@iki.fi>

	* src/plugins/acl/acl-backend-vfile-acllist.c, src/plugins/acl/acl-
	cache.c:
	acl: Memory leak fixes
	[5df8bac9a0c6]

	* src/plugins/mail-log/mail-log-plugin.c:
	mail-log: Memory leak fix
	[2a42fe2d42f3]

	* src/lib-storage/index/shared/shared-storage.c, src/lib-storage/mail-
	user.c:
	shared mailboxes: If successful userdb lookup doesn't return home,
	fallback to mail_home setting for %%h.
	[6dabd9545d48]

	* src/master/service-listen.c:
	systemd: If a socket is enabled in systemd but not in Dovecot
	config, close it. Based on patch by Michal Hlavinka.
	[4a3bf567da54]

	* doc/example-config/conf.d/10-mail.conf, src/lib-storage/mail-
	storage-settings.c, src/lib-storage/mail-storage-settings.h, src
	/lib-storage/mailbox-list.c:
	Added mail_shared_explicit_inbox setting.
	[40a544fc4778]

	* src/lib-storage/index/dbox-common/dbox-file.c, src/lib-storage/index
	/dbox-multi/mdbox-purge.c:
	dbox: Metadata read buffer's size was supposed to be unlimited, not
	zero. This was broken by 59f5238c6e61, which itself had fixed
	another bug.
	[fa6662ab4df3]

	* src/doveadm/doveadm-mutf7.c:
	doveadm mailbox mutf7: If input data is invalid, exit with
	EX_DATAERR.
	[3689eced9381]

	* src/plugins/mail-log/mail-log-plugin.c:
	mail-log: Removed broken "are we saving?" check from copy event
	handling.
	[b89b98ebe52b]

	* src/plugins/notify/notify-storage.c:
	notify plugin: mailbox_save_using_mail() now sends "save" events,
	not "copy".
	[8a4d314ef7d0]

	* src/lib-storage/mail-storage.c:
	lib-storage: Don't set mail_save_context->saving=TRUE when copying
	via save.
	[5d9a5011c1bf]

2012-05-03  Timo Sirainen  <tss@iki.fi>

	* src/lib-index/mail-index-transaction-private.h, src/lib-index/mail-
	index-transaction-update.c, src/lib-index/mail-index-transaction.c,
	src/lib-index/test-mail-index-transaction-update.c:
	lib-index: Fixed MAIL_INDEX_SYNC_FLAG_AVOID_FLAG_UPDATES with
	concurrent keyword changes. If session 1 saw keywords="a", session 2
	added keyword "b" and session 1 (without the client syncing session)
	replaced flags with "a", the "b" keyword wasn't removed.
	[5d45870e2e4a]

2012-04-27  SATOH Fumiyasu  <fumiyas@osstech.co.jp>

	* src/lib-storage/index/index-search-private.h, src/plugins/stats
	/stats-plugin.h:
	Fix the build failure on AIX
	[d5bbb1d203c5]

2012-05-01  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mailbox-list.c:
	lib-storage: shared/$user/INBOX is now visible only as shared/$user
	[3bb6d153c9c3]

	* src/lib/aqueue.c:
	aqueue: Reversed recent changes, they didn't work as intended.
	[99a30e40dce9]

2012-04-30  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/index-status.c:
	Increased initial memory pool size.
	[6c381b3e0a3d]

	* src/lib/seq-range-array.c, src/lib/test-seq-range-array.c:
	seq_range_array_add(): Ranges weren't always merged when they could
	have. This didn't break anything, but it used up more memory than
	necessary.
	[bac5e1dae4ed]

2012-04-28  Timo Sirainen  <tss@iki.fi>

	* src/lib/aqueue.c, src/lib/array.c, src/lib/array.h:
	Code cleanup: Use array_count_i() to calculate array's size
	internally.
	[2f776ca73cef]

	* src/auth/auth-request.c, src/auth/auth-request.h, src/lib-auth/auth-
	client-request.c, src/lib-auth/auth-client.h, src/login-common
	/login-settings.c, src/login-common/sasl-server.c:
	auth: Include session ID in log line prefix.
	[629afda8e29d]

	* src/lib-storage/index/index-status.c, src/lib-storage/mail-storage-
	private.h, src/lib-storage/mail-storage.c:
	lib-storage: Allocate MAILBOX_METADATA_CACHE_FIELDS from a new
	metadata mempool.
	[3b4c336ed01b]

2012-04-26  Timo Sirainen  <tss@iki.fi>

	* src/plugins/acl/acl-backend-vfile.c:
	acl: Fixed looking up parent mailbox name with different namespace
	vs. layout separators.
	[e8b80e0767ac]

2012-04-25  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mail-user.c:
	lib-storage: Fixed expanding path that ends with "~/" For example
	mail_location=maildir:~/ would actually try to create '~' directory.
	[249c1c89d9d3]

	* src/auth/passdb-static.c:
	passdb static: Don't crash if password/nopassword isn't set.
	[c2038fb33633]

	* doc/example-config/conf.d/10-ssl.conf, src/login-common/login-
	settings.c, src/login-common/login-settings.h, src/login-common/ssl-
	proxy-openssl.c:
	*-login: Added ssl_require_crl setting.
	[008c1afeba3c]

	* src/plugins/stats/stats-plugin.c:
	stats plugin: Open /proc/self/io only once, reopening is
	unnecessary.
	[96800058f29b]

	* src/auth/auth-request.c, src/login-common/client-common-auth.c, src
	/login-common/client-common.h, src/login-common/login-proxy.c, src
	/login-common/login-proxy.h:
	SSL proxying: Remote's host never matched cert, because auth process
	changed it to IP. Now the "host" parameter isn't changed, but a new
	optional "hostip" parameter contains the IP address where to connect
	to.
	[773ca397d799]

	* src/login-common/ssl-proxy-openssl.c:
	*-login: Don't fail client's certificate if CRL is expired. This
	seems to be returned also when there is no CRL..
	[c2b7767afc38]

	* src/login-common/login-proxy.c, src/login-common/ssl-proxy-
	openssl.c, src/login-common/ssl-proxy.c, src/login-common/ssl-
	proxy.h:
	*-login: If client certificate isn't valid, log the reason why.
	[36cde186aec6]

	* src/auth/auth-request.c:
	auth: Fixed handling multiple passdbs where some use proxying and
	others don't.
	[3893f2b7e4ab]

	* src/auth/auth-request-handler.c:
	auth: Minor code cleanup.
	[26bf68448638]

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: List INBOX for inbox=yes namespace even imapc_list_prefix is
	set.
	[aba344bb85f3]

	* src/lib-storage/mailbox-list-iter.c:
	lib-storage: Make sure both MAILBOX_CHILDREN and MAILBOX_NOCHILDREN
	flags aren't set.
	[e928c1575689]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Treat \Nonexistent mailboxes the same as \Noselect mailboxes.
	[cb78154a9c0c]

	* src/lib-ssl-iostream/iostream-openssl.c:
	lib-ssl-iostream: Fixed a memory leak when verifying certificate
	name. This mainly mattered when proxying with SSL to remote server.
	[d2b01dcce79f]

2012-04-24  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/doveadm-mail-expunge.c:
	doveadm expunge -d: If mailbox is deleted, unsubscribe it also
	[b1653b7bd165]

	* src/plugins/trash/trash-plugin.c:
	trash plugin: Fixed behavior when quota is already over limit.
	[dd3798681283]

	* src/plugins/quota/quota-private.h, src/plugins/quota/quota.c:
	quota: Set to quota transaction how many bytes/messages we're over
	quota.
	[ec8564741aa8]

2012-04-23  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Fixed imapc_list_prefix setting to work with INBOX.
	[6607e35dd8d2]

	* .hgsigs:
	Added signature for changeset 469cee314d9c
	[6a2ce99e39d4]

	* .hgtags:
	Added tag 2.1.5 for changeset 469cee314d9c
	[9fff96c9cfcd]

	* NEWS, TODO, configure.in:
	Released v2.1.5.
	[469cee314d9c] [2.1.5]

	* src/lib/test-strfuncs.c:
	Make static analyzer happier.
	[27415a4568b3]

	* src/lib-index/mail-index-modseq.c, src/lib-index/mail-index-
	modseq.h:
	lib-index: Added mail_index_have_modseq_tracking() needed for
	previous commit.
	[972b296db20a]

	* src/lib-storage/index/index-status.c:
	imap: While modseq tracking hasn't been enabled, return mailbox as
	NOMODSEQ. It would be possible to avoid this by always keeping track
	of highestmodseq, but that requires changing the index format a bit.
	[1222b7e38bf3]

	* src/lib-storage/mailbox-list.c:
	listescape: Don't unescape namespace prefix.
	[63af3274fb6f]

	* src/plugins/quota/quota-count.c:
	quota: Recalculation now also counts the namespace prefix mailbox's
	quota if it exists.
	[4c8f79d1f9f1]

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Don't list mailboxes that don't match list patterns.
	[f24cdf8b0624]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-storage/mailbox-
	tree.c, src/lib-storage/mailbox-tree.h:
	imapc: Nonexistent mailboxes were returned as selectable mailboxes.
	[4cea936d57f2]

2012-04-20  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-settings.c, src/lib-storage/index/imapc
	/imapc-settings.h:
	imapc: Added imapc_list_prefix setting to limit what mailboxes are
	accessed.
	[03f44d61d582]

	* src/director/director-connection.c:
	director: Delay disconnecting director after sending CONNECT
	command. The director may not otherwise read the CONNECT.
	[d27b743c9921]

	* src/director/director-connection.c:
	director: Forward DIRECTOR commands to other connected directors.
	They can use it to realize that the director was restarted and its
	sequences start from 1.
	[1856e9085f94]

	* src/director/director.c, src/director/director.h:
	director: Try harder to connect to ring before thinking we're alone.
	[f880cf0efa0a]

	* src/director/director.c:
	director: Director ring needs to be set unsynced immediately even
	when sycning is frozen.
	[a5b7dda1db6d]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: Fixed listing mailboxes with prefix=INBOX/
	[8d0b71fb3e49]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: Don't assume '/' hierarchy separator when finding mailbox
	roots.
	[a41f64348d0d]

	* src/director/director-connection.c:
	director: When another director reconnects, reset its "last received
	seq". This fixes some problems where HOST updates and others were
	thought as already being received after the originating director was
	restarted.
	[798b5e1609e5]

	* src/director/director-connection.c, src/director/director-request.c,
	src/director/director.c, src/director/test-user-directory.c,
	src/director/user-directory.c, src/director/user-directory.h:
	director: Removed special (time_t)-1 code, it's not actually needed.
	Also this fixes a user refreshing issue.
	[45be27ff3414]

	* src/director/director-connection.c:
	director: Minor error message fix
	[58286c1e272d]

	* src/director/director-connection.c:
	director: And crashfix for previous change..
	[5d169948b59d]

	* src/director/director-connection.c:
	director: Adding 25c941423e42 patch yet again, now it seems to work
	right. And also fixes detection of outgoing connections that die
	during handshake sending.
	[25ca6b6d754a]

	* src/director/director-connection.c:
	director: USER sending timeout was higher than it needed to be. The
	problem was USER sending getting stuck, not the timeout itself..
	[10f5456704a7]

	* src/director/director-connection.c:
	director: Removed unnecessary error messages.
	[0c3c4d098842]

	* src/director/director-connection.c:
	director: Another fix for stuck handshake.
	[ce4e1bf7262d]

	* src/director/director-connection.c:
	director: Make sure handshaking doesn't get stuck sending USERs.
	[d9f33d78fa3d]

	* src/director/director-connection.c:
	director: Fixed protocol error detection/handling.
	[293ada796ae6]

	* src/director/director-connection.c:
	director: Improved debug handshake message.
	[ee169584bc44]

	* src/director/director-connection.c:
	director: Increased timeout for sending USER data in handshake.
	[ea5b949a623b]

	* src/director/director-connection.c:
	director: Improved error message
	[8245a97bf36c]

2012-04-19  Timo Sirainen  <tss@iki.fi>

	* src/director/director-connection.c:
	director: Reverted previous change, it didn't work properly.
	[9ef4dee0792f]

	* src/director/director-connection.c:
	director: Don't delay reading input from remote connection during
	handshake.
	[25c941423e42]

	* src/lib/ioloop.c:
	timeout_reset(): Don't use cached ioloop_timeval. Timeouts are
	sometimes reset after a long running callback. In those cases a
	cached timeval may be too far behind.
	[266521d59e2c]

	* src/director/director.c:
	director: Decreased timeout for resending lost SYNC request.
	[3acc1451ab56]

	* src/anvil/anvil-connection.c, src/auth/auth-master-connection.c,
	src/auth/auth-request-handler.c, src/auth/auth-stream.c, src/auth
	/auth-worker-client.c, src/auth/db-checkpassword.c, src/auth/passdb-
	blocking.c, src/auth/passdb-cache.c, src/config/config-connection.c,
	src/dict/dict-commands.c, src/director/director-connection.c,
	src/director/director-test.c, src/director/doveadm-connection.c,
	src/director/login-connection.c, src/doveadm/doveadm-director.c,
	src/doveadm/doveadm-penalty.c, src/doveadm/doveadm-proxy.c,
	src/doveadm/doveadm-who.c, src/ipc/ipc-connection.c, src/lib-auth
	/auth-master.c, src/lib-auth/auth-server-connection.c, src/lib-
	master/master-login-auth.c, src/lib-master/master-login.c, src/lib-
	master/master-service-settings.c, src/login-common/login-proxy.c,
	src/util/script-login.c:
	Use t_strsplit_tab() wherever possible
	[fc8031c5e691]

	* src/lib/strfuncs.c, src/lib/strfuncs.h, src/lib/test-strfuncs.c:
	Added t_strsplit_tab()
	[7eb9688c266f]

	* src/director/user-directory.c:
	director: Never set user's timestamp higher than our ioloop_time.
	[9104a9074a5a]

	* src/director/Makefile.am, src/director/director-connection.c,
	src/director/director-request.c, src/director/director.c,
	src/director/test-user-directory.c, src/director/user-directory.c,
	src/director/user-directory.h:
	director: Optimized adding users to linked list during handshake.
	[0b4295b48941]

	* src/director/director-connection.c:
	director: Increased timeouts.
	[110673e82868]

	* src/lib-storage/index/raw/raw-storage.c:
	raw storage: Name autocreated namespace as "raw-storage".
	[90d7364b8c9d]

	* src/lmtp/commands.c:
	LMTP: Don't add Return-Path: header when proxying. The backend also
	adds it and we don't want duplicates.
	[85b3975c9008]

	* src/doveadm/doveadm-mail-expunge.c, src/doveadm/doveadm-mail-iter.c,
	src/doveadm/doveadm-mail-iter.h:
	doveadm expunge: Added -d parameter to delete mailbox if it's empty
	after expunging.
	[782570f644f7]

	* src/lib-storage/index/index-storage.c, src/lib-storage/mail-storage-
	private.h, src/lib-storage/mail-storage.c, src/lib-storage/mail-
	storage.h:
	lib-storage: Added mailbox_delete_empty().
	[2d8bafd11569]

	* src/lib-storage/index/maildir/maildir-sync.c, src/lib-
	storage/index/maildir/maildir-sync.h, src/lib-storage/index/maildir
	/maildir-util.c:
	maildir_very_dirty_syncs=yes: Try harder to avoid readdir()ing.
	[ff07827db69a]

2012-04-18  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-settings.c:
	auth: Changed auth-userdb socket's default user to
	$default_internal_user. This makes the defaults more usable for
	director setups.
	[bda92bf286a0]

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: doveadm fts rescan now resets the last-indexed-uid fields
	to allow reindexing.
	[d145ea6f7061]

	* src/plugins/trash/trash-plugin.c:
	trash plugin fixes
	[51b40cffb628]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Use SHA1 of message header for guid-forced instead of the
	entire body.
	[ea7ca6330491]

	* src/lib-storage/index/imapc/imapc-mail.c, src/lib-
	storage/index/imapc/imapc-settings.c, src/lib-storage/index/imapc
	/imapc-settings.h:
	imapc: Added guid-forced feature to use SHA1(message) as GUID.
	[16ed300484c9]

2012-04-17  Timo Sirainen  <tss@iki.fi>

	* src/login-common/client-common.c:
	login: Log message change: Tried to use s/disabled/disallowed/
	plaintext auth
	[d6376942d9a6]

2012-04-16  Timo Sirainen  <tss@iki.fi>

	* src/login-common/ssl-proxy-openssl.c:
	login: Fixed per-IP ssl_ca setting inside local/remote block.
	[b60701dd4751]

2012-04-12  Timo Sirainen  <tss@iki.fi>

	* src/login-common/ssl-proxy-openssl.c:
	login: Another attempt at fixing SSL memory leak.
	[85ad4baedd43]

	* src/login-common/ssl-proxy-openssl.c:
	login: Reverted memory leak fix, because it broke some SSL setups?
	[f80f18d0ffa3]

2012-04-11  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/index-thread.c, src/login-common/ssl-proxy-
	openssl.c, src/plugins/quota/quota.c:
	Memory leak fixes.
	[584bd77c38fd]

	* src/lib-storage/mailbox-list-iter.c:
	lib-storage: LIST with mailbox {} settings incorrectly set
	subscribed-flags.
	[9cc178c7afb3]

	* src/lib-dict/dict-file.c:
	dict file: Fixed assert-crash with fcntl/flock lock method.
	[4fb683720a06]

	* src/lib-storage/index/mbox/mbox-storage.h, src/lib-
	storage/index/mbox/mbox-sync.c:
	mbox: Make sure each mailbox creation generates a different
	UIDVALIDITY.
	[85966c47f172]

	* src/lib-storage/index/index-storage.c:
	mbox: Deleting a mailbox didn't delete its index files.
	[c67ea0d68b77]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: LIST may have shown mailbox as \HasNoChildren when it
	did. This probably only happened with mbox.
	[b016e771d8ab]

	* src/lib/data-stack.c, src/lib/mempool-alloconly.c, src/master
	/master-settings.c:
	--enable-devel-checks: If DEBUG_SILENT environment is set, hide
	"Growing pool" warnings.
	[7ec8f6515b0d]

2012-04-10  Timo Sirainen  <tss@iki.fi>

	* src/lib-dict/dict-file.c:
	dict file: Bugfix for previous lock change and changed its
	configuration syntax.
	[bf5ae73e9475]

	* src/lib-dict/dict-file.c:
	dict file: Optionally use fcntl/flock locking, instead of dotlocks.
	[a1c0e4046d81]

	* src/lib-storage/mail-user.c:
	lib-storage: mail_user_try_home_expand() now looks up home only when
	needed. Before a recent code cleanup the lookup was always done, but
	if the home didn't exist it still just happened to return success.
	The cleanup changed it to return failure, which broke the original
	behavior.
	[20e1aa322b1e]

	* src/lib-storage/index/pop3c/pop3c-mail.c:
	pop3c: "TOP msgnum 0" was missing the 0 parameter.
	[0b59dbb1a288]

	* src/lib-storage/index/pop3c/pop3c-client.c:
	pop3c: Removed extra "R " prefix from POP3 server error messages.
	[35e232e961d3]

2012-04-09  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset 2c21c940e19d
	[97cba128896f]

	* .hgtags:
	Added tag 2.1.4 for changeset 2c21c940e19d
	[1fe529f50259]

	* NEWS, configure.in:
	Released v2.1.4.
	[2c21c940e19d] [2.1.4]

	* src/director/director-connection.c:
	director: Fixed disconnecting unwanted connection.
	[3771ff9c04d2]

	* src/lib-storage/mail-storage.c:
	lib-storage: If mailbox deletion crashed, undelete the mailbox when
	opening it. The deletion is assumed to be crashed if it was started
	over 5 minutes ago.
	[a109580dea25]

2012-04-03  Timo Sirainen  <tss@iki.fi>

	* src/lib-index/mail-transaction-log-file.c:
	lib-index: Minor code cleanup.
	[30f8ef8696f0]

2012-04-09  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mail-user.c:
	lib-storage: Set mail_user.service earlier.
	[2bf504b33d64]

	* src/imap/cmd-fetch.c:
	imap: Don't allow FETCH items list to be empty.
	[19e09ab09383]

	* src/director/director-connection.c, src/director/director-host.h,
	src/director/director.c, src/director/director.h, src/director
	/doveadm-connection.c:
	director: Don't communicate with directors that recently sent
	invalid input. Track network and protocol failures separately. If a
	director had sent invalid protocol data within last 60 seconds,
	don't try to connect to it and don't allow it to connect to us.
	[366b9e5fc85c]

	* src/director/director-connection.c, src/director/director-
	connection.h, src/director/director.c:
	director: Don't try to send the new SYNC parameter to old director
	versions. This should allow adding new directors to an old director
	ring without anything breaking. Once all directors have upgraded
	they start using the new features.
	[084064444f89]

2012-04-04  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mail-user.c:
	lib-storage: Minor code cleanup.
	[f267a2b3f424]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: Fixed iteration with mail_full_filesystem_access=yes
	[86e6dc46a80e]

	* src/lib-storage/list/mailbox-list-maildir-iter.c, src/lib-
	storage/list/mailbox-list-subscriptions.c, src/lib-storage/list
	/mailbox-list-subscriptions.h:
	Maildir++: Return nonexistent subscribed mailbox with nonexistent
	flag. e.g. LIST (SUBSCRIBED) "" *
	[f03e81b702a8]

	* src/lib-storage/mail-search-register-human.c:
	lib-storage: Human search builder now uses SEARCH_MAILBOX_GLOB only
	when wildcards are used.
	[7a414d055b3c]

	* src/doveadm/doveadm-mailbox-list-iter.c:
	doveadm: When AND-search includes mailbox names, don't bother going
	through them by list iteration.
	[1b6fb6363e7f]

	* src/doveadm/doveadm-mail-mailbox.c:
	dovadm mail commands: When mailbox parameter has no wildcard, use
	SEARCH_MAILBOX.
	[200af5e4c44f]

	* src/doveadm/doveadm-mail-mailbox-status.c:
	doveadm status: Don't include the fields parameter as a mailbox in
	search query.
	[19e9a83ca8dc]

	* src/plugins/pop3-migration/pop3-migration-plugin.c:
	pop3-migration: Error message improvement.
	[52ad5a66ee58]

	* src/lib-storage/mail-namespace.c:
	lib-storage: Require at least one namespace to be non-hidden
	[1a33cc98666a]

	* src/doveadm/doveadm-auth.c:
	doveadm user: Added -m parameter to show some of the mail settings.
	[601014feade4]

	* src/lib-storage/Makefile.am:
	Makefile: Link libdovecot-storage.so with LINKED_STORAGE_LDADD.
	[8b91367bc3e1]

	* src/auth/db-ldap.c, src/auth/db-ldap.h, src/auth/passdb-ldap.c:
	ldap: Removed warning about changed user_* settings. This warning
	can happen even with recommended settings when symlinking the
	passdb's ldap config to userdb ldap config.
	[324df4134049]

	* src/lib-storage/mail-user.c:
	lib-storage: When doing a userdb lookup, use the user's service
	instead of "lib-storage".
	[2250f11695bc]

	* src/auth/db-ldap.c, src/auth/db-ldap.h:
	ldap: Treat =key the same as =key=, just like v2.0.
	[9930c75b989a]

	* src/lib-lda/mail-deliver.c:
	lib-lda: mail_deliver()'s dest_mail now prefetches message's GUID.
	This fixes copying an already expunged mail with maildir.
	[c93601fa444e]

	* src/lib-storage/index/index-mail.h, src/lib-storage/index/maildir
	/maildir-mail.c:
	maildir: Remember the mail's GUID/filename in memory once it's
	fetched once. This allows retrieving it later even if the message
	gets expunged.
	[96ce9c0c6f05]

	* src/lib-storage/index/dbox-single/sdbox-copy.c:
	sdbox: If copying with link() fails with ENOENT, fallback to trying
	regular copying. This also fixes missing error reporting for that
	case.
	[cc734436c140]

	* src/lib-storage/index/shared/shared-storage.c:
	lib-storage: Previous change incorrectly reverted setting parent
	shared namespace usable.
	[2bcab08dc994]

	* src/lib-storage/index/shared/shared-storage.c:
	lib-storage: Fixed setting usable/unusable flags for shared
	namespaces. If a namespace doesn't have a root that exists, mark it
	as unusable. This avoids ACL plugin from autocreating that
	directory.
	[4fe357d34faf]

	* src/doveadm/doveadm-mail-mailbox.c:
	doveadm mailbox delete: -s parameter wasn't working.
	[411344f9daf3]

	* src/lib-index/mail-index-map.c:
	lib-index: Don't assert-crash with broken extension record intros in
	log.
	[47526bf86c57]

2012-04-03  Timo Sirainen  <tss@iki.fi>

	* src/director/director-connection.c, src/director/director-
	connection.h, src/director/director.c, src/director/director.h:
	director: Redesigned connection handling and error handling.
	Director now accepts all connections from everywhere and syncs them
	until the handshaking is finished. At that point it finally decides
	if this is a connection that should be used as our left/right
	connection, or if it should be disconnected. This should make
	connecting more reliable, especially if one of the directors sends
	broken handshake or has other trouble.
	[b43ae3805f5f]

	* src/director/director-connection.c, src/director/director-
	connection.h, src/director/director.c:
	director: Handle all commands during handshake. Previously the
	sender might have sent these commands, but the receiver wouldn't
	have handled them and instead just disconnected.
	[544a8c4705e5]

	* src/director/director-connection.c:
	director: Improved error logging for handling invalid
	commands/parameters.
	[d6cd93e32b37]

2012-04-02  Timo Sirainen  <tss@iki.fi>

	* src/director/director-connection.c, src/director/director-
	connection.h, src/director/director.c, src/director/director.h:
	director: List of director connections belongs to struct director.
	[c760ac046203]

	* src/director/director-connection.c, src/director/director-
	connection.h, src/director/director.c:
	director: Changes to PING handling. Use larger ping timeouts. While
	waiting for sync keep doing rapid pings until the sync is finished,
	not just once.
	[168e3b5cb6e8]

	* src/imap/cmd-list.c:
	imap: Enabling SPECIAL-USE selection option should also enable the
	same return option.
	[7f4c35fcae80]

2012-03-30  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-mail.c, src/lib-storage/index/imapc/imapc-
	settings.c, src/lib-storage/index/imapc/imapc-settings.h, src/lib-
	storage/index/imapc/imapc-storage.h:
	imapc: Added imapc_features=rfc822.size setting to use RFC822.size
	for physical sizes.
	[6a8b78450202]

	* src/plugins/pop3-migration/pop3-migration-plugin.c:
	pop3-replication: Don't request virtual size from IMAP mailbox, we
	don't need it.
	[87cd04f35f82]

	* src/plugins/pop3-migration/pop3-migration-plugin.c:
	pop3-migration: Migrate also POP3 ordering.
	[6df2235fd6af]

	* src/doveadm/dsync/dsync-data.h, src/doveadm/dsync/dsync-worker-
	local.c:
	dsync: Preserve pop3 ordering. This is currently done only when
	syncing locally, because it's not easy to add more fields for the
	current dsync proxying protocol in backwards compatible way. dsync
	redesign should fix this.
	[7ae930911a74]

	* src/lib-storage/index/maildir/maildir-save.c, src/lib-storage/mail-
	storage-private.h, src/lib-storage/mail-storage.c, src/lib-storage
	/mail-storage.h:
	lib-storage: Added mailbox_save_set_pop3_order() and implemented for
	Maildir.
	[82cd7aa65faf]

	* configure.in, src/plugins/Makefile.am,
	src/plugins/pop3-migration/Makefile.am,
	src/plugins/pop3-migration/pop3-migration-plugin.c,
	src/plugins/pop3-migration/pop3-migration-plugin.h:
	Added pop3-migration plugin for getting POP3 UIDLs from POP3 server.
	The idea is to use this with dsync to migrate mails via imapc, but
	for getting POP3 UIDLs via pop3c.
	[78317179b4af]

	* src/lib-storage/index/pop3c/pop3c-storage.c:
	pop3c: Allow accessing via INBOX, regardless of what namespace it
	exists in.
	[8a94981d8040]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: Don't crash in iteration if there is no root dir (pop3c).
	[b7dc140e6b4d]

	* src/doveadm/dsync/dsync-brain-msgs.c:
	dsync: Fixed handling messages without GUID.
	[078697a32109]

2012-03-29  Timo Sirainen  <tss@iki.fi>

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: Added assert + minor code cleanup
	[7b5b40f64439]

2012-03-27  Timo Sirainen  <tss@iki.fi>

	* src/login-common/client-common.c, src/login-common/ssl-proxy-
	openssl.c, src/login-common/ssl-proxy.c, src/login-common/ssl-
	proxy.h:
	*-login: Previous SSL fixes were still broken with service_count=1.
	[339b1337aab0]

2012-03-26  Timo Sirainen  <tss@iki.fi>

	* src/lib-settings/settings-parser.c:
	lib-settings: Make static analyzer happier.
	[94286d055872]

	* src/config/config-filter.c, src/doveadm/doveadm-stats.c,
	src/doveadm/dsync/doveadm-dsync.c, src/doveadm/dsync/test-dsync-
	proxy-server-cmd.c, src/imap/imap-sync.c, src/lib-dict/dict-sql.c,
	src/lib-mail/message-parser.c, src/lib-master/master-login.c, src
	/lib-storage/index/cydir/cydir-mail.c, src/lib-storage/index/maildir
	/maildir-mail.c, src/lib-storage/index/maildir/maildir-sync.c, src
	/lib-storage/list/subscription-file.c, src/lib/file-cache.c,
	src/lib/ostream.c, src/lib/process-title.c, src/lib/strfuncs.c,
	src/lib/test-str-find.c, src/plugins/expire/doveadm-expire.c,
	src/plugins/fts-squat/squat-trie.c, src/plugins/fts-squat/squat-
	uidlist.c:
	Changes to make static analyzer happier.
	[ba1fc76e3a2c]

	* src/lib-sql/driver-pgsql.c:
	pgsql: Fixed a potential crash if connection got closed during
	synchronous query.
	[e05be9afaed0]

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: Indexing mail bodies was broken.
	[bcc5e71650b9]

	* src/director/director.c:
	director: Avoid crashing if all directors are removed when
	reconnecting. There's no way to currently remove directors though,
	so this couldn't have actually happened.
	[a71bc8dbe53d]

	* src/lib/network.c:
	net_listen(): If bind(ip=any) fails with non-EADDRINUSE, don't
	crash.
	[cd7e15b2d575]

	* src/stats/mail-command.c, src/stats/mail-domain.c, src/stats/mail-
	ip.c, src/stats/mail-session.c, src/stats/mail-user.c:
	stats: When freeing memory, make sure we don't crash if some list
	gets empty.
	[3980c025805c]

	* src/lib-storage/mail-storage.c:
	lib-storage: If trying to copy a message into already deleted
	mailbox, don't crash.
	[8897f32939b0]

	* src/lib/data-stack.c:
	data-stack: Fixed calling t_push()/t_malloc() before
	data_stack_init().
	[e79496bb09f5]

2012-03-24  Timo Sirainen  <tss@iki.fi>

	* src/login-common/ssl-proxy.c:
	Compiling fix for building without SSL.
	[8699f3d3c1e4]

2012-03-23  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-request.h, src/lib-imap/test-imap-utf7.c, src/lib-
	storage/index/imapc/imapc-storage.h, src/lib-test/test-common.c,
	src/lib/strfuncs.h, src/master/main.c:
	Compiler warning fixes.
	[4ae85f573c93]

	* src/login-common/ssl-proxy.c:
	Fixed compiling without SSL.
	[f369e76d0867]

	* doc/example-config/conf.d/10-mail.conf:
	mail_temp_scan_interval comment update.
	[24b3de4952b5]

	* doc/example-config/conf.d/10-mail.conf, src/lib-storage/index/dbox-
	common/dbox-storage.c, src/lib-storage/index/dbox-common/dbox-
	storage.h, src/lib-storage/index/dbox-multi/mdbox-map.c, src/lib-
	storage/index/maildir/maildir-storage.c, src/lib-
	storage/index/maildir/maildir-storage.h, src/lib-storage/mail-
	storage-settings.c, src/lib-storage/mail-storage-settings.h:
	Added mail_temp_scan_interval setting and changed its default from
	8h -> 1w.
	[370e1f945c01]

	* src/lib/unlink-old-files.c, src/lib/unlink-old-files.h:
	unlink_old_files(): Update atime before scan, not after. If
	Maildir/dbox scanning takes long this makes sure that a lot of
	processes won't be scanning it in parallel.
	[091b9f49f24f]

	* src/lib/network.c:
	net_getunixcred(): Fixed Solaris to use getpeerucred() properly.
	[98fd46f8d1ab]

	* src/lib-mail/message-date.c:
	lib-mail: message_date_parse() now also accepts '.' separator in
	hh.mm.ss time.
	[d4cc57c8a455]

2012-03-22  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-single/sdbox-sync-rebuild.c, src/lib-
	storage/index/dbox-single/sdbox-sync.c:
	sdbox: Don't log "Rebuilding index" when another process already did
	it and we cancel it.
	[f30437ed63dc]

	* src/lib-storage/index/dbox-multi/mdbox-sync.c, src/lib-storage/index
	/dbox-single/sdbox-sync.c, src/lib-storage/index/maildir/maildir-
	sync-index.c, src/lib-storage/mail-storage-private.h,
	src/plugins/quota/quota-storage.c:
	quota: Added a kludge to avoid recalculating quota.
	[fb70195b5d47]

	* src/lib-storage/index/index-mail.c, src/plugins/virtual/virtual-
	mail.c:
	lib-storage: Don't access mail->box->view, but
	mail->transaction->view. They may not be the same. In such cases
	e.g. mail_set_uid() may have accessed a wrong mail.
	[39db9e4c2283]

	* src/lib-dict/dict-file.c, src/lib-storage/fail-mailbox.c:
	Increased initial memory pool sizes.
	[3cb33e050dc4]

	* src/lib-storage/index/dbox-multi/mdbox-sync.c:
	mdbox: Fixed a long loop/crash when mdbox is broken during saving.
	[703380324b71]

	* src/lib-master/master-service.c:
	lib-master: Minor memory leak fix on deinit.
	[bb8d2d74a71d]

	* src/login-common/client-common.c:
	imap-login: Memory leak fix.
	[5ae5c44b1943]

	* src/login-common/client-common.c, src/login-common/login-proxy.c,
	src/login-common/main.c, src/login-common/ssl-proxy-openssl.c, src
	/login-common/ssl-proxy.h:
	*-login: Another crashfix
	[842e5124038d]

	* src/login-common/client-common.c, src/login-common/ssl-proxy-
	openssl.c, src/login-common/ssl-proxy.h:
	*-login: Fixed crashing when proxying SSL connections to a remote
	server.
	[1d23440ccb89]

2012-03-21  Timo Sirainen  <tss@iki.fi>

	* src/config/config-filter.c:
	config: Added a comment
	[ff5c341f8838]

	* src/lib-settings/settings-parser.c, src/lib-settings/settings-
	parser.h:
	lib-settings: settings_parser_apply_changes() now deduplicates
	SET_STRLIST arrays. This fixes overriding strlist keys in config
	file filters, e.g.:

	plugin { foo = general } protocol lda { plugin { foo = lda-
	specific setting } }
	[bb8387e6b18f]

	* src/lib-storage/index/maildir/maildir-save.c:
	maildir: Avoid duplicate S=size and W=sizes in maildir filenames.
	This happens with maildir_copy_with_hardlinks=no and when copying a
	mail with zlib compression enabled.
	[3599790da3d7]

	* src/auth/auth-client-connection.c:
	auth: Don't check client PID in non-login auth sockets. This fixes
	PID conflict errors when using TCP auth sockets for e.g. MTAs.
	[23ed09ca847a]

	* src/imap/imap-commands.c:
	imap: Handle XLIST command by running LIST command. If the SPECIAL-
	USE mailboxes are enabled, this results in mostly compatible output.
	This change allows easily enabling the GMail XLIST extension simply
	by adding +XLIST to imap_capability setting.
	[03499202690f]

2012-03-20  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/doveadm-mail-import.c:
	doveadm import: Copy also message flags.
	[b2a3775c7a87]

2012-03-19  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: Renaming non-UTF8 mailbox names wasn't done in all
	situations.
	[c77fbfce438d]

2012-03-16  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset b9adfd52cb66
	[063cd2a15056]

	* .hgtags:
	Added tag 2.1.3 for changeset b9adfd52cb66
	[3df9273f15b4]

	* NEWS, configure.in:
	Released v2.1.3.
	[b9adfd52cb66] [2.1.3]

	* src/lib-storage/index/dbox-common/dbox-file.c, src/lib-storage/index
	/dbox-common/dbox-file.h, src/lib-storage/index/dbox-multi/mdbox-
	file.c, src/lib-storage/index/dbox-single/sdbox-file.c:
	dbox: Reverted recent fstat() avoidance change. It didn't do that,
	just broke mdbox.
	[58732d172107]

2012-03-15  Timo Sirainen  <tss@iki.fi>

	* src/director/user-directory.c, src/lib-index/mail-cache-fields.c,
	src/replication/replicator/replicator-queue.c:
	Compiler warning fixes.
	[5b05411a81cf]

	* src/replication/replicator/replicator-brain.c:
	replicator: Fixed off-by-one-second "do we do a full sync now?"
	check.
	[e935ddb5a9fc]

	* .hgsigs:
	Added signature for changeset 744e0d7f1b25
	[914076de4c48]

	* .hgtags:
	Added tag 2.1.2 for changeset 744e0d7f1b25
	[67ef6f6d45bf]

	* NEWS, configure.in:
	Released v2.1.2.
	[744e0d7f1b25] [2.1.2]

	* doc/example-config/dovecot.conf:
	example-config: Added auth_proxy_self setting.
	[b2643c587f5b]

	* src/imap/cmd-list.c:
	imap: Use mailbox_exists() to find out if namespace prefix is
	selectable or not. mailbox_list_mailbox() should be treated as an
	internal function, since ACLs don't apply to it.
	[65a75939ac2c]

	* src/lib-storage/mail-storage.c:
	lib-storage: mailbox_exists() now returns namespace prefix as
	selectable if it is.
	[55586f4a86f1]

	* src/lib-storage/list/mailbox-list-maildir-iter.c:
	layout=maildir++: Don't list INBOX if it doesn't match the list
	patterns.
	[0b01fff98a04]

	* src/auth/auth.c:
	auth: If global passdb is missing, don't complain if protocol x and
	!x { passdb } exists.
	[8fb3fd391d18]

2012-03-14  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	layout=fs: Rename mailbox names that aren't valid UTF-8 to avoid
	crashes later.
	[c077ca9bc306]

	* src/lib-storage/list/mailbox-list-index-sync.c:
	mailbox_list_index=yes: Don't add autocreated mailboxes to index
	before they are created.
	[3550dfc4af29]

	* src/lib-storage/list/mailbox-list-index.c:
	mailbox_list_index=yes: Don't crash at deinit (fix to previous
	change)
	[316110bd18e0]

	* src/lib-storage/list/mailbox-list-index.c, src/lib-storage/list
	/mailbox-list-index.h:
	mailbox_list_index=yes: Delay opening/creating the index until it's
	needed. This also fixes an error when trying to create the index
	before the parent director is created.
	[0274c4132052]

	* src/auth/auth-cache.c:
	auth: Make sure auth cache doesn't break if any cache keys have
	TABs.
	[90738a7c7535]

	* src/auth/Makefile.am, src/auth/auth-cache.c, src/auth/auth-
	request.c, src/auth/auth-request.h, src/auth/test-auth-cache.c:
	auth: Fixed auth cache key generation to support %{long} variables
	[a090cbbe3008]

	* src/lib/test-var-expand.c, src/lib/var-expand.c, src/lib/var-
	expand.h:
	liblib: Added var_get_key_range()
	[13d4c4f91622]

	* src/anvil/penalty.c:
	anvil: s/memcpy/memmove/ for updating checksum list. This may have
	caused anvil to update penalties wrong.
	[f94f289ce009]

	* src/lib/test-primes.c:
	test-primes: Fixed undefined behavior.
	[0647b0a1b4e5]

	* src/config/doveconf.c:
	doveconf: Dump protocol/local/remote sections even if there was an
	error earlier. This allows getting a mostly-working config file
	rather than a truncated one.
	[b0ef6e05a15d]

2012-03-13  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mailbox-list-iter.c:
	lib-storage: mailbox_list_iter_next() now enforces backends not to
	return mailbox name from data stack.
	[1883074f9a9d]

	* src/lib-storage/list/mailbox-list-index-iter.c, src/lib-storage/list
	/mailbox-list-index.h:
	mailbox_list_index=yes iteration: Don't allocate returned mailbox
	names from data stack. This breaks dsync.
	[6cb102aa5d63]

	* src/lib-storage/index/dbox-common/dbox-file.c, src/lib-storage/index
	/dbox-common/dbox-file.h, src/lib-storage/index/dbox-multi/mdbox-
	file.c, src/lib-storage/index/dbox-single/sdbox-file.c:
	dbox: Avoid unnecessary fstat() call during file creation.
	[a3b162331cd1]

	* src/lib-storage/index/dbox-common/dbox-storage.c, src/lib-
	storage/index/maildir/maildir-storage.c, src/lib/compat.h:
	lib-storage: Don't log errors if trying to open a mailbox with too
	long name. Handle ENAMETOOLONG errors the same as ENOENT.
	[37d6dd0f053b]

	* src/plugins/fts/fts-storage.c:
	fts: Another crashfix for recent changes.
	[352dd32abb8d]

	* src/director/director-request.c:
	director: Compiler warning fix
	[b1c21492f8c9]

2012-03-12  Timo Sirainen  <tss@iki.fi>

	* src/stats/mail-session.c:
	stats: When logging about a session crash, log also its service.
	[74d3f14dec5a]

	* src/plugins/fts/fts-storage.c:
	fts: Crashfix when FTS isn't needed for performing search.
	[63f3bb8462b4]

	* src/plugins/fts/Makefile.am, src/plugins/fts/fts-indexer.c,
	src/plugins/fts/fts-storage.c, src/plugins/fts/fts-storage.h:
	fts: Added fts_index_timeout setting to abort search if indexing
	hasn't finished by then. This timeout shows up to client as: tag NO
	[INUSE] Timeout while waiting for indexing to finish
	[4dd97a92691a]

	* src/director/director-request.c:
	director: Improved request timeout error more.
	[d27b6724db32]

	* src/director/director-request.c:
	director: If request times out, log more information.
	[1b37d6422905]

	* Makefile.am:
	Makefile: Delete dovecot-config on distclean
	[e75446fc828c]

2012-03-11  Timo Sirainen  <tss@iki.fi>

	* src/replication/aggregator/Makefile.am:
	Makefile: Fixed header filename.
	[75f1f39c547f]

	* src/auth/db-checkpassword.c:
	checkpassword: Compiling fix for some systems
	[2c5a7cc1023e]

2012-03-10  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/mbox/mbox-sync.c:
	mbox: Fixed accessing v1.x mbox index files without errors.
	[1289b79241bb]

	* src/plugins/imap-stats/imap-stats-plugin.c, src/stats/mail-
	command.c:
	stats: Fixes to handling per-command stats updates.
	[96ad6da5c902]

	* src/lib-storage/index/index-search.c:
	lib-storage: Update search's cost more widely and less often.
	[00887de4ad32]

	* src/doveadm/doveadm.c:
	doveadm config: Don't fail on invalid config (e.g. plugin not found)
	This command is often used in init scripts and such to stop/restart
	Dovecot.
	[4a82ff720781]

	* src/stats/mail-command.c:
	stats: UPDATE-CMD for an existing command wasn't handled properly.
	The command's stats themselves weren't updated. Also due to recent
	change updating session's stats from a command no longer works
	properly, because the session could also be updated in the middle of
	the command.
	[30802a608490]

	* src/auth/db-checkpassword.c:
	checkpassword: Set CREDENTIALS_LOOKUP=1 for passdb lookups
	[495bda325391]

	* src/auth/db-checkpassword.c, src/auth/passdb-checkpassword.c:
	checkpassword: Implemented support for credentials lookup.
	[f7c42aa64381]

	* src/auth/auth-request.c, src/auth/auth-request.h, src/auth
	/checkpassword-reply.c, src/auth/db-checkpassword.c, src/auth/db-
	checkpassword.h, src/auth/passdb-checkpassword.c, src/auth/userdb-
	checkpassword.c:
	checkpassword: Escape transferred extra fields properly.
	[e5ed29ef593e]

	* src/auth/db-checkpassword.c:
	checkpassword: Error handling fix
	[e3c1f3f93add]

	* src/auth/db-checkpassword.c:
	checkpassword: If username+password is too large, treat it as
	regular auth failure.
	[262ac078a1e4]

	* src/auth/checkpassword-reply.c, src/auth/db-checkpassword.c,
	src/auth/db-checkpassword.h, src/auth/passdb-checkpassword.c,
	src/auth/userdb-checkpassword.c:
	auth: checkpassword code cleanup. Also fixed some error handling.
	Removes a lot of copy&pasted code between passdb and userdb.
	[71b64b7b2e63]

2012-03-08  Timo Sirainen  <tss@iki.fi>

	* src/director/director-connection.c, src/director/director-request.c,
	src/director/director.c, src/director/director.h,
	src/director/main.c, src/director/notify-connection.c, src/director
	/user-directory.c, src/director/user-directory.h:
	director: Avoid user getting redirected to different servers near
	its expiration. Fixes a problem when user is logging in at the same
	time on director1 which thinks the user is expired, and on director2
	which thinks the user expires only in 1 second.
	[7a26c427fc78]

	* src/lib-master/master-login.c:
	lib-master: Fixed passing request data from login process.
	[d6fda337af15]

	* src/imap/main.c:
	imap: Crashfix when running standalone.
	[91438eb4fad8]

	* Makefile.am:
	Makefile: s/MKDIR_P/mkdir_p/ to make it actually work
	[8c6ff808902c]

2012-03-07  Timo Sirainen  <tss@iki.fi>

	* src/director/director-connection.c, src/director/director.c,
	src/director/director.h:
	director: Keep track of the highest supported protocol version in
	the ring.
	[334424e7465e]

	* src/login-common/login-proxy-state.c:
	login proxy: Handle proxy-notify errors better. If open() fails with
	ENOENT, it should still be logged as an error. If opening or
	anything else fails, retry opening the fifo 60 secs.
	[94de7605f50f]

	* src/director/notify-connection.c:
	director: Log a warning if user is refreshed too late.
	[2026af3cf87b]

	* src/director/director-connection.c:
	director: Add more info to "User hash .. is being redirected to two
	hosts" error.
	[d048cebc1fd4]

	* src/imap-login/client.c, src/imap-login/imap-proxy.c, src/imap/imap-
	client.c, src/imap/imap-client.h, src/imap/main.c, src/lib-master
	/master-login.c, src/lib-master/master-login.h, src/lib-storage
	/mail-storage-service.c, src/lib-storage/mail-storage-service.h, src
	/login-common/client-common.c, src/login-common/client-common.h, src
	/login-common/sasl-server.c, src/pop3-login/client.c,
	src/pop3-login/pop3-proxy.c, src/pop3/main.c,
	src/pop3/pop3-client.c, src/pop3/pop3-client.h:
	Added a "session ID" string for imap/pop3 connections, available in
	%{session} variable. The session ID passes through Dovecot IMAP/POP3
	proxying to backend server. The same session ID is can be reused
	after a long time (currently a bit under 9 years).
	[5bbcf636bbeb]

	* src/login-common/login-proxy.c:
	login proxy: Log "disconnecting" message also with
	login_log_format_elements.
	[49b832c5de0e]

	* src/login-common/client-common.c:
	login_log_format_elements: Allow using %{long_variables} without
	breaking.
	[9b78e93e5b71]

	* src/doveadm/doveadm-mail-server.c, src/doveadm/server-connection.c,
	src/doveadm/server-connection.h:
	doveadm: Handle -NOUSER replies from doveadm-server.
	[9d47d53650be]

	* src/plugins/fts/decode2text.sh:
	decode2text: Avoid leaving temp files and hanging child processes.
	[e540405902f1]

2012-03-05  Timo Sirainen  <tss@iki.fi>

	* src/plugins/stats/stats-connection.c:
	stats: Don't log write()=EPIPE failures. Retry opening the pipe
	once.
	[315f0d8cc2b2]

	* src/plugins/stats/stats-plugin.c, src/plugins/stats/stats-plugin.h:
	stats: More changes to send stats while doing long running searches.
	[721e127e107f]

	* src/lib-storage/index/index-search.c:
	lib-storage: When searching with a sort program, don't prefetch any
	mails. The prefetching probably ends up being pointless.
	[0c3cb8976e81]

	* src/pop3/pop3-client.c:
	pop3: Added assert.
	[8a47994cd509]

	* src/plugins/stats/stats-plugin.c, src/plugins/stats/stats-plugin.h:
	stats: Update stats once per second for long running nonblocking
	searches.
	[d66568d34e40]

	* src/director/Makefile.am, src/director/director-request.c,
	src/director/director-settings.c, src/director/director-settings.h,
	src/director/director.c, src/director/doveadm-connection.c,
	src/director/notify-connection.c, src/director/user-directory.c,
	src/director/user-directory.h, src/lib-mail/Makefile.am, src/lib-
	mail/mail-user-hash.c, src/lib-mail/mail-user-hash.h, src/login-
	common/Makefile.am, src/login-common/login-proxy.c, src/login-common
	/login-settings.c, src/login-common/login-settings.h:
	Added director_username_hash setting to specify what part of the
	username is hashed. The default is "%u" meaning the full username.
	Another potentially useful value is "%d" for hashing only the domain
	(i.e. redirect users from the same domain always to same server so
	they can safely access each others' shared mailboxes).
	[817ef4c9f1f3]

	* src/replication/replicator/replicator-settings.c:
	replication_max_conns setting is a number, not a time interval.
	[005bcb8d8d02]

	* src/replication/aggregator/replicator-connection.c:
	aggregator: Fixed leaking connections to replicator.
	[7131eb54e9cf]

	* src/lmtp/Makefile.am:
	Makefile: Fixed compiling lmtp with some SSL_LIBS options.
	[32edf12d7624]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Set user.dsyncing=TRUE also for dsync-server. This avoids
	dsync server immediately triggering another dsync when using
	replication.
	[5429dac9830c]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: If mailbox was expunged empty, the messages may have
	reappeared. This dependend on what the last UID of the previous
	mailbox was.
	[f549cd60fec9]

2012-03-04  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/doveadm-mount.c, src/lib-master/mountpoint-list.c, src
	/lib-master/mountpoint-list.h, src/master/main.c:
	Don't auto-add mountpoints under /media or /cdrom.
	[a63651897eac]

	* configure.in, dovecot-config.in.in, src/auth/Makefile.am,
	src/doveadm/Makefile.am, src/doveadm/dsync/Makefile.am,
	src/imap/Makefile.am, src/indexer/Makefile.am, src/lda/Makefile.am,
	src/lib-storage/Makefile.am, src/lib-storage/index/Makefile.am, src
	/login-common/Makefile.am, src/plugins/fts-squat/Makefile.am,
	src/pop3/Makefile.am, src/util/Makefile.am:
	Makefile: Link with SSL_LIBS whenever linking libssl_iostream.la
	[e540404debb7]

	* Makefile.am:
	Makefile: Fix to previous change to get dovecot-config file built
	again.
	[a743cc250208]

	* Makefile.am:
	Makefile: Fixed dovecot-config installation
	[2f3c83f28dfe]

	* src/doveadm/doveadm-mailbox-list-iter.c, src/lib-storage/mailbox-
	list.h:
	lib-storage: Removed MAILBOX_LIST_ITER_LIST_PREFIXES flag. It was
	already accidentally enabled by default, and there's really no good
	reason why it shouldn't always be enabled.
	[d4f40b5c080c]

	* src/lib-storage/mailbox-list-iter.c:
	lib-storage: mailbox_list_iter_init_namespaces() duplicated INBOX if
	it was also ns prefix.
	[bbe6b6c2ee99]

	* src/lib-mail/rfc822-parser.c:
	lib-mail: rfc822_parse_quoted_string() didn't remove '\' from the
	strings.
	[92c6e963176e]

	* src/auth/userdb-passwd.c:
	auth: userdb passwd iteration skips now also users with
	/usr/sbin/nologin shell
	[694ea6e13a86]

	* src/lib-storage/index/index-storage.c:
	lib-storage: If mailbox is already open in mailbox_enable(), enable
	modseqs.
	[31ae11fe18b2]

	* src/lib-storage/index/index-storage.c:
	lib-storage: mailbox_enable() shouldn't actually open the mailbox.
	This combined with mailbox_get_status() never synced the mailbox, so
	if there were any changes they weren't visible in STATUS reply.
	[8cbc130c2b72]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync server: Ignore -f, -R and -m parameters instead of failing.
	v2.0 dsync did this as well.
	[9c6eeeb810c0]

	* src/imap/cmd-append.c:
	imap: Fixed error handling in APPEND parameters.
	[5a62b55914c4]

	* src/log/log-connection.c:
	log: Avoid an "master input for invalid service_fd" error at deinit.
	[509206065d33]

	* src/log/log-connection.c, src/log/main.c:
	log: Don't shutdown until all log writers have gone. This fixed
	losing log messages during shutdown.
	[174a22a052fe]

	* src/replication/replicator/replicator-queue.c:
	replicator: Another deinit crashfix
	[f7a3714dc390]

	* src/replication/replicator/replicator-queue.c:
	replicator: Fixed crash on deinit
	[3b258bb9a03f]

	* src/replication/replicator/replicator-queue.c:
	replicator: Queue handling was pretty broken
	[633e587446d8]

	* src/plugins/replication/replication-plugin.c:
	replication plugin: Don't try to close fifo if it wasn't even
	opened.
	[9d47be37afeb]

	* src/plugins/Makefile.am:
	Makefile: Added missing replication plugin directory
	[a422bd8ed511]

	* src/auth/userdb-passwd.c:
	auth: userdb passwd iteration now skips users with shell set to
	/bin/false or /sbin/nologin
	[85a8d582d37f]

	* src/replication/replicator/doveadm-connection.c:
	replicator: Crashfix
	[fed306bef481]

	* src/doveadm/client-connection.c:
	doveadm-server: If socket is 0600 mode there's never no need to
	authenticate. Even if the socket's owner doesn't match the process's
	effective UID. This could be e.g. because socket owner is root,
	while doveadm-server runs as vmail.
	[ed641f7da63b]

	* src/plugins/replication/replication-plugin.c:
	replication plugin: Handle shared namespaces better, skip public
	namespaces. These will be handled better later, maybe in v2.2.
	[21d5e258d69c]

	* src/plugins/replication/replication-plugin.c:
	replication plugin: Use one shared notification fifo for all users.
	[b44922333957]

	* src/doveadm/client-connection.c, src/doveadm/doveadm-mail.c,
	src/doveadm/doveadm-mail.h, src/replication/replicator/doveadm-
	connection.c:
	doveadm server now returns unknown users with -NOUSER error.
	[9693521aa153]

	* .hgignore, configure.in, src/Makefile.am, src/doveadm/dsync/doveadm-
	dsync.c, src/lib-storage/mail-user.h,
	src/plugins/replication/Makefile.am, src/plugins/replication
	/replication-plugin.c, src/plugins/replication/replication-plugin.h,
	src/replication/Makefile.am, src/replication/aggregator/Makefile.am,
	src/replication/aggregator/aggregator-settings.c,
	src/replication/aggregator/aggregator-settings.h,
	src/replication/aggregator/aggregator.c, src/replication/aggregator
	/notify-connection.c, src/replication/aggregator/notify-
	connection.h, src/replication/aggregator/replicator-connection.c,
	src/replication/aggregator/replicator-connection.h, src/replication
	/replication-common.h, src/replication/replicator/Makefile.am,
	src/replication/replicator/doveadm-connection.c,
	src/replication/replicator/doveadm-connection.h,
	src/replication/replicator/notify-connection.c,
	src/replication/replicator/notify-connection.h,
	src/replication/replicator/replicator-brain.c,
	src/replication/replicator/replicator-brain.h,
	src/replication/replicator/replicator-queue.c,
	src/replication/replicator/replicator-queue.h,
	src/replication/replicator/replicator-settings.c,
	src/replication/replicator/replicator-settings.h,
	src/replication/replicator/replicator.c:
	Initial implementation of dsync-based replication.
	[14ff849dc266]

	* Makefile.am:
	Makefile: Fixed compiling with automake 1.11.2+
	[a452e5f616a2]

2012-03-02  Timo Sirainen  <tss@iki.fi>

	* src/lib-sql/driver-sqlpool.c:
	lib-sql: If failed query is retried, log it as as warning instead of
	as error.
	[1002733ca266]

	* src/login-common/login-proxy.c:
	login proxy: Don't assume host is down unless last success was >30s
	before last failure. This avoids thinking that host is down, simply
	because one connection for it failed.
	[53b23557ec54]

	* src/doveadm/doveadm-settings.c, src/doveadm/dsync/doveadm-dsync.c,
	src/doveadm/dsync/dsync-worker-local.c, src/doveadm/dsync/dsync-
	worker.h:
	dsync: Added -n parameter to dsync a specific namespace.
	[e86198d749ec]

	* src/lib/eacces-error.c:
	eacces_error_get*(): Added ',' to message to improve readability.
	[095abcfab7f1]

	* src/lib/eacces-error.c:
	eacces_error_get*(): Suggest ACL/MAC error if UNIX permission bits
	look ok.
	[d247d53f80b9]

	* src/lib-storage/index/index-transaction.c, src/lib-
	storage/index/maildir/maildir-mail.c, src/lib-storage/mail-storage-
	private.h, src/lib-storage/mail-storage.h:
	lib-storage: mail_transaction_commit_changes.changed=TRUE only when
	something actually changed.
	[3e9f91d8b2af]

	* src/config/config-request.c, src/doveadm/dsync/dsync-brain.c,
	src/doveadm/dsync/dsync-proxy-server.c, src/lib-settings/settings-
	parser.c:
	Increased initial memory pool sizes and marked some of them as
	"growing".
	[91e035840dc6]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Added -d parameter to sync to plugin/mail_replica
	destination. This could be one global default or overridden by
	userdb.
	[dc0038843cc7]

	* src/doveadm/doveadm-settings.c, src/doveadm/doveadm-settings.h,
	src/doveadm/dsync/doveadm-dsync.c:
	dsync: Added dsync_remote_cmd setting, which is used to execute
	remote dsync. This is used for the old style "host" and
	"mailuser@host" parameters, as well as for a new
	"remote:[user@]host" parameter.
	[69ed88beb12f]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Prefix remote dsync's error messages with "remote:".
	[523a6f3e0713]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Added -l <timeout> parameter to lock the sync (via
	~/.dovecot-sync.lock)
	[d4922e80ca05]

	* src/doveadm/doveadm-mail.c, src/doveadm/doveadm-mail.h:
	doveadm: Added prerun() method for mail commands.
	[1a33e3651c6d]

	* src/login-common/client-common.c, src/login-common/client-common.h,
	src/login-common/sasl-server.c:
	login: If session timeouts after authentication, log a better error
	about it.
	[855856a9f139]

2012-02-29  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/list/mailbox-list-index-iter.c:
	mailbox_list_index=yes: Fixed mailbox listing when not using default
	namespace settings.
	[99cde8ce9991]

	* src/plugins/fts-squat/fts-backend-squat.c:
	fts-squat: Fixed search to actually work.
	[ee6f3f375dd3]

2012-02-28  Timo Sirainen  <tss@iki.fi>

	* configure.in, src/imap/imap-client.c, src/lib-storage/mail-user.h,
	src/plugins/fts-lucene/fts-backend-lucene.c, src/plugins/fts-solr
	/fts-backend-solr.c, src/plugins/fts/fts-api-private.h,
	src/plugins/fts/fts-storage.c:
	Show SEARCH=FUZZY in IMAP capabilities only when FTS backend
	actually supports it.
	[bdc881838b00]

	* src/lib-storage/list/mailbox-list-index-status.c, src/lib-
	storage/list/mailbox-list-index-sync.c, src/lib-storage/list
	/mailbox-list-index.c, src/lib-storage/list/mailbox-list-index.h:
	mailbox list indexes: Avoid unnecessary refresh flag writes.
	[ba2b4f8a1bb1]

	* src/doveadm/dsync/doveadm-dsync.c:
	Compiler warning fixes
	[54aeb3853bae]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	fs layout: Mailbox listing returned duplicates when patterns
	contained a parent and its children.
	[07fc8baa0c9b]

2012-02-27  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-worker-client.c:
	auth worker: reset idle time after running a command, not before.
	[3b328ffffdd4]

	* src/auth/auth-worker-client.c:
	auth worker: When idle_kill timeout is reached, change process title
	to indicate it.
	[5074680f321a]

	* src/lib-sql/driver-mysql.c:
	mysql: Log idle time also for CR_SERVER_LOST errors.
	[1999ae5c9699]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Removed accidentally committed debug code.
	[47dcf6a607a9]

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Fixes to handling legacy dsync parameters.
	[d75b807afadc]

	* src/doveadm/doveadm-mail.c:
	doveadm: Allow subcommands to specify '+' getopt parameter.
	[0d502dc7d265]

	* src/lib-ssl-iostream/Makefile.am:
	lib-ssl-iostream: Use SSL_LIBS when linking the shared library.
	[c07415305d9e]

2012-02-25  Timo Sirainen  <tss@iki.fi>

	* src/imap-login/client.c, src/imap-login/imap-login-settings.c, src
	/imap-login/imap-login-settings.h:
	imap-login: imap_id_* settings were ignored pre-login.
	[32ffa616f249]

	* src/auth/auth-request.c, src/auth/auth-request.h:
	auth: Added proxy_always extra field. When used with proxy_maybe, it
	can be used to redirect "local" users to local backends via
	director.
	[4bd9cadae9ea]

	* src/pop3-login/pop3-proxy.c:
	pop3 proxy: Fixed previous change not to hang.
	[cf713cf9b7c0]

	* src/pop3-login/client.h, src/pop3-login/pop3-proxy.c:
	pop3 proxy: Fixed handling XCLIENT reply.
	[ef7518f0bdbc]

	* src/auth/auth-request.c, src/auth/auth-settings.c, src/auth/auth-
	settings.h, src/config/settings-get.pl:
	auth: Added auth_proxy_self setting to specify IPs that are
	considered as "self" for proxy_maybe.
	[d84a9950be67]

	* src/auth/auth-request.c:
	auth: Use proxy_timeout as DNS lookup timeout, if available. Warn if
	lookup takes >0.5s.
	[21c0ce019290]

	* src/auth/Makefile.am, src/auth/auth-master-connection.c, src/auth
	/auth-request-handler.c, src/auth/auth-request.c, src/auth/auth-
	request.h:
	auth: Handle proxy_maybe=yes with host=hostname properly.
	[863eac32786f]

	* src/pop3-login/client.c, src/pop3-login/client.h,
	src/pop3-login/pop3-proxy.c:
	pop3-login: Implemented XCLIENT command for forwarding client
	ip/port from proxy.
	[35ed77dd500e]

	* src/auth/auth-stream.c:
	auth: auth_stream_reply_remove() left extra TABs to stream. Normally
	this wouldn't really affect anything, except log some extra debug
	messages.
	[970809a9f9bd]

2012-02-23  Timo Sirainen  <tss@iki.fi>

	* src/login-common/login-proxy.c:
	login proxy: If connect() fails, log how many seconds it tried.
	[c3da6b3a4a34]

	* .hgsigs:
	Added signature for changeset 04b0acc03f1e
	[e98143525d51]

	* .hgtags:
	Added tag 2.1.1 for changeset 04b0acc03f1e
	[0a034e33035b]

	* NEWS, configure.in:
	Released v2.1.1.
	[04b0acc03f1e] [2.1.1]

2012-02-22  Pascal Volk  <user@localhost.localdomain.org>

	* doc/man/doveadm-log.1.in:
	man: Added description of command `log errors' to doveadm-log.1.
	[007ec1d1d995]

2012-02-21  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-single/sdbox-sync.c:
	Compiler warning fix.
	[6056be0a8c58]

	* src/lib-storage/mail-namespace.c:
	lib-storage: Another try at correctly setting autocreated
	namespace's location strings.
	[3007994141b6]

	* src/lib-storage/index/dbox-single/sdbox-sync.c:
	sdbox: Altmove flag changes weren't immediately marked as synced.
	This caused the altmoves to be retried.
	[d9a6b0991f2e]

	* src/auth/passdb-cache.c:
	auth: If auth_cache_size is larger than process VSZ limit, log a
	warning.
	[242ad2a73648]

	* src/lib/restrict-process-size.c, src/lib/restrict-process-size.h:
	Added restrict_get_process_size()
	[1c1c2a1c85d7]

	* src/auth/passdb-imap.c:
	auth: passdb imap crashed for non-login (non-imap/pop3)
	authentication.
	[a6a58512f0df]

	* src/lib/file-dotlock.c:
	file-dotlock: Avoid "timestamp is different than current time"
	errors during high disk I/O load.
	[2ea29ab6f10f]

	* src/lib-storage/list/mailbox-list-subscriptions.c:
	lib-storage: Avoid assert-crashing with non-mUTF7/UTF8 entries in
	subscriptions file.
	[7d0d76df719f]

	* src/lib-storage/mail-namespace.c:
	lib-storage: When autocreating a namespace, don't fill out location
	setting unless necessary. This fixes running dsync when there are no
	namespaces defined.
	[488fe9d417eb]

	* src/plugins/virtual/virtual-config.c:
	virtual: "*" wildcard matches now also autocreated shared
	namespaces. Basically this makes "shared/*" work as intended for
	shared namespaces.
	[10994a5b64e1]

2012-02-21  Pascal Volk  <user@localhost.localdomain.org>

	* doc/man/doveadm-dump.1.in:
	man: Added description for type `dbox' to doveadm-dump.1
	[c854f19f10e3]

2012-02-21  Timo Sirainen  <tss@iki.fi>

	* src/auth/db-ldap.c:
	ldap: Support attr=name=prefix style template attributes for
	backwards compatibility. This was mainly used for quota, e.g.
	"quotaBytes=quota=*:storage="
	[e8da2675da41]

2012-02-20  Pascal Volk  <user@localhost.localdomain.org>

	* src/doveadm/doveadm-dump.c, src/doveadm/doveadm-dump.h:
	doveadm dump: Show available types in case a wrong one was given.
	[bf340465cb70]

2012-02-20  Timo Sirainen  <tss@iki.fi>

	* doc/man/doveadm.1.in:
	man: Move doveadm instance and mount commands to "master commands"
	group.
	[0947b28d2903]

2012-02-17  Timo Sirainen  <tss@iki.fi>

	* src/lib-master/master-service.c:
	lib-master: If accept() fails, stop listening only temporarily, not
	permanently.
	[701709f472e9]

	* src/lib-storage/index/shared/shared-list.c:
	Increased initial memory pool size.
	[89eb4c204341]

	* src/master/service-monitor.c:
	master: Handle internal "out of fds" errors without crashing.
	[9a501d37af3d]

	* src/login-common/main.c:
	login: Added comment.
	[119195278272]

	* src/doveadm/dsync/dsync-brain-msgs-new.c, src/doveadm/dsync/dsync-
	brain-msgs.c, src/doveadm/dsync/dsync-brain-private.h:
	dsync: If message with same GUID is saved multiple times in session,
	copy it instead of re-saving. This only works if the messages are in
	different mailboxes. It would be possible to fix it also for copying
	within same mailbox, but that's probably rare enough that it's not
	worth the extra code.
	[c581f6c1eef9]

	* src/doveadm/dsync/dsync-brain-msgs.c:
	dsync: GUIDs are case-sensitive, make GUID hash table be as well.
	[aa25bb2384ce]

	* src/doveadm/doveadm-mail.c:
	doveadm force-resync: Don't skip autocreated mailboxes (especially
	INBOX). This fixes rebuilding indexes for mdbox that has all mailbox
	indexes deleted.
	[edf5a4788242]

2012-02-16  Timo Sirainen  <tss@iki.fi>

	* src/plugins/acl/acl-mailbox-list.c:
	acl: Don't crash in mailbox listing when using autocreated
	mailboxes.
	[ff117a044e20]

	* Messed up with v2.1 release, merging changes that were supposed to
	be there.
	[aa2e89c9876b]

	* .hgsigs:
	Added signature for changeset e2cd03cc9c69
	[3e0a1e5f43f3]

	* .hgtags:
	Added tag 2.1.0 for changeset e2cd03cc9c69
	[c696e99a0169]

	* NEWS, configure.in:
	Released v2.1.0.
	[e2cd03cc9c69] [2.1.0]

	* .hgignore, doc/man/Makefile.am, doc/man/doveadm-instance.1.in,
	doc/man/doveadm-mount.1.in, doc/man/doveadm.1.in:
	man: Added doveadm-instance(1) and doveadm-mount(1) roff'ification
	by Pascal Volk.
	[b88deb09b0f4]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	fs layout: Fixed crash when autocreate mailboxes were used and LIST
	had only invalid patterns.
	[72e1e17d2e22]

2012-02-15  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset 736f1b7af190
	[908bf2312c14]

	* .hgtags:
	Added tag 2.1.rc7 for changeset 736f1b7af190
	[5de9a1f4ab04]

	* NEWS, configure.in:
	Released v2.1.rc7.
	[736f1b7af190] [2.1.rc7]

	* src/login-common/client-common.c, src/login-common/client-common.h,
	src/login-common/main.c:
	login: If auth client disconnects without having ever succeeded,
	destroy clients.
	[4462ceb09c0d]

	* src/lib-master/ipc-client.c:
	lib-master: Fixed crash on IPC client if server disconnected
	unexpectedly.
	[5ac4a8c8545f]

2012-02-13  Pascal Volk  <user@localhost.localdomain.org>

	* doc/man/doveadm-pw.1.in:
	man: Added descriptions of -t option to doveadm-pw.1.
	[db67d0255411]

	* src/doveadm/doveadm-pw.c:
	doveadm pw: Added -t <hash> parameter to the usage message.
	[e6ad15862163]

	* doc/man/doveadm-fetch.1.in:
	man: Added description of fields pop3.uidl and text.utf8 to doveadm-
	fetch.1.
	[b4479e2d2d21]

2012-02-13  Timo Sirainen  <tss@iki.fi>

	* src/pop3/pop3-commands.c:
	pop3: If UIDL using %f/%m/%g can't be fetched, mention
	pop3_uidl_format in error message.
	[06bb6d0f60e0]

	* TODO:
	TODO updated
	[9c4cac11da15]

	* src/lib-storage/mail-namespace.c, src/lib-storage/mail-storage-
	settings.c, src/lib-storage/mail-storage-settings.h:
	lib-storage: Added namespace { ignore_on_failure } setting. If the
	namespace can't be created for any reason, it's simply silently
	skipped.
	[71201cce97b5]

2012-02-12  Timo Sirainen  <tss@iki.fi>

	* README:
	README: Added missing RFC to list.
	[9574963a16f7]

	* TODO:
	TODO updated
	[d58b721e751b]

	* .hgsigs:
	Added signature for changeset 481860782250
	[90f8af1f4af7]

	* .hgtags:
	Added tag 2.1.rc6 for changeset 481860782250
	[e407fea7dcbc]

	* NEWS, TODO, configure.in:
	Released v2.1.rc6.
	[481860782250] [2.1.rc6]

	* configure.in:
	IMAP capabilities: s/FUZZY/SEARCH=FUZZY/ I mistakenly used wrong
	one..
	[e3565b3f9efe]

	* src/doveadm/doveadm-mail-mailbox.c:
	doveadm mailbox delete: Don't crash when namespace for mailbox isn't
	found.
	[669f09337a23]

	* src/doveadm/Makefile.am, src/doveadm/client-connection.c,
	src/doveadm/doveadm-auth.c, src/doveadm/doveadm-director.c,
	src/doveadm/doveadm-dump.c, src/doveadm/doveadm-instance.c,
	src/doveadm/doveadm-kick.c, src/doveadm/doveadm-log.c, src/doveadm
	/doveadm-mail-altmove.c, src/doveadm/doveadm-mail-expunge.c,
	src/doveadm/doveadm-mail-fetch.c, src/doveadm/doveadm-mail-import.c,
	src/doveadm/doveadm-mail-index.c, src/doveadm/doveadm-mail-iter.c,
	src/doveadm/doveadm-mail-iter.h, src/doveadm/doveadm-mail-list-
	iter.c, src/doveadm/doveadm-mail-list-iter.h, src/doveadm/doveadm-
	mail-mailbox-status.c, src/doveadm/doveadm-mail-mailbox.c,
	src/doveadm/doveadm-mail-move.c, src/doveadm/doveadm-mail-search.c,
	src/doveadm/doveadm-mail-server.c, src/doveadm/doveadm-mail.c,
	src/doveadm/doveadm-mail.h, src/doveadm/doveadm-mailbox-list-iter.c,
	src/doveadm/doveadm-mailbox-list-iter.h, src/doveadm/doveadm.c,
	src/doveadm/doveadm.h, src/doveadm/dsync/doveadm-dsync.c,
	src/doveadm/main.c, src/plugins/acl/doveadm-acl.c, src/plugins/fts
	/doveadm-fts.c, src/plugins/quota/doveadm-quota.c:
	doveadm: Improved error handling. Failures should now always have
	non-zero exit code. doveadm now uses sysexits.h exit codes in most
	places, although there are still a lot of places where it simply
	returns EX_TEMPFAIL even though something else might be better.
	[0a5951b08478]

	* src/doveadm/doveadm-pw.c:
	doveadm pw: Use i_error()/i_fatal() instead of fprintf(stderr)
	[7c36dea5605a]

	* src/plugins/acl/acl-mailbox.c:
	acl: After checking we have rights to create mailbox, ignore any
	further ACL checks.
	[ccad37bc242f]

	* doc/example-config/conf.d/20-imap.conf:
	example-config: Updated tb-extra-mailbox-sep comment.
	[1a0ab868957b]

	* src/anvil/anvil-connection.c, src/anvil/anvil-settings.c, src/anvil
	/connect-limit.c, src/anvil/main.c, src/anvil/penalty.c, src/anvil
	/test-penalty.c, src/auth/auth-cache.c, src/auth/auth-client-
	connection.c, src/auth/auth-master-connection.c, src/auth/auth-
	penalty.c, src/auth/auth-postfix-connection.c, src/auth/auth-
	request-handler.c, src/auth/auth-request.c, src/auth/auth-
	settings.c, src/auth/auth-stream.c, src/auth/auth-worker-client.c,
	src/auth/auth-worker-server.c, src/auth/auth.c, src/auth/db-
	checkpassword.c, src/auth/db-ldap.c, src/auth/db-passwd-file.c,
	src/auth/db-sql.c, src/auth/main.c, src/auth/mech-anonymous.c,
	src/auth/mech-cram-md5.c, src/auth/mech-digest-md5.c, src/auth/mech-
	external.c, src/auth/mech-plain.c, src/auth/mech.c, src/auth/passdb-
	blocking.c, src/auth/passdb-bsdauth.c, src/auth/passdb-cache.c,
	src/auth/passdb-checkpassword.c, src/auth/passdb-imap.c, src/auth
	/passdb-ldap.c, src/auth/passdb-passwd-file.c, src/auth/passdb-
	passwd.c, src/auth/passdb-shadow.c, src/auth/passdb-sql.c, src/auth
	/passdb-static.c, src/auth/passdb-template.c, src/auth/passdb-
	vpopmail.c, src/auth/passdb.c, src/auth/password-scheme-crypt.c,
	src/auth/password-scheme.c, src/auth/userdb-blocking.c, src/auth
	/userdb-checkpassword.c, src/auth/userdb-ldap.c, src/auth/userdb-
	nss.c, src/auth/userdb-passwd-file.c, src/auth/userdb-passwd.c,
	src/auth/userdb-prefetch.c, src/auth/userdb-sql.c, src/auth/userdb-
	static.c, src/auth/userdb-template.c, src/auth/userdb-vpopmail.c,
	src/auth/userdb.c, src/config/config-connection.c, src/config
	/config-filter.c, src/config/config-parser.c, src/config/config-
	request.c, src/config/config-settings.c, src/config/doveconf.c,
	src/config/main.c, src/config/old-set-parser.c, src/config/sysinfo-
	get.c, src/dict/dict-commands.c, src/dict/dict-connection.c,
	src/dict/dict-settings.c, src/dict/main.c, src/director/auth-
	connection.c, src/director/director-connection.c, src/director
	/director-host.c, src/director/director-request.c, src/director
	/director-settings.c, src/director/director-test.c,
	src/director/director.c, src/director/doveadm-connection.c,
	src/director/login-connection.c, src/director/mail-host.c,
	src/director/main.c, src/director/notify-connection.c, src/director
	/user-directory.c, src/dns/dns-client-settings.c, src/dns/dns-
	client.c, src/doveadm/client-connection.c, src/doveadm/doveadm-
	auth.c, src/doveadm/doveadm-director.c, src/doveadm/doveadm-dump-
	dbox.c, src/doveadm/doveadm-dump-index.c, src/doveadm/doveadm-dump-
	log.c, src/doveadm/doveadm-dump-mailboxlog.c, src/doveadm/doveadm-
	dump-thread.c, src/doveadm/doveadm-dump.c, src/doveadm/doveadm-
	kick.c, src/doveadm/doveadm-log.c, src/doveadm/doveadm-mail-
	altmove.c, src/doveadm/doveadm-mail-expunge.c, src/doveadm/doveadm-
	mail-fetch.c, src/doveadm/doveadm-mail-import.c, src/doveadm
	/doveadm-mail-index.c, src/doveadm/doveadm-mail-iter.c, src/doveadm
	/doveadm-mail-list-iter.c, src/doveadm/doveadm-mail-mailbox-
	status.c, src/doveadm/doveadm-mail-mailbox.c, src/doveadm/doveadm-
	mail-move.c, src/doveadm/doveadm-mail-search.c, src/doveadm/doveadm-
	mail-server.c, src/doveadm/doveadm-mail.c, src/doveadm/doveadm-
	master.c, src/doveadm/doveadm-mutf7.c, src/doveadm/doveadm-
	penalty.c, src/doveadm/doveadm-print-flow.c, src/doveadm/doveadm-
	print-pager.c, src/doveadm/doveadm-print-server.c, src/doveadm
	/doveadm-print-tab.c, src/doveadm/doveadm-print-table.c, src/doveadm
	/doveadm-print.c, src/doveadm/doveadm-proxy.c, src/doveadm/doveadm-
	settings.c, src/doveadm/doveadm-sis.c, src/doveadm/doveadm-stats.c,
	src/doveadm/doveadm-util.c, src/doveadm/doveadm-who.c,
	src/doveadm/doveadm.c, src/doveadm/dsync/doveadm-dsync.c,
	src/doveadm/dsync/dsync-brain-msgs-new.c, src/doveadm/dsync/dsync-
	brain-msgs.c, src/doveadm/dsync/dsync-brain.c, src/doveadm/dsync
	/dsync-data.c, src/doveadm/dsync/dsync-proxy-client.c,
	src/doveadm/dsync/dsync-proxy-server-cmd.c, src/doveadm/dsync/dsync-
	proxy-server.c, src/doveadm/dsync/dsync-proxy.c, src/doveadm/dsync
	/dsync-worker-local.c, src/doveadm/dsync/dsync-worker.c,
	src/doveadm/dsync/test-dsync-brain-msgs.c, src/doveadm/dsync/test-
	dsync-brain.c, src/doveadm/dsync/test-dsync-common.c,
	src/doveadm/dsync/test-dsync-proxy-server-cmd.c, src/doveadm/dsync
	/test-dsync-proxy.c, src/doveadm/dsync/test-dsync-worker.c,
	src/doveadm/main.c, src/doveadm/server-connection.c, src/imap-login
	/client-authenticate.c, src/imap-login/client.c, src/imap-login
	/imap-login-settings.c, src/imap-login/imap-proxy.c, src/imap/cmd-
	append.c, src/imap/cmd-cancelupdate.c, src/imap/cmd-capability.c,
	src/imap/cmd-check.c, src/imap/cmd-close.c, src/imap/cmd-copy.c,
	src/imap/cmd-create.c, src/imap/cmd-delete.c, src/imap/cmd-enable.c,
	src/imap/cmd-examine.c, src/imap/cmd-expunge.c, src/imap/cmd-
	fetch.c, src/imap/cmd-id.c, src/imap/cmd-idle.c, src/imap/cmd-
	list.c, src/imap/cmd-logout.c, src/imap/cmd-lsub.c, src/imap/cmd-
	namespace.c, src/imap/cmd-noop.c, src/imap/cmd-rename.c, src/imap
	/cmd-search.c, src/imap/cmd-select.c, src/imap/cmd-sort.c, src/imap
	/cmd-status.c, src/imap/cmd-store.c, src/imap/cmd-subscribe.c,
	src/imap/cmd-thread.c, src/imap/cmd-uid.c, src/imap/cmd-unselect.c,
	src/imap/cmd-unsubscribe.c, src/imap/cmd-x-cancel.c, src/imap/imap-
	client.c, src/imap/imap-commands-util.c, src/imap/imap-commands.c,
	src/imap/imap-expunge.c, src/imap/imap-fetch-body.c, src/imap/imap-
	fetch.c, src/imap/imap-search-args.c, src/imap/imap-search.c,
	src/imap/imap-settings.c, src/imap/imap-status.c, src/imap/imap-
	sync.c, src/imap/mail-storage-callbacks.c, src/imap/main.c,
	src/indexer/indexer-client.c, src/indexer/indexer-queue.c,
	src/indexer/indexer-settings.c, src/indexer/indexer-worker-
	settings.c, src/indexer/indexer-worker.c, src/indexer/indexer.c,
	src/indexer/master-connection.c, src/indexer/worker-connection.c,
	src/indexer/worker-pool.c, src/ipc/client.c, src/ipc/ipc-
	connection.c, src/ipc/ipc-group.c, src/ipc/ipc-settings.c,
	src/ipc/main.c, src/lda/main.c, src/lib-auth/auth-client-request.c,
	src/lib-auth/auth-client.c, src/lib-auth/auth-master.c, src/lib-auth
	/auth-server-connection.c, src/lib-charset/charset-iconv.c, src/lib-
	charset/charset-utf8.c, src/lib-dict/dict-client.c, src/lib-dict
	/dict-db.c, src/lib-dict/dict-file.c, src/lib-dict/dict-sql-
	settings.c, src/lib-dict/dict-sql.c, src/lib-dict/dict.c, src/lib-
	dict/test-dict.c, src/lib-dns/dns-lookup.c, src/lib-fs/fs-api.c, src
	/lib-fs/fs-posix.c, src/lib-fs/fs-sis-common.c, src/lib-fs/fs-sis-
	queue.c, src/lib-fs/fs-sis.c, src/lib-fs/ostream-cmp.c, src/lib-
	imap-client/imapc-client.c, src/lib-imap-client/imapc-connection.c,
	src/lib-imap-client/imapc-msgmap.c, src/lib-imap/imap-arg.c, src
	/lib-imap/imap-base-subject.c, src/lib-imap/imap-bodystructure.c,
	src/lib-imap/imap-date.c, src/lib-imap/imap-envelope.c, src/lib-imap
	/imap-id.c, src/lib-imap/imap-match.c, src/lib-imap/imap-parser.c,
	src/lib-imap/imap-quote.c, src/lib-imap/imap-seqset.c, src/lib-imap
	/imap-utf7.c, src/lib-imap/imap-util.c, src/lib-imap/test-imap-
	match.c, src/lib-imap/test-imap-parser.c, src/lib-imap/test-imap-
	utf7.c, src/lib-imap/test-imap-util.c, src/lib-index/mail-cache-
	compress.c, src/lib-index/mail-cache-decisions.c, src/lib-index
	/mail-cache-fields.c, src/lib-index/mail-cache-lookup.c, src/lib-
	index/mail-cache-sync-update.c, src/lib-index/mail-cache-
	transaction.c, src/lib-index/mail-cache.c, src/lib-index/mail-index-
	alloc-cache.c, src/lib-index/mail-index-dummy-view.c, src/lib-index
	/mail-index-fsck.c, src/lib-index/mail-index-lock.c, src/lib-index
	/mail-index-map-hdr.c, src/lib-index/mail-index-map-read.c, src/lib-
	index/mail-index-map.c, src/lib-index/mail-index-modseq.c, src/lib-
	index/mail-index-strmap.c, src/lib-index/mail-index-sync-ext.c, src
	/lib-index/mail-index-sync-keywords.c, src/lib-index/mail-index-
	sync-update.c, src/lib-index/mail-index-sync.c, src/lib-index/mail-
	index-transaction-export.c, src/lib-index/mail-index-transaction-
	finish.c, src/lib-index/mail-index-transaction-sort-appends.c, src
	/lib-index/mail-index-transaction-update.c, src/lib-index/mail-
	index-transaction-view.c, src/lib-index/mail-index-transaction.c,
	src/lib-index/mail-index-util.c, src/lib-index/mail-index-view-
	sync.c, src/lib-index/mail-index-view.c, src/lib-index/mail-index-
	write.c, src/lib-index/mail-index.c, src/lib-index/mail-transaction-
	log-append.c, src/lib-index/mail-transaction-log-file.c, src/lib-
	index/mail-transaction-log-view.c, src/lib-index/mail-transaction-
	log.c, src/lib-index/mailbox-log.c, src/lib-index/test-mail-index-
	sync-ext.c, src/lib-index/test-mail-index-transaction-finish.c, src
	/lib-index/test-mail-index-transaction-update.c, src/lib-index/test-
	mail-transaction-log-append.c, src/lib-index/test-mail-transaction-
	log-view.c, src/lib-lda/duplicate.c, src/lib-lda/lda-settings.c, src
	/lib-lda/lmtp-client.c, src/lib-lda/mail-deliver.c, src/lib-lda
	/mail-send.c, src/lib-lda/smtp-client.c, src/lib-mail/istream-dot.c,
	src/lib-mail/istream-header-filter.c, src/lib-mail/mbox-from.c, src
	/lib-mail/message-address.c, src/lib-mail/message-date.c, src/lib-
	mail/message-decoder.c, src/lib-mail/message-header-decode.c, src
	/lib-mail/message-header-encode.c, src/lib-mail/message-header-
	parser.c, src/lib-mail/message-id.c, src/lib-mail/message-parser.c,
	src/lib-mail/message-part-serialize.c, src/lib-mail/message-
	search.c, src/lib-mail/message-send.c, src/lib-mail/message-size.c,
	src/lib-mail/quoted-printable.c, src/lib-mail/rfc2231-parser.c, src
	/lib-mail/rfc822-parser.c, src/lib-mail/test-istream-dot.c, src/lib-
	mail/test-istream-header-filter.c, src/lib-mail/test-mbox-from.c,
	src/lib-mail/test-message-address.c, src/lib-mail/test-message-
	date.c, src/lib-mail/test-message-decoder.c, src/lib-mail/test-
	message-header-decode.c, src/lib-mail/test-message-header-encode.c,
	src/lib-mail/test-message-header-parser.c, src/lib-mail/test-
	message-id.c, src/lib-mail/test-message-parser.c, src/lib-mail/test-
	quoted-printable.c, src/lib-mail/test-rfc2231-parser.c, src/lib-
	master/anvil-client.c, src/lib-master/ipc-client.c, src/lib-master
	/ipc-server.c, src/lib-master/master-auth.c, src/lib-master/master-
	login-auth.c, src/lib-master/master-login.c, src/lib-master/master-
	service-settings-cache.c, src/lib-master/master-service-settings.c,
	src/lib-master/master-service.c, src/lib-master/syslog-util.c, src
	/lib-settings/settings-parser.c, src/lib-settings/settings.c, src
	/lib-sql/driver-mysql.c, src/lib-sql/driver-pgsql.c, src/lib-sql
	/driver-sqlpool.c, src/lib-sql/sql-api.c, src/lib-sql/sql-db-
	cache.c, src/lib-ssl-iostream/iostream-openssl-context.c, src/lib-
	ssl-iostream/iostream-openssl-params.c, src/lib-ssl-iostream
	/iostream-openssl.c, src/lib-ssl-iostream/iostream-ssl-none.c, src
	/lib-ssl-iostream/istream-openssl.c, src/lib-ssl-iostream/ostream-
	openssl.c, src/lib-storage/fail-mail-storage.c, src/lib-storage
	/fail-mail.c, src/lib-storage/fail-mailbox.c, src/lib-
	storage/index/cydir/cydir-mail.c, src/lib-storage/index/cydir/cydir-
	save.c, src/lib-storage/index/cydir/cydir-storage.c, src/lib-
	storage/index/cydir/cydir-sync.c, src/lib-storage/index/dbox-common
	/dbox-attachment.c, src/lib-storage/index/dbox-common/dbox-file-
	fix.c, src/lib-storage/index/dbox-common/dbox-file.c, src/lib-
	storage/index/dbox-common/dbox-mail.c, src/lib-storage/index/dbox-
	common/dbox-save.c, src/lib-storage/index/dbox-common/dbox-
	storage.c, src/lib-storage/index/dbox-common/dbox-sync-rebuild.c,
	src/lib-storage/index/dbox-multi/mdbox-file.c, src/lib-storage/index
	/dbox-multi/mdbox-mail.c, src/lib-storage/index/dbox-multi/mdbox-
	map.c, src/lib-storage/index/dbox-multi/mdbox-purge.c, src/lib-
	storage/index/dbox-multi/mdbox-save.c, src/lib-storage/index/dbox-
	multi/mdbox-settings.c, src/lib-storage/index/dbox-multi/mdbox-
	storage-rebuild.c, src/lib-storage/index/dbox-multi/mdbox-storage.c,
	src/lib-storage/index/dbox-multi/mdbox-sync.c, src/lib-storage/index
	/dbox-single/sdbox-copy.c, src/lib-storage/index/dbox-single/sdbox-
	file.c, src/lib-storage/index/dbox-single/sdbox-mail.c, src/lib-
	storage/index/dbox-single/sdbox-save.c, src/lib-storage/index/dbox-
	single/sdbox-storage.c, src/lib-storage/index/dbox-single/sdbox-
	sync-rebuild.c, src/lib-storage/index/dbox-single/sdbox-sync.c, src
	/lib-storage/index/imapc/imapc-list.c, src/lib-storage/index/imapc
	/imapc-mail-fetch.c, src/lib-storage/index/imapc/imapc-mail.c, src
	/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-save.c, src/lib-storage/index/imapc/imapc-
	settings.c, src/lib-storage/index/imapc/imapc-storage.c, src/lib-
	storage/index/imapc/imapc-sync.c, src/lib-storage/index/index-
	attachment.c, src/lib-storage/index/index-mail-headers.c, src/lib-
	storage/index/index-mail.c, src/lib-storage/index/index-mailbox-
	check.c, src/lib-storage/index/index-search-result.c, src/lib-
	storage/index/index-search.c, src/lib-storage/index/index-sort-
	string.c, src/lib-storage/index/index-sort.c, src/lib-storage/index
	/index-status.c, src/lib-storage/index/index-storage.c, src/lib-
	storage/index/index-sync-changes.c, src/lib-storage/index/index-
	sync-search.c, src/lib-storage/index/index-sync.c, src/lib-
	storage/index/index-thread-finish.c, src/lib-storage/index/index-
	thread-links.c, src/lib-storage/index/index-thread.c, src/lib-
	storage/index/index-transaction.c, src/lib-storage/index/istream-
	attachment.c, src/lib-storage/index/istream-mail.c, src/lib-
	storage/index/maildir/maildir-copy.c, src/lib-storage/index/maildir
	/maildir-filename-flags.c, src/lib-storage/index/maildir/maildir-
	filename.c, src/lib-storage/index/maildir/maildir-keywords.c, src
	/lib-storage/index/maildir/maildir-mail.c, src/lib-
	storage/index/maildir/maildir-save.c, src/lib-storage/index/maildir
	/maildir-settings.c, src/lib-storage/index/maildir/maildir-
	storage.c, src/lib-storage/index/maildir/maildir-sync-index.c, src
	/lib-storage/index/maildir/maildir-sync.c, src/lib-
	storage/index/maildir/maildir-uidlist.c, src/lib-
	storage/index/maildir/maildir-util.c, src/lib-storage/index/mbox
	/istream-raw-mbox.c, src/lib-storage/index/mbox/mbox-file.c, src
	/lib-storage/index/mbox/mbox-lock.c, src/lib-storage/index/mbox
	/mbox-mail.c, src/lib-storage/index/mbox/mbox-md5-all.c, src/lib-
	storage/index/mbox/mbox-md5-apop3d.c, src/lib-storage/index/mbox
	/mbox-save.c, src/lib-storage/index/mbox/mbox-settings.c, src/lib-
	storage/index/mbox/mbox-storage.c, src/lib-storage/index/mbox/mbox-
	sync-parse.c, src/lib-storage/index/mbox/mbox-sync-rewrite.c, src
	/lib-storage/index/mbox/mbox-sync-update.c, src/lib-
	storage/index/mbox/mbox-sync.c, src/lib-storage/index/pop3c/pop3c-
	client.c, src/lib-storage/index/pop3c/pop3c-mail.c, src/lib-
	storage/index/pop3c/pop3c-settings.c, src/lib-storage/index/pop3c
	/pop3c-storage.c, src/lib-storage/index/pop3c/pop3c-sync.c, src/lib-
	storage/index/raw/raw-mail.c, src/lib-storage/index/raw/raw-
	storage.c, src/lib-storage/index/raw/raw-sync.c, src/lib-
	storage/index/shared/shared-list.c, src/lib-storage/index/shared
	/shared-storage.c, src/lib-storage/list/mailbox-list-delete.c, src
	/lib-storage/list/mailbox-list-fs-flags.c, src/lib-storage/list
	/mailbox-list-fs-iter.c, src/lib-storage/list/mailbox-list-fs.c, src
	/lib-storage/list/mailbox-list-index-iter.c, src/lib-storage/list
	/mailbox-list-index-status.c, src/lib-storage/list/mailbox-list-
	index-sync.c, src/lib-storage/list/mailbox-list-index.c, src/lib-
	storage/list/mailbox-list-maildir-iter.c, src/lib-storage/list
	/mailbox-list-maildir.c, src/lib-storage/list/mailbox-list-none.c,
	src/lib-storage/list/mailbox-list-subscriptions.c, src/lib-
	storage/list/subscription-file.c, src/lib-storage/mail-copy.c, src
	/lib-storage/mail-error.c, src/lib-storage/mail-namespace.c, src
	/lib-storage/mail-search-build.c, src/lib-storage/mail-search-
	parser-cmdline.c, src/lib-storage/mail-search-parser-imap.c, src
	/lib-storage/mail-search-parser.c, src/lib-storage/mail-search-
	register-human.c, src/lib-storage/mail-search-register-imap.c, src
	/lib-storage/mail-search-register.c, src/lib-storage/mail-search.c,
	src/lib-storage/mail-storage-hooks.c, src/lib-storage/mail-storage-
	service.c, src/lib-storage/mail-storage-settings.c, src/lib-storage
	/mail-storage.c, src/lib-storage/mail-thread.c, src/lib-storage
	/mail-user.c, src/lib-storage/mail.c, src/lib-storage/mailbox-get.c,
	src/lib-storage/mailbox-guid-cache.c, src/lib-storage/mailbox-
	header.c, src/lib-storage/mailbox-keywords.c, src/lib-storage
	/mailbox-list-iter.c, src/lib-storage/mailbox-list.c, src/lib-
	storage/mailbox-search-result.c, src/lib-storage/mailbox-tree.c, src
	/lib-storage/mailbox-uidvalidity.c, src/lib-storage/test-mailbox-
	get.c, src/lib-test/test-common.c, src/lib/abspath.c,
	src/lib/aqueue.c, src/lib/array.c, src/lib/askpass.c, src/lib
	/backtrace-string.c, src/lib/base64.c, src/lib/bsearch-insert-pos.c,
	src/lib/buffer.c, src/lib/child-wait.c, src/lib/close-keep-errno.c,
	src/lib/compat.c, src/lib/crc32.c, src/lib/data-stack.c, src/lib
	/eacces-error.c, src/lib/env-util.c, src/lib/execv-const.c,
	src/lib/failures.c, src/lib/fd-close-on-exec.c, src/lib/fd-set-
	nonblock.c, src/lib/fdatasync-path.c, src/lib/fdpass.c, src/lib
	/file-cache.c, src/lib/file-copy.c, src/lib/file-dotlock.c, src/lib
	/file-lock.c, src/lib/file-set-size.c, src/lib/guid.c, src/lib/hash-
	format.c, src/lib/hash-method.c, src/lib/hash.c, src/lib/hash2.c,
	src/lib/hex-binary.c, src/lib/hex-dec.c, src/lib/home-expand.c,
	src/lib/hostpid.c, src/lib/imem.c, src/lib/ioloop-notify-dn.c,
	src/lib/ioloop-notify-fd.c, src/lib/ioloop-notify-inotify.c, src/lib
	/ioloop-notify-none.c, src/lib/ioloop-poll.c, src/lib/ioloop-
	select.c, src/lib/ioloop.c, src/lib/iostream-rawlog.c,
	src/lib/iostream.c, src/lib/ipwd.c, src/lib/istream-
	base64-encoder.c, src/lib/istream-concat.c, src/lib/istream-crlf.c,
	src/lib/istream-data.c, src/lib/istream-file.c, src/lib/istream-
	limit.c, src/lib/istream-mmap.c, src/lib/istream-rawlog.c, src/lib
	/istream-seekable.c, src/lib/istream-tee.c, src/lib/istream.c,
	src/lib/lib-signals.c, src/lib/lib.c, src/lib/mempool-alloconly.c,
	src/lib/mempool-datastack.c, src/lib/mempool-system.c, src/lib
	/mempool-unsafe-datastack.c, src/lib/mempool.c, src/lib/mkdir-
	parents.c, src/lib/mmap-anon.c, src/lib/mmap-util.c, src/lib/module-
	dir.c, src/lib/mountpoint.c, src/lib/network.c, src/lib/nfs-
	workarounds.c, src/lib/ostream-buffer.c, src/lib/ostream-file.c,
	src/lib/ostream-rawlog.c, src/lib/ostream.c, src/lib/printf-format-
	fix.c, src/lib/priorityq.c, src/lib/process-title.c,
	src/lib/randgen.c, src/lib/read-full.c, src/lib/restrict-access.c,
	src/lib/restrict-process-size.c, src/lib/safe-memset.c, src/lib
	/safe-mkdir.c, src/lib/safe-mkstemp.c, src/lib/sendfile-util.c,
	src/lib/seq-range-array.c, src/lib/str-find.c, src/lib/str-
	sanitize.c, src/lib/str.c, src/lib/strescape.c, src/lib/strfuncs.c,
	src/lib/strnum.c, src/lib/test-aqueue.c, src/lib/test-array.c,
	src/lib/test-base64.c, src/lib/test-bsearch-insert-pos.c, src/lib
	/test-buffer.c, src/lib/test-crc32.c, src/lib/test-hash-format.c,
	src/lib/test-hex-binary.c, src/lib/test-istream-base64-encoder.c,
	src/lib/test-istream-concat.c, src/lib/test-istream-crlf.c, src/lib
	/test-istream-seekable.c, src/lib/test-istream-tee.c, src/lib/test-
	lib.c, src/lib/test-llist.c, src/lib/test-mempool-alloconly.c,
	src/lib/test-network.c, src/lib/test-ostream-file.c, src/lib/test-
	primes.c, src/lib/test-priorityq.c, src/lib/test-seq-range-array.c,
	src/lib/test-str-find.c, src/lib/test-str-sanitize.c, src/lib/test-
	strescape.c, src/lib/test-strfuncs.c, src/lib/test-time-util.c,
	src/lib/test-utc-mktime.c, src/lib/test-var-expand.c, src/lib/time-
	util.c, src/lib/unichar.c, src/lib/unix-socket-create.c, src/lib
	/unlink-directory.c, src/lib/unlink-old-files.c, src/lib/utc-
	mktime.c, src/lib/utc-offset.c, src/lib/var-expand.c, src/lib/write-
	full.c, src/lmtp/client.c, src/lmtp/commands.c, src/lmtp/lmtp-
	proxy.c, src/lmtp/lmtp-settings.c, src/lmtp/main.c, src/log/log-
	connection.c, src/log/log-settings.c, src/log/main.c, src/login-
	common/access-lookup.c, src/login-common/client-common-auth.c, src
	/login-common/client-common.c, src/login-common/login-proxy-state.c,
	src/login-common/login-proxy.c, src/login-common/login-settings.c,
	src/login-common/main.c, src/login-common/sasl-server.c, src/login-
	common/ssl-proxy-gnutls.c, src/login-common/ssl-proxy-openssl.c, src
	/login-common/ssl-proxy.c, src/master/dup2-array.c,
	src/master/main.c, src/master/master-settings.c, src/master/service-
	anvil.c, src/master/service-listen.c, src/master/service-log.c,
	src/master/service-monitor.c, src/master/service-process-notify.c,
	src/master/service-process.c, src/master/service.c, src/plugins/acl
	/acl-api.c, src/plugins/acl/acl-backend-vfile-acllist.c,
	src/plugins/acl/acl-backend-vfile.c, src/plugins/acl/acl-backend.c,
	src/plugins/acl/acl-cache.c, src/plugins/acl/acl-lookup-dict.c,
	src/plugins/acl/acl-mailbox-list.c, src/plugins/acl/acl-mailbox.c,
	src/plugins/acl/acl-plugin.c, src/plugins/acl/acl-shared-storage.c,
	src/plugins/acl/acl-storage.c, src/plugins/acl/doveadm-acl.c,
	src/plugins/autocreate/autocreate-plugin.c, src/plugins/expire
	/doveadm-expire.c, src/plugins/expire/expire-plugin.c,
	src/plugins/expire/expire-set.c, src/plugins/fts-lucene/doveadm-fts-
	lucene.c, src/plugins/fts-lucene/fts-backend-lucene.c, src/plugins
	/fts-lucene/fts-lucene-plugin.c, src/plugins/fts-solr/fts-backend-
	solr-old.c, src/plugins/fts-solr/fts-backend-solr.c, src/plugins
	/fts-solr/fts-solr-plugin.c, src/plugins/fts-solr/solr-connection.c,
	src/plugins/fts-squat/fts-backend-squat.c, src/plugins/fts-squat
	/fts-squat-plugin.c, src/plugins/fts-squat/squat-test.c, src/plugins
	/fts-squat/squat-trie.c, src/plugins/fts-squat/squat-uidlist.c,
	src/plugins/fts/doveadm-dump-fts-expunge-log.c, src/plugins/fts
	/doveadm-fts.c, src/plugins/fts/fts-api.c, src/plugins/fts/fts-
	build-mail.c, src/plugins/fts/fts-expunge-log.c, src/plugins/fts
	/fts-indexer.c, src/plugins/fts/fts-parser-html.c, src/plugins/fts
	/fts-parser-script.c, src/plugins/fts/fts-parser.c, src/plugins/fts
	/fts-plugin.c, src/plugins/fts/fts-search-serialize.c,
	src/plugins/fts/fts-search.c, src/plugins/fts/fts-storage.c,
	src/plugins/fts/xml2text.c, src/plugins/imap-acl/imap-acl-plugin.c,
	src/plugins/imap-quota/imap-quota-plugin.c, src/plugins/imap-stats
	/imap-stats-plugin.c, src/plugins/imap-zlib/imap-zlib-plugin.c,
	src/plugins/lazy-expunge/lazy-expunge-plugin.c,
	src/plugins/listescape/listescape-plugin.c, src/plugins/mail-log
	/mail-log-plugin.c, src/plugins/quota/doveadm-quota.c,
	src/plugins/quota/quota-count.c, src/plugins/quota/quota-dict.c,
	src/plugins/quota/quota-dirsize.c, src/plugins/quota/quota-fs.c,
	src/plugins/quota/quota-maildir.c, src/plugins/quota/quota-plugin.c,
	src/plugins/quota/quota-storage.c, src/plugins/quota/quota.c,
	src/plugins/snarf/snarf-plugin.c, src/plugins/stats/stats-
	connection.c, src/plugins/stats/stats-plugin.c, src/plugins/trash
	/trash-plugin.c, src/plugins/virtual/virtual-config.c,
	src/plugins/virtual/virtual-mail.c, src/plugins/virtual/virtual-
	plugin.c, src/plugins/virtual/virtual-save.c, src/plugins/virtual
	/virtual-search.c, src/plugins/virtual/virtual-storage.c,
	src/plugins/virtual/virtual-sync.c, src/plugins/virtual/virtual-
	transaction.c, src/plugins/zlib/doveadm-zlib.c, src/plugins/zlib
	/istream-bzlib.c, src/plugins/zlib/istream-zlib.c, src/plugins/zlib
	/ostream-bzlib.c, src/plugins/zlib/ostream-zlib.c, src/plugins/zlib
	/zlib-plugin.c, src/pop3-login/client-authenticate.c,
	src/pop3-login/client.c, src/pop3-login/pop3-login-settings.c,
	src/pop3-login/pop3-proxy.c, src/pop3/main.c,
	src/pop3/pop3-client.c, src/pop3/pop3-commands.c,
	src/pop3/pop3-settings.c, src/ssl-params/main.c, src/ssl-params/ssl-
	params-openssl.c, src/ssl-params/ssl-params-settings.c, src/ssl-
	params/ssl-params.c, src/stats/client-export.c, src/stats/client.c,
	src/stats/global-memory.c, src/stats/mail-command.c, src/stats/mail-
	domain.c, src/stats/mail-ip.c, src/stats/mail-server-connection.c,
	src/stats/mail-session.c, src/stats/mail-stats.c, src/stats/mail-
	user.c, src/stats/main.c, src/stats/stats-settings.c,
	src/util/gdbhelper.c, src/util/maildirlock.c, src/util/rawlog.c,
	src/util/script-login.c, src/util/script.c, src/util/tcpwrap-
	settings.c, src/util/tcpwrap.c:
	Updated copyright notices to include year 2012.
	[ba770cba5598]

	* src/lda/main.c, src/lib-lda/mail-deliver.h, src/lib-lda/mail-send.c:
	lib-lda: Send DSN only for out-of-quota errors. Send MDN for Sieve
	rejects.
	[ad5298ba3229]

	* doc/example-config/dovecot.conf:
	example-config: Updated instance_name setting's comments.
	[b9e74767cd39]

	* src/lib-storage/index/index-thread-finish.c:
	Make static analyzer happier.
	[996a03279431]

	* src/lda/main.c, src/lib-lda/mail-deliver.h, src/lib-lda/mail-send.c:
	lda: If DSN is sent because user is out of quota, send 5.2.2 as
	Status.
	[ee060d756630]

	* src/lib-lda/mail-send.c:
	lib-lda: Send DSN instead of MDN for rejections. I had just
	copy&pasted the MDN sending from Cyrus..
	[264821ba38a8]

	* src/lib-storage/mail-storage-service.c:
	lib-storage: "Invalid userdb input" showed wrong input in the error
	message.
	[731d9f2cd25d]

	* src/lib-storage/index/dbox-single/sdbox-storage.c:
	sdbox: Fixed sdbox_read_header() randomly failing.
	[7517c752f2f5]

	* src/lib-storage/fail-mailbox.c:
	lib-storage: Error handling fix.
	[e778e2c76f6f]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Don't assert-crash if saving a message fails.
	[57c735865b19]

	* src/director/auth-connection.c:
	director: Log an error if auth connection disconnects unexpectedly.
	[9b70d164e974]

	* src/doveadm/doveadm-mail.c:
	doveadm: Changes for previous expire plugin changes to actually
	work.
	[b77aa92e3931]

	* src/lib-storage/index/dbox-single/sdbox-sync-rebuild.c:
	sdbox: Don't assert-crash on index rebuild if u.X file exists in
	both primary and alt storage.
	[5f96fb9f079b]

	* src/plugins/expire/doveadm-expire.c:
	expire: Only go through users listed by userdb iteration. Delete
	dict rows for nonexistent users, unless
	expire_keep_nonexistent_users=yes.
	[f889e25711a1]

	* src/plugins/acl/doveadm-acl.c:
	doveadm acl: Added "add" and "remove" commands.
	[845c3045f45c]

	* src/plugins/acl/doveadm-acl.c:
	doveadm acl set: Replace both positive and negative rights, not just
	one of them.
	[dbff71f51507]

	* src/doveadm/doveadm-mail-mailbox.c:
	doveadm mailbox delete: Added -r parameter to recursively delete
	mailboxes.
	[4bc781a27f54]

	* src/doveadm/doveadm-mail-mailbox.c:
	doveadm mailbox delete: Sort the mailbox parameters so that children
	are deleted first.
	[711c122aa253]

	* src/lib-mail/message-id.c, src/lib-mail/test-message-id.c:
	message_id_get_next(): Fixed parsing message-ids with no-fold-
	quotes.
	[53929042d73e]

	* src/lib-ssl-iostream/iostream-openssl-context.c, src/login-common
	/ssl-proxy-openssl.c:
	SSL: Enable SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS flag for extra
	security. This is to counter the "BEAST SSL" attack, although I
	don't think it's practical to implement against IMAP/POP3/LMTP
	protocols. There's really no way for attackers to inject any evil
	data before authentication, so the password is safe. Post-
	authentication attacker could cause clients to download evil emails,
	but even then clients don't typically redownload some specific mail,
	so there's really no way to extract anything useful.
	[8d90de706bd2]

	* src/doveadm/doveadm-mail-list-iter.c:
	doveadm: Use MAILBOX_LIST_ITER_LIST_PREFIXES when iterating through
	mailboxes. This means that if there exists a mailbox in namespace
	prefix itself, those mailboxes can be accessed. Also "doveadm
	mailbox list" shows all namespace prefixes.

	Note that wildcards match only within namespace, so e.g. '*' will
	never match any namespace prefix, because it works within the
	prefix="" namespace.
	[6420d63e7570]

	* src/lib-storage/mailbox-list-iter.c, src/lib-storage/mailbox-list.h:
	lib-storage: Added MAILBOX_LIST_ITER_LIST_PREFIXES flag.
	[f5353573d3a0]

	* src/doveadm/doveadm-mail-list-iter.c:
	doveadm: Removed unnecessary code. "mailbox/" is no longer included
	in listing by default.
	[53cf118fd16c]

	* src/doveadm/doveadm-pw.c:
	doveadm pw: Added -t <hash> parameter to test if a hash matches to
	given plaintext. Based on patch by Jimmy Thrasibule
	[fffa4d53e901]

2012-02-09  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/shared/shared-storage.c:
	shared: Allocate mailbox as fail_mailbox. This fixes crashes when a
	mailbox is attempted to be allocated from the shared namespace
	itself (e.g. the "shared" prefix).
	[a927b41bf699]

	* src/lib-storage/Makefile.am, src/lib-storage/fail-mail-storage.c,
	src/lib-storage/fail-mail-storage.h, src/lib-storage/fail-mail.c,
	src/lib-storage/fail-mailbox.c, src/lib-storage/test-mail-storage.c,
	src/lib-storage/test-mail-storage.h, src/lib-storage/test-mail.c,
	src/lib-storage/test-mailbox.c:
	lib-storage: Renamed test-mail/mailbox/storage to fail-*
	[6a285db79b76]

	* src/plugins/virtual/virtual-storage.c:
	Increased initial memory pool size.
	[f9b78a17018c]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Fixed a potential assert crash when saving mails.
	[e29bc3eb0ba6]

	* src/lib-storage/index/dbox-multi/mdbox-save.c, src/lib-storage/index
	/dbox-single/sdbox-save.c:
	dbox: If saving is aborted, don't add a broken record about it to
	index.
	[98a59ac1f3d0]

	* src/plugins/quota/quota.c:
	quota: If "quota" setting's value is empty, assume quota is wanted
	to be disabled.
	[dc674f4577af]

	* src/plugins/snarf/snarf-plugin.c:
	snarf: Keep the mailbox locked during snarfing to avoid duplicates.
	[28b73743c36f]

	* src/imap/cmd-append.c:
	imap: Handle invalid APPEND parameters a little nicer.
	[665bb4bc72ca]

	* configure.in:
	configure: Avoid some unnecessary warnings with clang.
	[671b637e20db]

	* src/auth/password-scheme.c:
	auth: password_verify() now returns error string also for password
	mismatches.
	[aea4151da8f6]

	* src/doveadm/doveadm-pw.c:
	doveadm pw: Minor code cleanups.
	[12579e53f575]

	* src/doveadm/doveadm-pw.c:
	doveadm pw: Improved error messages.
	[75d6cd91fabe]

	* src/doveadm/doveadm-proxy.c:
	doveadm proxy list: Avoid hanging if we can't connect to ipc socket.
	[f2b7e8d8dcb3]

	* src/lib-master/master-service.c:
	lib-master no longer uses 's' option, but it wasn't removed from
	getopt string.
	[dd4626a996b6]

	* INSTALL:
	INSTALL: Updated outdated documentation.
	[5ea2e9b93fe3]

	* src/plugins/acl/acl-backend-vfile.c:
	acl: Avoid assert-crashing when trying to access invalid mailbox
	names.
	[95a9428fe68b]

	* src/doveadm/doveadm-mail-index.c:
	doveadm index: Changed help text to make it clear that mailbox can
	have wildcards.
	[4ced8d2b4a3b]

	* src/doveadm/doveadm-mail.c:
	doveadm force-resync: Support wildcards in mailbox names.
	[e004b6a89869]

	* src/lib-storage/index/shared/shared-storage.c:
	lib-storage: Trying to access shared mailboxes of nonexistent users
	crashed. This was broken by commit 18078d6cce84.
	[f2d5a1efdda2]

	* src/doveadm/doveadm-mail-list-iter.c:
	doveadm mailbox list without pattern shows now all shared and public
	mailboxes also. doveadm mailbox list '*' shows only the one matching
	namespace.
	[b600af017598]

	* src/lib-storage/index/dbox-multi/mdbox-file.c, src/lib-storage/index
	/dbox-multi/mdbox-map.c:
	mdbox: Fixed finding appendable m.* files in alt storage.
	[6881d8c59d9f]

	* doc/example-config/conf.d/10-mail.conf, src/lib-
	storage/index/mbox/Makefile.am, src/lib-storage/index/mbox/mbox-
	md5-all.c, src/lib-storage/index/mbox/mbox-md5-apop3d.c, src/lib-
	storage/index/mbox/mbox-md5.c, src/lib-storage/index/mbox/mbox-
	md5.h, src/lib-storage/index/mbox/mbox-save.c, src/lib-
	storage/index/mbox/mbox-settings.c, src/lib-storage/index/mbox/mbox-
	settings.h, src/lib-storage/index/mbox/mbox-storage.c, src/lib-
	storage/index/mbox/mbox-storage.h, src/lib-storage/index/mbox/mbox-
	sync-parse.c:
	mbox: Added mbox_md5 setting to select headers for MD5 generation.
	[2500de8f1f51]

	* src/lib-storage/index/dbox-multi/mdbox-storage-rebuild.c:
	mdbox: Detect duplicate GUIDs for different messages. Don't delete
	these duplicates. Only the message size is used for detecting if
	they are duplicates or not, but since this shouldn't normally happen
	anyway this is good enough.
	[408350532a18]

	* src/lib-storage/index/dbox-multi/mdbox-storage-rebuild.c:
	mdbox: Small code cleanup to storage rebuild.
	[e4272971f86f]

	* src/lib-storage/index/dbox-multi/mdbox-storage-rebuild.c:
	mdbox: Avoid deferencing NULL pointer in specific corrupted
	mailboxes.
	[69bb267956a2]

	* src/lib-storage/index/dbox-common/dbox-sync-rebuild.c, src/lib-
	storage/index/dbox-multi/mdbox-storage-rebuild.c, src/lib-
	storage/index/dbox-single/sdbox-sync-rebuild.c:
	dbox: Index rebuild now preserves caching decisions.
	[d8d214cc1936]

	* src/lib-index/mail-cache-private.h, src/lib-index/mail-cache.h:
	lib-index: mail_cache_open_and_verify() is now public.
	[21c3ce1b21cd]

	* src/lib-storage/index/dbox-multi/mdbox-file.c, src/lib-storage/index
	/dbox-single/sdbox-file.c:
	dbox: Never rename() mail files over existing files. If such a file
	exists, rebuild indexes.
	[09db0f7aa6ce]

	* src/lib-storage/index/dbox-multi/mdbox-map.c:
	mdbox: Fixed initial mailbox creation to work again without errors.
	[41bd2d4c013d]

	* src/lib-storage/index/dbox-single/sdbox-storage.c, src/lib-
	storage/index/dbox-single/sdbox-storage.h, src/lib-storage/index
	/dbox-single/sdbox-sync-rebuild.c, src/lib-storage/index/index-
	storage.c, src/lib-storage/index/index-storage.h:
	sdbox: Use mail_index_set_ext_init_data() to simplify opening
	mailboxes. Now the initial mailbox index can be created with the
	necessary sdbox header. If the header doesn't exist when opening a
	mailbox, it's guaranteed to be corrupted.
	[1e2e69ea3095]

	* src/lib-index/mail-index-private.h, src/lib-index/mail-index.c, src
	/lib-index/mail-index.h, src/lib-index/mail-transaction-log-file.c:
	lib-index: Added mail_index_set_ext_init_data() for adding data to
	index on creation. This can be used to avoid race conditions on
	mailbox creation for mailbox formats that require this (sdbox).
	[2ab26bb55346]

	* src/lib-index/mail-cache.c, src/lib-master/mountpoint-list.c:
	Increase initial memory pool sizes.
	[f6102f0af71d]

2012-02-08  Timo Sirainen  <tss@iki.fi>

	* src/director/main.c:
	director: Fixed potential assert crash when moving a user to another
	backend.
	[24eec256a761]

	* src/lib/istream.c, src/lib/ostream.c:
	iostreams: Set errno to stream_errno when exiting from failing
	functions.
	[d4e7052af42a]

	* src/doveadm/doveadm-instance.c:
	doveadm instance remove: Allow removing using name as well as base
	dir.
	[448c48968174]

	* src/imap/imap-fetch-body.c, src/imap/imap-fetch.h:
	Removed unnecessary code.
	[06c9a46f35a8]

2012-02-06  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-single/sdbox-storage.c:
	sdbox: Fix a corrupted mailbox when opening it, instead of losing
	all of its contents.
	[a765e0a895a9]

	* src/doveadm/doveadm-instance.c:
	doveadm instance list: Show the last used field.
	[833ac7b1d58b]

	* src/lib-master/master-instance.c, src/lib-master/master-instance.h:
	lib-master: Removed code to auto-drop instances from the list. There
	couldn't be any empty named instances, so it was a bit pointless.
	[51c4e336c872]

	* src/master/main.c:
	master: If instance_name doesn't begin with "dovecot", add
	"dovecot-" prefix to process names.
	[26885fe20e1f]

	* src/lib-master/Makefile.am, src/lib-master/master-service-private.h,
	src/lib-master/master-service.c:
	lib-master: Added -i parameter to read config by instance name
	rather than path.
	[3fa544e4f26b]

	* src/doveadm/Makefile.am, src/doveadm/doveadm-instance.c,
	src/doveadm/doveadm.c, src/doveadm/doveadm.h, src/lib-
	master/Makefile.am, src/lib-master/master-instance.c, src/lib-master
	/master-instance.h, src/master/main.c:
	Keep track of what Dovecot instances have been executed and their
	instance_name. doveadm instance command can be used to list/remove
	them.
	[5f60958926e1]

	* src/log/doveadm-connection.c, src/log/doveadm-connection.h, src/log
	/log-error-buffer.c, src/log/log-error-buffer.h:
	log: Forgot to add new files to recent commit.
	[6cd1b564fcc2]

	* src/util/rawlog.c:
	rawlog: Renamed -i / -o parameters to "-f in", "-f out" This is
	mainly to get give the -i parameter to lib-master.
	[664778adec21]

	* src/doveadm/doveadm-log.c, src/log/Makefile.am, src/log/log-
	connection.c, src/log/log-connection.h, src/log/log-settings.c,
	src/log/main.c:
	log: Keep track of last 1000 errors/warnings. "doveadm log errors"
	shows them.
	[66f875b5102b]

	* src/lib/failures.c, src/lib/failures.h:
	liblib: Added failure_log_type_names[] array.
	[0d224f2c3152]

2012-02-02  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/pop3c/pop3c-client.c, src/lib-
	storage/index/pop3c/pop3c-mail.c:
	pop3c: Fixes to handling filter streams for mail.
	[fa7e1246e0e2]

	* src/lib/istream-seekable.c:
	istream-seekable: If we panic about stream not being seekable, log
	the stream name/offset.
	[f31a227ae381]

	* src/lib-storage/index/pop3c/pop3c-client.c:
	pop3c: Last message wasn't visible.
	[a5aac072bf38]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: If base_dir isn't set, do a blocking DNS lookup. This is
	mostly a workaround for being able to run imapc from standalone
	programs (e.g. doveadm) without running Dovecot.
	[47072538ff11]

	* src/lib-imap-client/imapc-connection.c:
	lib-imap-client: If dns_client_socket_path isn't given, do a
	blocking lookup.
	[9d031f0b613d]

	* src/doveadm/doveadm-mail-fetch.c:
	doveadm fetch: Added support for hdr.*.utf8 fields.
	[ceadfe9009aa]

	* src/lib-storage/mail-storage.c:
	lib-storage: One more crashfix for recent
	maildir_name/mailbox_dir_name change.
	[ba48de993c8e]

	* src/auth/db-ldap.c:
	auth: Get LDAP attribute names automatically from template's
	%{ldap:attr} variables.
	[d29d119192c1]

	* src/lib/var-expand.c:
	var_expand*(): Allow table to be NULL (when using only func_table).
	[56c3a6c1d187]

	* src/auth/db-ldap.c:
	auth: LDAP fields can now access any returned LDAP attribtes with
	%{ldap:name}
	[ab58022f934f]

	* src/lib/var-expand.c, src/lib/var-expand.h:
	liblib: Added var_expand_with_funcs() to expand variables with
	function callbacks.
	[ba86a60e3059]

	* src/auth/db-ldap.c, src/auth/db-ldap.h:
	ldap: Crashfixes to previous change.
	[7edafe5c43da]

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Crashfix related to recent maildir_name/mailbox_dir_name
	changes.
	[adb1ac9a9b82]

	* src/config/config-parser.c:
	config: In "key=<path" path is now relative to config file's
	directory.
	[901ce18fbfcb]

	* src/auth/db-ldap.c, src/auth/db-ldap.h, src/auth/passdb-ldap.c,
	src/auth/userdb-ldap.c:
	ldap: Support using the same LDAP attribute in multiple fields.
	[6734aa225b4f]

2012-02-01  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-single/sdbox-sync.c:
	sdbox: Fixed moving files from alt storage to primary storage.
	[fb659472b2a2]

	* src/plugins/stats/stats-plugin.c:
	stats plugin disabled calling other plugins' user.deinit() method.
	[b82a3149f45e]

	* src/lib-storage/index/dbox-common/dbox-storage.c, src/lib-
	storage/index/maildir/maildir-storage.c, src/lib-storage/mailbox-
	list.c:
	lib-storage: And another fix to previous
	maildir_name/mailbox_dir_name changes.
	[db8c1dde0b41]

	* src/lib/ioloop-private.h, src/lib/ioloop.c, src/lib/ioloop.h:
	ioloop: I/O and timeout leak messages now include the
	io_add()/timeout_add() source line number. This helps figuring out
	the leak especially when using ASLR. Also in 64bit systems there's
	no increased memory usage, because the line number replaces only
	padding.
	[0308a33d9f99]

	* src/lib-storage/mailbox-list.c:
	lib-storage: Crashfix to previous change.
	[e3c4a86fb63b]

	* src/lib-master/mountpoint-list.c, src/lib-master/mountpoint-list.h,
	src/lib-storage/mail-user.c, src/lib-storage/mail-user.h, src/lib-
	storage/mailbox-list.c:
	lib-storage: Abort index/control/alt root dir creation if mountpoint
	isn't mounted.
	[d01932c7828a]

	* src/doveadm/doveadm-mount.c:
	doveadm mount: Renamed "status" command to "list".
	[cf34d9fc5cec]

	* src/doveadm/doveadm-mount.c:
	doveadm mount remove: Allow removing a wildcard path with the '*'
	suffix.
	[f9a4404f2316]

	* src/doveadm/Makefile.am, src/doveadm/doveadm-mount.c,
	src/doveadm/doveadm.c, src/doveadm/doveadm.h, src/lib-
	master/Makefile.am, src/lib-master/mountpoint-list.c, src/lib-master
	/mountpoint-list.h, src/master/main.c:
	Keep track of seen mountpoints and warn at startup if one is
	missing. doveadm mount commands can be used to manipulate the list.

	The list is kept in $rundir/mounts, but since it may be deleted
	after a reboot a copy is kept also in $statedir/mounts. If it's not
	found from $rundir at startup, it's copied there from $statedir.
	(The reason why only $statedir isn't used is because it's often not
	world-readable.)
	[51324056af4f]

	* src/doveadm/doveadm-director.c, src/doveadm/doveadm-print-table.c,
	src/doveadm/doveadm-print.h, src/doveadm/doveadm-proxy.c,
	src/doveadm/doveadm-stats.c, src/doveadm/doveadm-who.c:
	doveadm: Added flag to specify which column table formatter expands.
	The default also was changed to last column, not first.
	[56ff22125b7d]

	* configure.in:
	configure: Added getmntinfo() check for BSD mountpoint iteration.
	[4b783711a22e]

	* src/lib-storage/index/dbox-common/dbox-sync-rebuild.c, src/lib-
	storage/index/dbox-multi/mdbox-file.c, src/lib-storage/index/maildir
	/maildir-util.c, src/lib-storage/mail-storage.c, src/lib-storage
	/mailbox-list.c, src/lib-storage/mailbox-list.h, src/plugins/fts-
	lucene/fts-backend-lucene.c:
	lib-storage: mailbox_list_mkdir_root() API changed. Use it now for
	creating mail root dir. It was supposed to be used for it
	previously, but wasn't..
	[aed3379df476]

	* src/lib/guid.c:
	guid_128_generate(): Use 32bit sha1(host@domain) instead of
	crc32(hostname)
	[acc60bd684fb]

2012-01-30  Timo Sirainen  <tss@iki.fi>

	* src/lib/mountpoint.c, src/lib/mountpoint.h:
	Added mountpoint_iter_*() for iterating mounted filesystems.
	[8be75a2ea2dd]

2012-01-29  Pascal Volk  <user@localhost.localdomain.org>

	* doc/man/doveconf.1.in:
	man: Added descriptions of -d and -S options to doveconf.1.
	[cc533cbd77b0]

2012-01-29  Timo Sirainen  <tss@iki.fi>

	* src/lib/istream-seekable.c:
	istream-concat: If EOF is already reached, use that size for
	stat().st_size
	[15bcb5616717]

	* src/plugins/zlib/ostream-bzlib.c, src/plugins/zlib/ostream-zlib.c:
	zlib: zlib/bzlib ostreams no longer assert-crash if parent stream
	becomes full. This fixes assert-crashes with IMAP COMPRESS
	extension.
	[3c0bd1fd035b]

	* src/lib-storage/index/pop3c/pop3c-mail.c:
	pop3c: mail.istream_opened() method wasn't being called.
	[397224940894]

	* src/lib-storage/index/dbox-multi/mdbox-storage-rebuild.c:
	mdbox: Don't lose save_dates when rebuilding indexes.
	[47018c625680]

	* src/plugins/zlib/zlib-plugin.c:
	zlib+mbox: Fixed error handling when opening nonexistent/directory
	mailbox.
	[dd2f85009ba0]

2012-01-28  Timo Sirainen  <tss@iki.fi>

	* src/imap/imap-search.c:
	imap: CONTEXT search return option wasn't handled at all.
	[7a1e2cb5c13c]

	* src/lib-storage/index/dbox-multi/mdbox-map.c, src/lib-storage/index
	/dbox-multi/mdbox-save.c, src/lib-storage/index/dbox-multi/mdbox-
	storage-rebuild.c, src/lib-storage/index/dbox-multi/mdbox-sync.c,
	src/lib-storage/index/dbox-multi/mdbox-sync.h:
	mdbox: Check that m.X file doesn't have garbage at end of file when
	saving new data to it.
	[bde005e302e0]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Fixed handling non-ASCII characters in mailbox names.
	[ef6f3b7f6038]

	* src/config/config-parser-private.h, src/config/config-parser.c,
	src/config/doveconf.c:
	doveconf: Added -d parameter for dumping default settings.
	[41cb0217b7c3]

	* src/lib-sql/driver-sqlpool.c:
	sql: Fixed retrying query when multiple hosts were specified and all
	of them got disconnected.
	[6b902f2be944]

	* src/lib-storage/index/index-thread-finish.c:
	lib-storage: Thread iteration no longer returns dummy nodes without
	children. This fixes returning (0) nodes to IMAP client.
	[67972d72b55c]

	* src/lib/restrict-access.c:
	restrict_access(): If privileged and primary GIDs are the same,
	ignore privileged GID.
	[9b8657a98e2e]

	* src/doveadm/dsync/dsync-brain.c:
	dsync: If brain fails but workers don't, exit without assert-
	crashing.
	[2a4b425b05dc]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Don't crash if one source has indexes disabled.
	[7b94d1c8a6e7]

	* src/lib-lda/smtp-client.c:
	smtp client: Do DNS blocking lookups. We don't currently have access
	to base_dir, so we can't know what the path to dns-client is. Also
	smtp client is a blocking operation anyway, so doing a blocking DNS
	lookup isn't a problem.
	[32318f1588d4]

	* src/lib-lda/lmtp-client.c:
	smtp/lmtp client: If dns-client socket path isn't given, use
	blocking lookup.
	[bc2eea348f55]

	* src/lib-storage/list/mailbox-list-fs.c:
	fs layout: Handle properly returning path when there is no root dir.
	[5a14f5ddd1a2]

2012-01-27  Timo Sirainen  <tss@iki.fi>

	* src/master/service-monitor.c, src/master/service.h:
	master: Throttle rapid exit failures only if there have never been
	any exit successes. This should still catch buggy services without
	allowing intentional DoSing.
	[85a9b5236b6c]

	* src/master/service-monitor.c, src/master/service.c,
	src/master/service.h:
	master: Make service throttling seconds incremental, starting from 2
	secs.
	[c553725d57bb]

	* src/master/service-monitor.c, src/master/service.h:
	master: If 10 service processes die within a second with no
	successes inbetween, throttle the service.
	[300736775b89]

	* src/auth/userdb-passwd.c:
	auth: Monitor how fast userdb passwd lookups are. If they're too
	slow, suggest blocking=yes
	[c9b5ea1b9709]

	* src/auth/db-passwd-file.c:
	auth: If parsing passwd-file takes a long time, log a warning.
	[e9a816eaa0e2]

	* src/imap-login/imap-proxy.c, src/login-common/client-common.c, src
	/login-common/client-common.h, src/pop3-login/pop3-proxy.c:
	login proxy: If remote auth fails, say so in disconnect message
	instead of "internal failure".
	[cb344eb79daa]

	* dovecot-config.in.in:
	dovecot-config: Added missing lib-dns and lib-fs to
	LIBDOVECOT_INCLUDE
	[7767d168c994]

	* src/lib-storage/index/dbox-single/sdbox-file.c:
	sdbox: Preserve file's atime/mtime when moving it to alt storage.
	[10320252b521]

	* src/lib-imap-client/imapc-connection.c:
	imapc: If imapc_host is IP, don't look it up via dns-client service.
	[6e6c20ab1ed1]

	* doc/example-config/conf.d/10-mail.conf:
	example-config: mdbox_rotate_interval default was wrong.
	[c330960e6bcb]

	* src/imap-login/imap-proxy.c, src/pop3-login/client-authenticate.c,
	src/pop3-login/pop3-proxy.c:
	login: More verbose_auth -> auth_verbose changes.
	[d88f58c6fd21]

	* src/login-common/login-settings.c, src/login-common/login-
	settings.h:
	login: If auth_debug_passwords=yes, assume
	auth_debug/auth_verbose=yes
	[520fcb49c939]

	* src/login-common/client-common-auth.c, src/login-common/login-
	settings.c, src/login-common/login-settings.h, src/login-common
	/sasl-server.c, src/login-common/ssl-proxy-openssl.c:
	login process wasn't logging all intended messages with
	auth_verbose=yes It was named verbose_auth setting accidentally.
	[581aaea8569c]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: If server doesn't support GUIDs, return empty GUID rather
	than fail. This is how other backends do it as well.
	[f3e000992f61]

2012-01-26  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/doveadm-mail-fetch.c:
	doveadm fetch hdr.*.adddress*: Don't crash when printing groups.
	[afeabe28a499]

	* src/doveadm/doveadm-mail-fetch.c:
	doveadm fetch: hdr.*.address and hdr.*.address_name expand to parsed
	mail addresses.
	[a6a787f0aba1]

	* src/doveadm/doveadm-mail-fetch.c:
	doveadm fetch text.utf8: Don't return failure on success.
	[2418871d09f5]

	* src/doveadm/doveadm-mail-fetch.c:
	doveadm fetch: Added text.utf8 field, which translates headers/body
	to UTF-8.
	[89a637820edd]

	* src/auth/password-scheme.c:
	auth: Added PLAIN-TRUNC password schmee. The idea is to allow
	successful authentication when the original plaintext password was
	stored truncated in the database. So e.g. user gave 123456789 as
	password, but database truncated it to 12345678. To make this
	authentication work, {PLAIN-TRUNC}8-12345678 password allows
	successful authentication with any password that begins with
	12345678. With the "8-" prefix this prefix matching is done only
	when the password after it is exactly 8 characters.
	[3235e903dc97]

	* src/lib/Makefile.am:
	Makefile: Added UnicodeData.txt dependency to unicodemap.c.
	[b2a2036bad3a]

	* .hgsigs:
	Added signature for changeset 0f10b3ed5c18
	[de09157961d6]

	* .hgtags:
	Added tag 2.1.rc5 for changeset 0f10b3ed5c18
	[67f12146691c]

	* NEWS, configure.in:
	Released v2.1.rc5.
	[0f10b3ed5c18] [2.1.rc5]

	* src/lib-storage/index/maildir/maildir-save.c:
	maildir: When saving mails compressed, make sure ,S=size gets added
	to the filename.
	[8f25ff7e0e78]

2012-01-25  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/index-mail.c:
	lib-storage: Message size lookups from cache was broken if fields
	weren't in "normal" order in file.
	[cfc395ee6be1]

2012-01-24  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset a20a99b8815d
	[d01c46b6b5bb]

	* .hgtags:
	Added tag 2.1.rc4 for changeset a20a99b8815d
	[844294bc4b32]

	* NEWS, TODO, configure.in:
	Released v2.1.rc4.
	[a20a99b8815d] [2.1.rc4]

	* src/lib-storage/list/mailbox-list-index.c:
	Dead code removal.
	[077b09204860]

	* src/lib-index/mail-index-sync-ext.c:
	lib-index: Handle broken ext-header updates without crashing.
	[b4d8e950eb9d]

	* src/plugins/zlib/istream-bzlib.c, src/plugins/zlib/istream-zlib.c:
	zlib: Getting stream's size failed in some situations. This could
	have caused other trouble, such as with dbox + mail_attachment_dir.
	[c464072d05e0]

	* src/lib-storage/index/dbox-common/dbox-attachment.c:
	dbox: Minor code correctness fix.
	[096c12e69fd6]

	* src/lib-storage/index/istream-mail.c:
	istream-mail: Skip checking if cached message size is wrong if
	parent stream returns error. An error is not the same as EOF.
	[4e3f2ee77b37]

	* src/lib/istream-concat.c:
	istream-concat: If looking up stream's size fails, log an error and
	handle it as error, not EOF.
	[5c1471ae3005]

2012-01-22  Timo Sirainen  <tss@iki.fi>

	* src/login-common/client-common-auth.c, src/login-common/client-
	common.h:
	login: Make SASL auth buffer size define public.
	[83a2e1ba3ab6]

2012-01-21  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/pop3c/pop3c-settings.c:
	pop3c: Change the default port to 110, not 143.
	[8f5cdb88d047]

	* src/lib-storage/index/pop3c/pop3c-storage.c:
	pop3c: Fixed to work without indexes.
	[b6f9fa12dca6]

	* src/imap-login/client-authenticate.c, src/imap-login/client-
	authenticate.h, src/imap-login/client.c, src/imap-login/client.h,
	src/login-common/client-common-auth.c:
	imap-login: Fixed handling second AUTHENTICATE command when the
	first one failed.
	[32cf5ed72e2d]

	* src/lmtp/client.c, src/lmtp/lmtp-settings.c, src/lmtp/lmtp-
	settings.h:
	lmtp: Fixed assert-crashing on 3rd client connection.
	[e9f68fdf6967]

	* src/lmtp/commands.c, src/lmtp/main.c, src/lmtp/main.h:
	lmtp: Make core dumping work also after the first mail delivery.
	[d5ba2d63ed6d]

2012-01-20  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	fs layout: Fixed listing child mailboxes when children flags weren't
	requested.
	[54e74090fb42]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	fs layout: Don't list subscriptions file as a mailbox.
	[958ef86e7f5b]

	* src/plugins/notify/notify-plugin.c:
	notify plugin: Don't crash if user-plugin didn't set mailbox_rename.
	Patch by Ewald Dieterich.
	[62c33ed5e357]

	* src/plugins/notify/notify-plugin-private.h, src/plugins/notify
	/notify-plugin.c, src/plugins/notify/notify-plugin.h,
	src/plugins/notify/notify-storage.c:
	notify plugin: Added mailbox_update and mailbox_set_subscribed
	notifications.
	[eaf3152a33d6]

	* doc/example-config/dovecot.conf, src/master/main.c, src/master
	/master-settings.c, src/master/master-settings.h:
	master: Added instance_name setting, which is used to prefix
	processes in ps output.
	[e1f21a4ef417]

	* src/lib-sql/driver-mysql.c:
	mysql: If query fails with "MySQL server gone away", log also how
	long it idled.
	[a817cfc3979d]

	* src/auth/auth-common.h, src/auth/auth-worker-client.c, src/auth
	/auth-worker-client.h, src/auth/auth-worker-server.c,
	src/auth/main.c, src/auth/passdb-pam.c:
	auth: Make idle_kill work with auth worker processes.
	[58556a90259f]

	* src/lib-master/master-interface.h, src/lib-master/master-service-
	private.h, src/lib-master/master-service.c, src/lib-master/master-
	service.h, src/master/service-process.c:
	lib-master: Send service's idle_kill value to process in
	environment.
	[3963862a4086]

	* src/master/service-process.c:
	Typofix.
	[a6a53c658cab]

	* src/plugins/fts/fts-parser-script.c:
	fts: Run decoder script with 10 second alarm.
	[01480afe283f]

	* src/util/script.c:
	script: Set alarm() for the script being run only if alarm=<secs>
	parameter is given.
	[5f33a67d5e25]

	* src/plugins/fts/decode2text.sh:
	decode2text.sh: Hide catdoc/catppt/xls2csv segmentation faults. We
	can't do anything about them anyway.
	[4d60dcf35bbe]

	* src/imap/main.c, src/lib-master/master-login.c, src/lib-master
	/master-login.h, src/pop3/main.c:
	imap, pop3: Added -t parameter to specify post-login script timeout.
	[9015f0b8fa4d]

	* src/util/script-login.c:
	script-login: If we fail to finish, exit with 0 to avoid master
	logging error unnecessarily.
	[db37a5818b92]

	* src/plugins/quota/quota-maildir.c:
	Maildir++ quota: Close maildirsize file after writing to it to force
	NFS to write it. This should fix the "Stale NFS file handle" errors
	with maildirsize.
	[00a27339f541]

	* src/lib/eacces-error.c:
	eacces_error(): Removed bogus message about UNIX perms appearing to
	be ok.
	[8714ccb35848]

	* src/lib-auth/auth-server-connection.c:
	lib-auth: Don't log the "auth connection closed" warning if there
	were 0 non-aborted requests.
	[569e1fd8d97e]

	* src/lib-auth/auth-client-request.c, src/lib-auth/auth-client-
	request.h, src/lib-auth/auth-client.c, src/lib-auth/auth-client.h,
	src/lib-auth/auth-server-connection.c, src/lib-auth/auth-server-
	connection.h, src/login-common/client-common.c, src/login-
	common/main.c:
	lib-auth: Improved warning message about aborting auth requests.
	[3dae51fd4565]

2012-01-19  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-settings.c, src/auth/auth-worker-client.c, src/auth
	/auth-worker-client.h, src/auth/auth-worker-server.c, src/auth/db-
	sql.c, src/auth/db-sql.h, src/auth/main.c, src/auth/passdb-sql.c,
	src/auth/userdb-sql.c:
	auth: Throttle SQL auth worker process creation if they can't
	connect to database.
	[7175320feafc]

	* src/auth/auth-common.h, src/auth/auth-worker-client.c, src/auth
	/auth-worker-client.h, src/auth/main.c:
	auth: Show a better auth worker process title.
	[1fa75cada826]

	* src/auth/auth-request.c:
	auth: Avoid adding duplicate extra fields to auth replies. This
	especially fixes default_fields/override_fields.
	[05940646a0f4]

	* src/auth/auth-stream.c, src/auth/auth-stream.h, src/auth/userdb-
	blocking.c:
	auth: Minor optimization.
	[057477461add]

	* src/auth/passdb-template.c:
	auth: Don't crash when setting valueless default/override_fields to
	passdb.
	[234de9c2240f]

	* src/imap-login/client-authenticate.c, src/imap-login/client-
	authenticate.h, src/imap-login/client.c, src/imap-login/client.h,
	src/lib-master/master-auth.h, src/login-common/client-common-auth.c,
	src/login-common/client-common.h:
	imap-login: Handle SASL-IR without overflowing master_auth_request's
	buffer.
	[b86f7dd170c6]

	* src/lib-auth/auth-client-request.c:
	lib-auth: Treat cert_username="" and initial_resp_base64="" the same
	as NULLs.
	[141d1e26b13a]

2012-01-18  Timo Sirainen  <tss@iki.fi>

	* src/auth/db-ldap.c, src/auth/db-ldap.h, src/auth/passdb-ldap.c,
	src/auth/userdb-ldap.c:
	auth: Log a warning if userdb ldap isn't used, but user_* or
	iterate_* aren't defaults. This is intended to stop people from
	wondering why their changes don't do anything.
	[826ac15f8a13]

	* src/auth/db-sql.c, src/auth/db-sql.h, src/auth/passdb-sql.c,
	src/auth/userdb-sql.c:
	auth: Log a warning if userdb sql isn't used, but user_query or
	iterate_query isn't default. This is intended to stop people from
	wondering why user_query doesn't do anything.
	[8822aeae8d82]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	fs layout: Don't crash in mailbox listing if there are only invalid
	patterns.
	[99ea6da7dc99]

	* src/lib-lda/mail-deliver.c:
	lib-lda: Added %e / %{from_envelope} variable to deliver_log_format.
	[08cc9d2a79e6]

	* src/lib-storage/index/index-mail.c, src/lib-storage/index/index-
	mail.h, src/lib-storage/index/index-storage.c:
	lib-storage: Preserve from_envelope in save context's dest_mail even
	if it's temporary. This allows looking it up while the mail is being
	saved.
	[7ee2cfbcae2e]

	* src/master/service-monitor.c:
	master: Show the process_limit / client_limit value when logging
	that it's been reached.
	[a4e61c99c7eb]

2012-01-17  Timo Sirainen  <tss@iki.fi>

	* src/lmtp/lmtp-proxy.c:
	lmtp: Removed unnecessary code.
	[bb848036f1b4]

	* src/lib-lda/lmtp-client.c:
	lib-lda: Fixed LMTP client hanging on sending large mails.
	[8a9a803f8af4]

	* src/lmtp/client.c, src/lmtp/lmtp-settings.c, src/lmtp/lmtp-
	settings.h:
	lmtp: Get banner text from login_greeting setting.
	[05434bef2492]

	* src/lib-storage/mail-storage-service.c, src/lib-storage/mail-
	storage-service.h:
	lib-storage: Added mail_storage_service_get_var_expand_table().
	[ded87d81fc74]

	* src/director/director-connection.c, src/director/director.c,
	src/director/director.h:
	director: Added timeout to syncing to make sure we don't hang if it
	somehow gets lost.
	[493ebb2cfc73]

	* src/director/director-connection.c:
	director: Make sure ring syncing doesn't get lost when directors get
	disconnected.
	[9e43af01f147]

	* src/auth/mech-digest-md5.c:
	auth: DIGEST-MD5 supports authorization id now. Patch by Yubao Liu.
	[c9c271502b32]

	* src/auth/mech-digest-md5.c:
	auth: DIGEST-MD5 didn't read nonce-count parameter correctly. Patch
	by Yubao Liu.
	[387707dc020e]

	* src/director/main.c:
	director: Drop privileges only after adding hosts. This allows
	reading files from /etc/ before chrooting.
	[1d54d2963392]

	* src/auth/passdb.c, src/auth/userdb.c:
	auth: Fixed loading passdb/userdb plugins. Patch by Stephan Bosch.
	[352d3f2f8bb7]

	* src/director/director.c, src/director/director.h,
	src/director/main.c:
	director: Find director's own IP earlier in init.
	[b8fa70a81c8c]

2012-01-12  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/dsync/doveadm-dsync.c:
	dsync: Fixed handling -u parameter in backwards compatibility dsync
	mode.
	[1a722c7676bb]

	* src/login-common/client-common-auth.c, src/login-common/client-
	common.c, src/login-common/client-common.h:
	login: Added logging if auth process doesn't respond fast enough for
	greeting.
	[957e74f0d60f]

	* doc/example-config/conf.d/10-master.conf:
	example-config: Updated vsz_limit default values.
	[1c77891b754b]

2012-01-11  Timo Sirainen  <tss@iki.fi>

	* src/login-common/client-common-auth.c:
	login proxy: Added extra logging for bug detection.
	[d72db2acf75b]

	* configure.in:
	configure: Add -fno-builtin-strftime flag with gcc to avoid warning.
	[e0ff21d73630]

2012-01-10  Timo Sirainen  <tss@iki.fi>

	* src/lib/iostream-rawlog.c:
	Compiler warning fix.
	[19700d683144]

	* src/plugins/fts/decode2text.sh:
	decode2text.sh: Exit with 0 even if the decoding failed. There's
	nothing to be done anyway, since they are external programs. These
	errors just flood the error log unnecessarily.
	[24d79a3708c6]

	* src/lib-mail/message-search.c, src/lib-mail/message-search.h, src
	/lib-storage/index/index-search.c:
	Don't assert-crash on mail search if decomposed titlecase of search
	key is empty.
	[bc3b343b1999]

	* src/plugins/quota/quota-maildir.c:
	quota: Try to avoid logging NFS stale fhandle errors when closing
	maildirsize file.
	[0cd33404a201]

	* src/imap-login/client-authenticate.c, src/pop3-login/client-
	authenticate.c:
	imap/pop3-login: Include hostname and timestamp in "temporary auth
	failure" message.
	[81fa0597b8b6]

	* src/doveadm/doveadm-util.c, src/lib-storage/mail-storage.c, src/lib-
	storage/mailbox-list.c, src/lib/iostream-rawlog.c,
	src/util/rawlog.c:
	Use t_strflocaltime() where possible.
	[d4c506d8f534]

	* src/lib/macros.h, src/lib/time-util.c, src/lib/time-util.h:
	Added t_strflocaltime().
	[22cfba724675]

	* src/master/master-settings.c:
	master: default_idle_kill setting wasn't "time" type.
	[1362d8bda03c]

	* src/director/director-connection.c, src/director/director-request.c,
	src/director/director-request.h, src/director/director.c,
	src/director/director.h, src/director/login-connection.c:
	director: If request is timed out, log an error.
	[c70965e8b27d]

	* src/auth/auth-request.c:
	s/Fallbacking/Falling back/
	[ee7b18b1fc00]

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: Make sure header name is lowercased in search queries.
	[075591a4b6a8]

	* src/login-common/client-common-auth.c:
	login proxy: If server disconnects during auth, log the connection
	duration.
	[dd48e9094efb]

2012-01-09  Timo Sirainen  <tss@iki.fi>

	* src/master/service-process.c:
	master: "Out of memory" message shows now the service {} block
	around vsz_limit.
	[16d32dda723c]

	* src/lib-storage/index/imapc/imapc-settings.c, src/lib-
	storage/index/imapc/imapc-settings.h, src/lib-storage/index/imapc
	/imapc-storage.c:
	imapc: Added imapc_master_user setting.
	[b860d38f6b9e]

	* src/lib-imap-client/imapc-client.c:
	imapc: Treat master_user="" the same as NULL.
	[43aa5c4f0bfd]

	* src/auth/auth.c:
	auth: Check also masterdbs when checking if auth mechanism can be
	used. Patch by Yubao Liu
	[32f61c8498a4]

	* src/lib-lda/lmtp-client.c:
	lib-lda: Make lmtp_client_state_to_string() more verbose.
	[7c39b94ded90]

	* src/auth/Makefile.am, src/auth/auth-postfix-connection.c, src/auth
	/auth-postfix-connection.h, src/auth/main.c:
	auth: Implemented support for Postfix's "TCP map" sockets for user
	existence lookups.
	[f562bcaca215]

	* src/auth/auth-client-connection.c, src/auth/auth-client-
	connection.h, src/auth/auth-master-connection.c, src/auth/auth-
	master-connection.h, src/auth/main.c:
	auth: Use linked list instead of array for storing list of auth
	connections. With arrays the removal was slower than necessary.
	[fd8fc3b7615e]

2012-01-07  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-request.c:
	Removed unnecessary code.
	[5173218ff7fe]

2012-01-06  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset 5398bdb8613f
	[a0f9887133e6]

	* .hgtags:
	Added tag 2.1.rc3 for changeset 5398bdb8613f
	[f1a1941bbf5a]

	* NEWS, TODO, configure.in:
	Released v2.1.rc3.
	[5398bdb8613f] [2.1.rc3]

	* src/lib-storage/mail-storage.c:
	Compiler warning fix.
	[4c06fb461cd4]

	* src/doveadm/dsync/doveadm-dsync.c, src/doveadm/dsync/dsync-proxy.c:
	Make static analyzer happier.
	[3dc9c253880d]

	* src/master/service-process.c:
	master: log/anvil listener names weren't set correctly. Also this
	fixes a long standing static analyzer "error".
	[326b05f0246b]

	* src/doveadm/dsync/Makefile.am:
	Makefile: added missing file
	[5f4b1539b406]

	* .hgsigs:
	Added signature for changeset a14b7333ae45
	[3f96b6427e69]

	* .hgtags:
	Added tag 2.1.rc2 for changeset a14b7333ae45
	[18d201efd02e]

	* NEWS, TODO, configure.in:
	Released v2.1.rc2.
	[a14b7333ae45] [2.1.rc2]

	* src/log/log-connection.c:
	log: Removed unnecessary code.
	[66facb0594a1]

	* src/plugins/mail-log/mail-log-plugin.c:
	mail-log: Log all mail deliveries with "save" event, even if it
	happened via copying.
	[e749d3171acd]

	* src/lib-lda/mail-deliver.c:
	lib-lda: Use mailbox_save_using_mail() instead of mailbox_copy() for
	saving mails.
	[dfe7158a48ff]

	* src/lib-storage/mail-storage-private.h, src/lib-storage/mail-
	storage.c, src/lib-storage/mail-storage.h:
	lib-storage: Added mailbox_save_using_mail()
	[1e58372ee6f0]

	* src/lib-storage/mail-copy.c, src/lib-storage/mail-storage-private.h,
	src/plugins/notify/notify-storage.c, src/plugins/quota/quota-
	storage.c:
	lib-storage: Renamed mail_save_context.copying to copying_via_save.
	[7f549b7eb77f]

	* src/doveadm/doveadm-mail.c, src/doveadm/doveadm-mail.h,
	src/doveadm/dsync/doveadm-dsync.c:
	doveadm: Hide "dsync-server" from list of commands.
	[08e5bc9cd64a]

	* src/doveadm/dsync/doveadm-dsync.c:
	doveadm: Renamed dsync commands.
	[383286ae9071]

	* src/auth/auth-request-handler.c:
	auth: If master_user is specified by userdb, don't add another one
	to reply. The one specified by userdb should have overridden the
	other one though.
	[f0d11bd4e5f5]

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: Avoid using too much memory unnecessarily. Log a warning
	about huge headers.
	[380b0667e0a5]

	* src/lib/istream-data.c:
	istream-data: Avoid assert crashing due to recently added assert.
	[899a2359450a]

2012-01-04  Timo Sirainen  <tss@iki.fi>

	* src/lib-index/mail-index-sync-keywords.c, src/lib-index/mail-index-
	sync.c, src/lib-index/mail-transaction-log-view.c:
	lib-index: Avoid assert-crashing on keyword-update record with empty
	keyword.
	[931436c5f2cc]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Don't remove other namespaces entirely, just skip the
	unwanted ones. This fixes incorrectly removing subscriptions=no
	namespaces entries from subscriptions.
	[4f995c6e971b]

	* src/plugins/imap-acl/imap-acl-plugin.c:
	imap-acl: Don't log errors when trying to change ACLs for
	nonexistent mailboxes.
	[11a5bb865eba]

	* src/imap/cmd-list.c, src/lib-storage/mailbox-list-iter.c, src/lib-
	storage/mailbox-list.h:
	Added MAILBOX_LIST_ITER_SELECT_SPECIALUSE option and enable it for
	IMAP. RECURSIVEMATCH option doesn't currently work properly with it.
	[0aa94d55dcff]

	* src/lib/file-copy.c, src/lib/istream.c, src/plugins/fts-squat/squat-
	test.c:
	istream: Don't treat max_block_size=0 as unlimited.
	[59f5238c6e61]

2012-01-03  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Don't log unnecessary errors about not being able to delete
	\Noselect mailbox dirs.
	[997a2855fd74]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Previous commit did too many changes, reverting.
	[ea9ab24972ed]

	* src/doveadm/dsync/dsync-worker-local.c:
	dsync: Don't log unnecessary errors about not being able to delete
	\Noselect mailbox dirs.
	[12e59954a23f]

	* src/login-common/client-common.h:
	imap-login: LOGIN_MAX_INBUF_SIZE was too small, because of SASL-IR
	extension
	[614422fbbe8b]

2012-01-02  Timo Sirainen  <tss@iki.fi>

	* configure.in, src/lib-storage/index/Makefile.am, src/lib-
	storage/index/pop3c/Makefile.am, src/lib-storage/index/pop3c/pop3c-
	client.c, src/lib-storage/index/pop3c/pop3c-client.h, src/lib-
	storage/index/pop3c/pop3c-mail.c, src/lib-storage/index/pop3c/pop3c-
	settings.c, src/lib-storage/index/pop3c/pop3c-settings.h, src/lib-
	storage/index/pop3c/pop3c-storage.c, src/lib-storage/index/pop3c
	/pop3c-storage.h, src/lib-storage/index/pop3c/pop3c-sync.c, src/lib-
	storage/index/pop3c/pop3c-sync.h:
	lib-storage: Added initial support for pop3c backend.
	[d4c909d2306f]

2011-12-30  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/doveadm-stats.c:
	doveadm stats top: Added -b parameter to use read_bytes/write_bytes
	fields for disk io. This is useful when the kernel doesn't support
	the actual disk IO fields.
	[193c66096bb3]

	* src/auth/main.c, src/director/main.c, src/ipc/main.c:
	Use master_service_connection.name for determining listener type.
	[5df67a23afb9]

	* src/lib-master/master-service-private.h, src/lib-master/master-
	service.c, src/lib-master/master-service.h, src/master/service-
	process.c, src/master/service.c, src/master/service.h:
	Listener names are now in struct master_service_connection.name This
	allows service to use the names to figure out what type the listener
	is.
	[cdf2c63ece6a]

	* src/lib-storage/index/cydir/cydir-storage.c, src/lib-storage/index
	/dbox-multi/mdbox-storage.c, src/lib-storage/index/dbox-single
	/sdbox-storage.c, src/lib-storage/index/imapc/imapc-storage.c, src
	/lib-storage/index/index-storage.c, src/lib-storage/index/index-
	storage.h, src/lib-storage/index/maildir/maildir-storage.c, src/lib-
	storage/index/mbox/mbox-storage.c, src/lib-storage/index/raw/raw-
	storage.c, src/lib-storage/mail-storage-private.h, src/lib-storage
	/mail-storage.c, src/lib-storage/test-mailbox.c, src/plugins/virtual
	/virtual-storage.c:
	lib-storage: Added struct mailbox.set_subscribed() virtual method.
	[bc9217cb0193]

2011-12-29  Timo Sirainen  <tss@iki.fi>

	* .hgignore, configure.in, src/Makefile.am, src/doveadm/Makefile.am,
	src/doveadm/client-connection.c, src/doveadm/doveadm-mail.c,
	src/doveadm/doveadm-mail.h, src/doveadm/doveadm-settings.c,
	src/doveadm/doveadm-settings.h, src/doveadm/doveadm.c,
	src/doveadm/dsync/Makefile.am, src/doveadm/dsync/doveadm-dsync.c,
	src/doveadm/dsync/doveadm-dsync.h, src/doveadm/dsync/dsync-brain-
	msgs-new.c, src/doveadm/dsync/dsync-brain-msgs.c, src/doveadm/dsync
	/dsync-brain-private.h, src/doveadm/dsync/dsync-brain.c,
	src/doveadm/dsync/dsync-brain.h, src/doveadm/dsync/dsync-data.c,
	src/doveadm/dsync/dsync-data.h, src/doveadm/dsync/dsync-proxy-
	client.c, src/doveadm/dsync/dsync-proxy-server-cmd.c,
	src/doveadm/dsync/dsync-proxy-server.c, src/doveadm/dsync/dsync-
	proxy-server.h, src/doveadm/dsync/dsync-proxy.c, src/doveadm/dsync
	/dsync-proxy.h, src/doveadm/dsync/dsync-worker-local.c,
	src/doveadm/dsync/dsync-worker-private.h, src/doveadm/dsync/dsync-
	worker.c, src/doveadm/dsync/dsync-worker.h, src/doveadm/dsync/test-
	dsync-brain-msgs.c, src/doveadm/dsync/test-dsync-brain.c,
	src/doveadm/dsync/test-dsync-common.c, src/doveadm/dsync/test-dsync-
	common.h, src/doveadm/dsync/test-dsync-proxy-server-cmd.c,
	src/doveadm/dsync/test-dsync-proxy.c, src/doveadm/dsync/test-dsync-
	worker.c, src/doveadm/dsync/test-dsync-worker.h,
	src/dsync/Makefile.am, src/dsync/dsync-brain-msgs-new.c, src/dsync
	/dsync-brain-msgs.c, src/dsync/dsync-brain-private.h, src/dsync
	/dsync-brain.c, src/dsync/dsync-brain.h, src/dsync/dsync-data.c,
	src/dsync/dsync-data.h, src/dsync/dsync-proxy-client.c, src/dsync
	/dsync-proxy-server-cmd.c, src/dsync/dsync-proxy-server.c, src/dsync
	/dsync-proxy-server.h, src/dsync/dsync-proxy.c, src/dsync/dsync-
	proxy.h, src/dsync/dsync-worker-local.c, src/dsync/dsync-worker-
	private.h, src/dsync/dsync-worker.c, src/dsync/dsync-worker.h,
	src/dsync/dsync.c, src/dsync/test-dsync-brain-msgs.c, src/dsync
	/test-dsync-brain.c, src/dsync/test-dsync-common.c, src/dsync/test-
	dsync-common.h, src/dsync/test-dsync-proxy-server-cmd.c, src/dsync
	/test-dsync-proxy.c, src/dsync/test-dsync-worker.c, src/dsync/test-
	dsync-worker.h:
	Merged dsync into "doveadm dsync". dsync symlink is installed for
	backwards compatibility.
	[4c827134997f]

	* src/plugins/mail-log/Makefile.am, src/plugins/mail-log/mail-log-
	plugin.c:
	mail-log: Removed unnecessary code.
	[3c7e01a5c7b7]

2011-12-21  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: When searching for unused index dirs, ignore any ACLs. This
	also fixes a crash.
	[056934abd2ef]

2011-12-20  Timo Sirainen  <tss@iki.fi>

	* src/util/script-login.c:
	script-login -d: Ignore chrooting, we can't exec anything inside
	chroot.
	[73fbc40b860f]

	* src/util/script-login.c:
	script-login: Close extra fds to avoid failing with --enable-devel-
	checks.
	[477106b6f4c7]

	* src/lib-dict/dict-file.c:
	dict-file: Updated dotlock settings.
	[53114d335053]

2011-12-19  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-single/sdbox-storage.c:
	sdbox: Added support for autodetection.
	[1d73272eba6c]

2011-12-16  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	FS layout: Mark memory pool growing to avoid warnings with devel-
	checks.
	[103ecbf3d5c7]

	* src/lib-storage/index/index-storage.c:
	FS layout: When deleting a mailbox, don't give an error if mailbox
	has children. The mailbox got successfully deleted, but it still
	gave an error.
	[6ded89937e98]

	* configure.in:
	--enable-devel-checks: Use -fcatch-undefined-behavior -ftrapv with
	clang.
	[c682a5bf3de7]

	* src/plugins/fts/fts-expunge-log.c:
	fts: Expunging could have expunged indexed FTS mail from wrong
	mailbox.
	[01ddcf7cf568]

	* src/lib-storage/mailbox-list.c:
	lib-storage: mailbox_list_get_permissions() didn't properly erase
	the full return struct. This shouldn't have caused any bugs
	currently.
	[15c3002755de]

2011-12-15  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-connection.c:
	imapc: Assert crashfix.
	[d5eaa0c56b1e]

2011-12-14  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-client-private.h, src/lib-imap-client
	/imapc-client.c, src/lib-imap-client/imapc-connection.c:
	imapc: Try to avoid crashes on deinit/disconnection.
	[1e8523481d89]

	* src/lib/istream.c, src/lib/istream.h:
	Added i_stream_unset_destroy_callback()
	[46a1f211ef84]

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/index-mail.c:
	imapc: Avoid assert-crashing when replacing mail stream with a new
	one.
	[efb48f4e40a6]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Fixed missing BODY[]/INTERNALDATE to handle actual failures
	again.
	[96ce297561a0]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Handle missing INTERNALDATE reply by returning an empty mail
	instead of disconnecting.
	[20ccdd42c14a]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Handle missing BODY[] reply by returning an empty mail
	instead of disconnecting.
	[69f388aa7ce9]

	* src/auth/db-passwd-file.c:
	auth: Don't die if passwd-file can't open the file. The file is
	parsed after we already sent "we're ok" reply to master, so dying
	triggers infinite restarts.
	[e7ec5649655a]

2011-12-12  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-mail.c, src/lib-storage/index/imapc/imapc-
	storage.c, src/lib-storage/index/imapc/imapc-storage.h:
	imapc: Added support for fetching GUID from remote server, if
	supported. Currently this is only done for GMail.
	[0bdbb8d99492]

	* src/lib-imap-client/imapc-client.c, src/lib-imap-client/imapc-
	client.h:
	imapc: Added X-GM-EXT-1 and CONDSTORE to capabilities.
	[31810fed489d]

	* src/lib-imap-client/imapc-connection.c:
	imapc: Don't crash if we receive tagged BAD reply.
	[6c1080148739]

	* src/imap/imap-fetch.c:
	imap: When fetching X-GUID, set MAIL_FETCH_GUID also as "wanted
	fields" for optimization.
	[8dc4ffcc3b83]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Removed HIGHESTMODSEQ handling from STATUS command. We don't
	currently even attempt to handle remote modseqs, so HIGHESTMODSEQ
	shouldn't be used either.
	[6fb8b5bd2541]

	* src/auth/auth-master-connection.c:
	auth: Handle proxy_maybe=yes for PASS lookups. (Fixes it for LMTP.)
	[672f2737f596]

	* src/imap/cmd-list.c:
	imap: Convert LIST/LSUB patterns from mUTF-7 to UTF-8 for internal
	representation.
	[b9fcac239aed]

	* src/lib-storage/mail-storage-service.c, src/lib-storage/mail-user.c,
	src/lib-storage/mail-user.h:
	lib-storage: Handle %{uid} and %{gid} expansion without relying on
	process's euid/egid.
	[9352c4ccb1f9]

	* src/lib-storage/mail-user.c:
	lib-storage: Previously added %{gid} variable didn't actually work.
	[3c5fda349c1f]

2011-12-10  Timo Sirainen  <tss@iki.fi>

	* src/lmtp/commands.c, src/lmtp/lmtp-proxy.c, src/lmtp/lmtp-proxy.h:
	lmtp: Simplify LMTP proxying by first reading the whole input to
	memory/disk. This hopefully fixes problems related to LMTP proxying,
	at the cost of having to write large mails to temp directory.
	[51d87deb5c26]

	* src/auth/passdb-imap.c:
	passdb imap: Log about failures.
	[9d1336b40592]

	* src/dsync/dsync-data.c, src/dsync/dsync-data.h, src/dsync/dsync-
	proxy-client.c, src/dsync/dsync-proxy-server-cmd.c, src/dsync/dsync-
	proxy.c, src/dsync/dsync-proxy.h, src/dsync/dsync-worker-local.c,
	src/dsync/dsync-worker-private.h, src/dsync/test-dsync-common.c,
	src/dsync/test-dsync-proxy.c, src/dsync/test-dsync-worker.c,
	src/dsync/test-dsync-worker.h, src/lib-storage/index/dbox-multi
	/mdbox-storage.c, src/lib-storage/index/dbox-single/sdbox-storage.c,
	src/lib-storage/index/index-status.c, src/lib-storage/index/index-
	storage.c, src/lib-storage/index/index-storage.h, src/lib-storage
	/mail-storage.h:
	dsync: Update cache fields' decision and last_used fields
	explicitly. This makes v2.1's dsync incompatible with v2.0's when
	used in different servers.
	[3830d5a57fd4]

	* src/doveadm/doveadm-dump-index.c:
	doveadm: Compile fix for previous lib-index change.
	[186f2f5ee1c3]

	* src/lib-index/mail-cache-compress.c, src/lib-index/mail-cache-
	decisions.c, src/lib-index/mail-cache-fields.c, src/lib-index/mail-
	cache-private.h, src/lib-index/mail-cache.h:
	lib-index: Allow updating cache's last_used field with
	mail_cache_register_fields()
	[ce29836e369e]

	* src/lib-storage/mail-storage-service.c, src/lib-storage/mail-user.c,
	src/lib-storage/mail-user.h:
	lib-storage: Added separate %{gid} expansion to mail_user. The
	default %{gid} probably works also, but it's more reliable to do
	this explicitly.
	[499e4916bed5]

	* src/lib-index/mail-cache-decisions.c:
	lib-index: If cache field's decision is forced no, don't update the
	field's last_used.
	[95524ab3469f]

	* src/lib-fs/fs-posix.c:
	lib-fs: Added "mode" parameter to "posix" backend to specify mode
	for created files/dirs.
	[fcceee891448]

	* src/lib-storage/index/maildir/maildir-save.c:
	maildir: If saving fails, don't bother trying to flush the file's
	ostream.
	[97af1836ea72]

	* src/plugins/zlib/ostream-bzlib.c, src/plugins/zlib/ostream-zlib.c:
	zlib: Avoid assert-crashing if parent ostream's write had failed
	earlier.
	[aefc17d5b99e]

	* src/config/old-set-parser.c:
	config: Don't warn that ssl_parameters_regenerate=0 should have
	"hours" suffix.
	[e28736bc8e09]

	* src/lib-storage/list/mailbox-list-fs-flags.c, src/lib-storage/list
	/mailbox-list-fs-iter.c:
	lib-storage: FS layout mailbox list iteration code rewrite. This
	fixes listing non-ASCII mailboxes. Also the new way no longer keeps
	more than one file descriptor open.
	[ab696ead12cc]

	* src/lib-storage/mailbox-list.c:
	lib-storage: mailbox_list_get_vname() no longer treats INBOX case
	insensitively. The INBOX vname is case sensitive, the INBOX
	storage_name isn't, otherwise it's not possible to access <ns
	prefix>/inBox cased mailboxes.
	[5366e59d573f]

2011-12-09  Timo Sirainen  <tss@iki.fi>

	* src/lib/var-expand.c:
	var_expand(): Added %{uid} and %{gid} variables.
	[8a63f621bd2e]

	* src/lib-storage/index/index-search.c:
	lib-storage: Fixed search when mail prefetching is enabled.
	[5c2ef2374848]

	* src/lib-storage/index/dbox-multi/mdbox-map-private.h, src/lib-
	storage/index/dbox-multi/mdbox-map.c:
	mdbox: Make sure m.* files aren't overwritten when storage index
	isn't found. This mainly helps to avoid situations where m.1 is
	replaced by mail delivery when index directory has been (wrongly)
	changed.
	[31825aab83f6]

2011-12-08  Timo Sirainen  <tss@iki.fi>

	* src/auth/main.c:
	auth: If verbose_proctitle=yes, show which processes are auth
	workers.
	[ec3714f01ef2]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	lib-storage: Reverted the last INBOX children listing change after
	all.
	[b5056baa6193]

	* src/lib-storage/list/mailbox-list-fs-iter.c:
	lib-storage: Fixed listing INBOX's children with layout=fs and non-
	mbox format.
	[9336f4968beb]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Crashfix on error conditions.
	[94e32772e593]

	* src/lib-storage/index/index-mail-headers.c, src/lib-storage/index
	/index-mail.c, src/lib-storage/mailbox-header.c:
	lib-storage: Code cleanup.
	[ddfe3a0f75e6]

	* src/lib/strnum.c, src/lib/strnum.h:
	liblib: Added str_to_time()
	[d9acfebce2c9]

	* src/lib-storage/index/index-transaction.c:
	lib-storage: Removed unnecessarily duplicated code.
	[ad58a2d5a290]

	* src/lib-storage/mail-search-build.c:
	lib-storage: Fixed assert-crash when search query contained ().
	[338c8d9abba5]

	* src/plugins/fts-lucene/Makefile.am:
	fts-lucene: Fixed Makefile.am
	[9cf6bb5fe98d]

	* src/lib-sql/driver-mysql.c, src/lib-sql/driver-pgsql.c:
	lib-sql: If mysql/pgsql commit fails due to server disconnection,
	reconnect and retry.
	[782f09d13ece]

	* src/lib-storage/mail-user.c:
	lib-storage: Fixed assert-crash in user deinit with some
	installations.
	[3b70254e0596]

	* src/login-common/main.c:
	login: Send the last connected client's IP address to log process.
	[d9ad41825a34]

	* src/lib-storage/mail-storage-service.c:
	lib-storage: If client_limit=1, send user's log prefix to log
	process.
	[45bc88eba07a]

	* src/lib/failures.c, src/lib/failures.h:
	Added i_set_failure_send_prefix() and renamed i_set_failure_ip() to
	_send_ip().
	[618d3937f511]

	* src/log/log-connection.c, src/master/service-process.c:
	Added a new "FATAL" log command, which master uses to log all
	abnormal process exits. The log process adds the process's log
	prefix or IP address to the message if available.
	[e534d2bfda7f]

	* src/log/log-connection.c:
	log: Removed slightly confusing code. A log client always receives a
	BYE, so don't free it earlier.
	[279a48aa9dc6]

	* src/lmtp/commands.c:
	lmtp: If lmtp_save_to_detail_mailbox=yes and there was no detail,
	mail was logged as saved to "".
	[8c803201651e]

	* src/stats/stats-settings.c:
	stats: Chroot to empty directory by default.
	[13fb5fa91ed9]

	* src/config/old-set-parser.c, src/ssl-params/ssl-params-settings.c,
	src/ssl-params/ssl-params.c:
	ssl_parameters_regenerate setting is now "time" type, as it should
	have been.
	[ed9f4e03c2f9]

	* src/indexer/indexer-worker-settings.c:
	indexer: Use stricter permissions for indexer-worker socket.
	[55a70ae49cb7]

	* src/director/director-settings.c:
	director: chroot to base_dir by default.
	[eebee8a4d486]

	* src/director/Makefile.am, src/director/director-settings.c,
	src/director/director-settings.h, src/director/director.c,
	src/director/main.c:
	director: Don't explicitly use base_dir. We're already chdired
	there, use relative paths.
	[ddf28d10ff0f]

	* src/director/director-test.sh:
	director-test.sh script fixed to use a working path for director-
	test binary.
	[3027626f7239]

2011-12-07  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-multi/mdbox-map.c, src/lib-storage/index
	/dbox-multi/mdbox-sync.c, src/lib-storage/index/dbox-single/sdbox-
	sync.c:
	dbox: If index was fscked, rebuild indexes to make sure no mails got
	lost.
	[1e118913348b]

	* src/lib-index/mail-index-fsck.c, src/lib-index/mail-index-private.h,
	src/lib-index/mail-index.h:
	lib-index: Added mail_index_reset_fscked()
	[8535def4ad01]

	* src/lib-storage/mailbox-list-iter.c:
	lib-storage: MAILBOX_LIST_ITER_RETURN_SPECIALUSE was checked wrong
	[b6083d4d77d5]

	* doc/example-config/conf.d/15-mailboxes.conf, doc/example-
	config/conf.d/Makefile.am:
	example-config: Added example mailboxes.
	[9b9a206395f7]

	* src/config/config-parser.c, src/config/doveconf.c, src/lib-settings
	/settings-parser.c:
	config: Allow section names to contain spaces.
	[2adcc2b87117]

2011-12-06  Timo Sirainen  <tss@iki.fi>

	* doc/example-config/conf.d/10-mail.conf:
	example-config: Use a default uncommented "namespace inbox".
	[2c8d39467f21]

	* src/lib-storage/mail-namespace.h, src/lib-storage/mail-storage-
	settings.c, src/lib-storage/mail-storage-settings.h, src/lib-storage
	/mail-storage.c, src/lib-storage/mailbox-list-iter.c,
	src/plugins/autocreate/autocreate-plugin.c:
	Moved mailbox {} settings inside namespace {} and no longer require
	ns prefix in name. This allows specifying mailboxes more easily with
	per-user namespace prefixes.
	[867f06516121]

	* src/lib-storage/mailbox-list-iter.c:
	lib-storage: Avoid crashes if listing subscriptions for a namespace
	that can't have any. i.e. the namespace and its parents all have
	subscriptions=no
	[85f33815c5e7]

	* src/master/master-settings.c:
	master: Be more relaxed about giving service auth's client_limit
	being too low. imap/pop3/lmtp processes with service_count=1 use up
	a client only for a very short time. Don't count them.
	[24fe54f2cfcb]

2011-12-05  Timo Sirainen  <tss@iki.fi>

	* src/plugins/autocreate/autocreate-plugin.c:
	autocreate: Make sure we don't crash if there are no mailbox{}es.
	[3054d73cf293]

	* src/lib-storage/mail-storage.c, src/lib-storage/mailbox-list-iter.c:
	lib-storage: Don't crash when no there are no mailbox {} sections.
	[272b705f0938]

2011-12-02  Timo Sirainen  <tss@iki.fi>

	* src/auth/passdb-vpopmail.c:
	auth: Fixed vpopmail to work again after recent change.
	[c067025026ed]

	* README:
	README: Added SPECIAL-USE RFC
	[092d55003a7b]

	* configure.in, src/imap/cmd-list.c, src/lib-storage/mail-storage-
	settings.c, src/lib-storage/mail-storage-settings.h, src/lib-storage
	/mail-storage.c, src/lib-storage/mail-storage.h, src/lib-storage
	/mailbox-list-iter.c, src/lib-storage/mailbox-list-private.h, src
	/lib-storage/mailbox-list.h:
	Implemented IMAP SPECIAL-USE extension.
	[32d1a903d42d]

	* src/config/settings-get.pl, src/lib-storage/mail-storage-private.h,
	src/lib-storage/mail-storage-settings.c, src/lib-storage/mail-
	storage-settings.h, src/lib-storage/mail-storage.c, src/lib-storage
	/mailbox-list-iter.c, src/lib-storage/mailbox-list-private.h,
	src/plugins/autocreate/autocreate-plugin.c:
	Moved autocreate plugin functionality into lib-storage. The
	autocreate plugin is still used for backwards compatibility.

	Mailboxes can be configured like:

	mailbox Sent { auto = subscribe } mailbox Spam { auto = create }
	[ee783a878120]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/shared/shared-list.c, src/lib-storage/list/mailbox-
	list-fs-iter.c, src/lib-storage/list/mailbox-list-index-iter.c, src
	/lib-storage/list/mailbox-list-maildir-iter.c, src/lib-storage/list
	/mailbox-list-none.c, src/lib-storage/list/mailbox-list-
	subscriptions.c, src/lib-storage/mailbox-list-private.h,
	src/plugins/acl/acl-mailbox-list.c:
	lib-storage: Added pool to struct mailbox_list_iterate_context.
	[b48fb6a08389]

	* src/lib-storage/Makefile.am, src/lib-storage/mailbox-list-iter.c,
	src/lib-storage/mailbox-list.c:
	lib-storage: Moved mailbox list iteration functions to a separate
	file.
	[37c2348b67f5]

	* src/lib-imap-client/imapc-connection.c:
	imapc: Check for when to prefer LOGIN to AUTHENTICATE was wrong.
	[6591f7783d55]

2011-12-01  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-connection.c:
	imapc: If remote server disconnects, log the reason.
	[8e5c9f3ca158]

	* src/auth/Makefile.am:
	auth: Fixed loading authdb_imap plugin when Dovecot is configured
	--without-shared-libs
	[e99c65be76f7]

2011-11-30  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-worker-server.c:
	auth: Mention auth_worker_max_count in warning message about worker
	queue being slow.
	[9fa7c1b2c2ee]

2011-11-25  Timo Sirainen  <tss@iki.fi>

	* src/plugins/fts-lucene/lucene-wrapper.cc:
	fts-lucene: Fixed search when all terms were MUST_NOT.
	[1753a762b56f]

2011-11-24  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-settings.c:
	auth: Dropped default client_limit back to default_client_limit.
	Having it above 1024 logs an annoying warning at startup. Also in
	most cases the auth process wouldn't have nearly that many clients.
	If about 1000 imap/pop3 processes were logging in at the exact same
	time, the limit would be reached, but that's a bit unlikely.
	[8c8dd04b8496]

	* NEWS, README:
	NEWS, README: Added SCRAM-SHA-1 support.
	[f6069185b418]

	* .hgsigs:
	Added signature for changeset 18f32bf70fac
	[34436a5a01e7]

	* .hgtags:
	Added tag 2.1.rc1 for changeset 18f32bf70fac
	[7256163465c5]

	* NEWS, configure.in:
	Released v2.1.rc1.
	[18f32bf70fac] [2.1.rc1]

	* doc/man/doveadm-search-query.7:
	man: mailbox[-guid] doesn't need to be first parameter in search
	query.
	[7894c74cb740]

	* src/lib/Makefile.am:
	Makefile: Added missing hmac-sha1.h
	[f33c1462bf80]

	* src/lib-lda/lmtp-client.c:
	lib-lda: Use ostream corking better in LMTP/SMTP client.
	[31bce737a64b]

	* TODO:
	TODO updated
	[79bae0318b46]

	* doc/example-config/conf.d/10-ssl.conf:
	example-config: Added ssl_crypto_device.
	[a4e44005ee58]

	* src/lib-imap-client/imapc-client.c, src/lib-imap-client/imapc-
	client.h, src/lib-storage/index/imapc/imapc-settings.c, src/lib-
	storage/index/imapc/imapc-settings.h, src/lib-storage/index/imapc
	/imapc-storage.c:
	imapc: Pass ssl_crypto_device setting to lib-ssl-iostream.
	[e8c6ff480a18]

	* src/lib-ssl-iostream/iostream-openssl-context.c, src/lib-ssl-
	iostream/iostream-ssl.h:
	lib-ssl-iostream: Added crypto_device setting to set OpenSSL engine.
	Multiple engines aren't supported, so the first crypto_device value
	gets used for all SSL connections.
	[e56409d9615c]

	* src/login-common/ssl-proxy-openssl.c:
	login: Do engine cleanups _after_ finishing the used engine.
	[9a474b7934c9]

	* src/login-common/login-settings.c, src/login-common/login-
	settings.h, src/login-common/ssl-proxy-openssl.c:
	login: Added ssl_crypto_device setting to set OpenSSL engine.
	[ca49f570f0c1]

	* src/login-common/client-common.h, src/login-common/sasl-server.c:
	login: Save final SASL reply to client struct.
	[cc497af529cd]

	* src/lib-ssl-iostream/iostream-openssl-context.c:
	lib-ssl-iostream: Call OpenSSL_add_all_algorithms() to make some
	OpenSSL versions happy.
	[733ac4aba089]

	* src/auth/userdb-ldap.c:
	auth: LDAP iterate's debug message didn't use expanded base string.
	[1fed3c1c166e]

	* src/lib-storage/index/index-mail-headers.c:
	lib-storage: Getting headers as UTF-8 could have returned garbage
	for multi-line headers.
	[40aba52a4386]

	* src/imap-login/client.c, src/login-common/login-common.h, src/login-
	common/sasl-server.c, src/pop3-login/client.c:
	login: Use AUTH_REQUEST_FLAG_SUPPORT_FINAL_RESP if protocol supports
	it.
	[4ecb77154ac7]

	* src/lib-auth/auth-client-request.c, src/lib-auth/auth-client.h:
	lib-auth: Added AUTH_REQUEST_FLAG_SUPPORT_FINAL_RESP flag.
	[a19fb078a259]

	* src/auth/auth-request.c, src/auth/auth-request.h, src/auth/mech-
	digest-md5.c, src/auth/mech-scram-sha1.c:
	auth: If client gives "final-resp-ok" parameter, send it in OK reply
	with DIGEST-MD5, SCRAM-SHA-1
	[f2608c3a64ee]

2011-11-23  Timo Sirainen  <tss@iki.fi>

	* src/auth/mech-scram-sha1.c:
	auth: Cleanups, fix and Dovecot code-stylifications to SCRAM-SHA-1.
	[34b3655ca484]

2011-09-16  Florian Zeitz  <florob@babelmonkeys.de>

	* src/auth/Makefile.am, src/auth/mech-scram-sha1.c, src/auth/mech.c:
	auth: Implement the SCRAM-SHA-1 SASL mechanism
	[c69790ad93c1]

	* src/lib/Makefile.am, src/lib/hmac-sha1.c, src/lib/hmac-sha1.h:
	lib: Add hmac-sha1 adapted from hmac-md5
	[4d56549a5505]

2011-11-23  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/doveadm-auth.c, src/doveadm/doveadm-director.c, src/lib-
	auth/auth-master.c, src/lib-auth/auth-master.h, src/lib-storage
	/mail-storage-service.c:
	lib-auth: auth_master_user_list_init() now takes user_mask and info
	parameters. These are passed to auth process, which may use them to
	limit what usernames are returned.
	[59e25ebc976f]

	* src/auth/auth-master-connection.c, src/auth/auth-settings.c,
	src/auth/auth-worker-client.c, src/auth/userdb-blocking.c, src/auth
	/userdb-blocking.h, src/auth/userdb-ldap.c, src/auth/userdb-passwd-
	file.c, src/auth/userdb-passwd.c, src/auth/userdb-sql.c,
	src/auth/userdb.h:
	auth: Support passing regular %variables to sql/ldap iterate
	queries.
	[acfe332f9aeb]

	* src/auth/main.c:
	auth: Don't leak memory in deinit.
	[35764175dc92]

	* src/master/master-settings.c:
	Compiler warning fix
	[b8e1c9685c69]

	* src/lib-auth/auth-server-connection.c:
	lib-auth: Log a warning about auth disconnection only if there are
	pending requests.
	[49044b7cfa3d]

	* src/master/master-settings.c:
	master: Log a warning at startup if fd limit is too low.
	[540d9d296dc9]

	* src/lib/restrict-process-size.c, src/lib/restrict-process-size.h:
	Added restrict_get_fd_limit()
	[0644361ca409]

	* src/lib-storage/mail-storage-private.h, src/lib-storage/mail-
	storage.c:
	lib-storage: Track storage's all mailboxes to make it easier to
	debug if one isn't closed.
	[deaebb4dc98c]

	* src/anvil/anvil-connection.c:
	Compile fix for some compilers.
	[4f1d20b57c04]

	* src/lib-index/mail-index-sync.c:
	lib-index: Make sure we never go to infinite loop if fsck can't fix
	syncing problem.
	[b9c4a7e4a27f]

	* src/lib/file-cache.c:
	file_cache_set_size(): Cleanup properly after mmap() failure.
	[db51a627d726]

	* src/lib-index/mail-index-modseq.c, src/lib-index/mail-index-sync.c,
	src/lib-index/mail-index-view-sync.c, src/lib-index/mail-
	transaction-log.h:
	lib-index: Handle transaction log read errors separately from log
	corruption.
	[fb0ffce5a0ba]

	* src/plugins/fts-lucene/fts-lucene-plugin.c:
	fts-lucene: Crashfix when compiled without stemmer.
	[90ecb83a9ca7]

	* src/lib-imap-client/imapc-client.h, src/lib-storage/index/imapc
	/imapc-storage.c:
	Compile fixes.
	[bfcd0bed5a9e]

	* src/lib-imap-client/imapc-connection.c:
	Compiling fix for non-gcc.
	[1cdd39d11ce4]

2011-11-22  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-connection.c:
	imapc: Added assert to make sure callback is never NULL.
	[3501e62284dc]

	* src/lib-imap-client/imapc-connection.c:
	imapc: Crashfix after having idled for 29 mins without IDLE.
	[da07002ca0d4]

	* src/lib-storage/index/dbox-multi/mdbox-save.c:
	mdbox: Don't assert-crash when having to open mail file during
	specific copying situations.
	[8132fb8ee3eb]

2011-11-21  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/Makefile.am, src/doveadm/doveadm-dump-dbox.c,
	src/doveadm/doveadm-dump.c, src/doveadm/doveadm-dump.h:
	doveadm dump: Added support for dumping dbox headers/metadata.
	[5bc3ea6ebbed]

	* src/lib-storage/index/dbox-common/dbox-file.h:
	dbox: Compiler warning fix if trying to include dbox-file.h
	directly.
	[4411f7434d19]

	* src/lib/hex-dec.c:
	hex2dec(): Allow data to contain also lowercase hex characters.
	[38846458ef78]

	* src/lib-storage/index/dbox-common/dbox-file.h:
	dbox: Removed unused message type from header.
	[c89dec41ad69]

2011-11-19  Timo Sirainen  <tss@iki.fi>

	* src/login-common/main.c:
	login: Moved all i_fatal()s to preinit stage. This avoids a wrongly
	configured login process from rapidly respawning.
	[1827699b8156]

	* src/director/main.c:
	director: Moved all i_fatal()s to preinit stage. This avoids a
	wrongly configured director process from rapidly respawning.
	[5ce2123d24ed]

	* src/auth/auth.c, src/auth/passdb-passwd.c, src/auth/passdb-shadow.c:
	auth: Moved all i_fatal()s to preinit stage. This avoids a wrongly
	configured auth process from rapidly respawning.
	[ffb2993c99cf]

	* src/auth/auth-worker-server.c:
	auth: Handle auth worker creation failure without killing the whole
	auth process.
	[6b62d786fdc4]

	* src/login-common/client-common.c:
	login: Show empty username in disconnect message.
	[6e87e399ccd7]

	* src/auth/auth-request-handler.c:
	auth: If auth fails due to invalid username, send the username in
	the FAIL message.
	[b1955fdf2ef8]

	* src/login-common/client-common-auth.c, src/login-common/client-
	common.c, src/login-common/client-common.h, src/login-common/sasl-
	server.c:
	login: Log a different disconnect message if client didn't finish
	SASL auth.
	[679837ca1c95]

	* src/lib/env-util.c:
	env_clean(): Previous OSX compile fix broke the function completely.
	[9d022d3fba42]

	* src/lib/env-util.c:
	Compile fix for OSX.
	[b2c9298e981a]

	* doc/Makefile.am:
	doc: Removed auth-protocol.txt from Makefile.
	[338f35625e06]

2011-11-18  Timo Sirainen  <tss@iki.fi>

	* doc/auth-protocol.txt:
	doc: Removed auth-protocol.txt. A more up to date version is in wiki
	docs.
	[46b07e8dca14]

	* src/auth/auth-master-connection.c, src/auth/auth-request-handler.c,
	src/auth/auth-request.c, src/auth/auth-request.h:
	auth: Don't allow auth clients to set internal auth request fields.
	This could have allowed attacker to bypass authentication if login
	process was first successfully attacked to allow arbitrary code
	execution.
	[9a6aa717bc46]

	* src/login-common/main.c:
	login: Call master_service_init_finish() later. This prevents
	automatic infinite process respawns if SSL initialization fails.
	[ba1f99456742]

	* src/lib-master/master-service.c:
	lib-master: Set service/client limits already in
	master_service_init()
	[c6f5203bf59f]

	* src/login-common/login-settings.c, src/login-common/login-
	settings.h, src/login-common/ssl-proxy-openssl.c:
	login proxy: Added ssl_client_cert/key settings. The client cert is
	used sent to proxy destination server when SSL is used.
	[700e92b43c74]

	* src/login-common/main.c:
	login: Added assert.
	[dafa6dc27398]

	* src/lib-auth/auth-client-request.c, src/lib-auth/auth-client.h, src
	/lib-auth/auth-server-connection.c, src/login-common/client-
	common.c, src/login-common/client-common.h, src/login-common/sasl-
	server.c:
	login: Differentiate between auth failure and auth process
	communication failure. Log a warning if auth connection dies.
	[dd66ea0e7d00]

	* src/auth/auth-client-connection.c, src/auth/auth-request-handler.c,
	src/auth/auth-request-handler.h:
	auth: Log a warning if auth client disconnects while it still has
	pending requests.
	[2ecd0e90402a]

	* src/login-common/client-common.c, src/login-common/login-common.h,
	src/login-common/main.c:
	login: Minor potential authentication fix when service_count>1
	[80558d1b7040]

2011-11-17  Timo Sirainen  <tss@iki.fi>

	* src/login-common/ssl-proxy-openssl.c:
	login: Fixed a memory leak when SSL client connection was closed
	uncleanly.
	[81eff56d8bc1]

	* src/auth/passdb-vpopmail.c:
	passdb vpopmail: Fix to handling mixed cleartext/crypt passwords.
	[c4ecdea00e4d]

	* src/login-common/ssl-proxy-openssl.c:
	login proxy: Don't fail connection if CRL isn't found for some
	certificate.
	[f986b56d8e2a]

2011-11-16  Timo Sirainen  <tss@iki.fi>

	* src/lib/ipwd.c:
	i_getgr*(): Use a generic workaround for all OSes that report too
	small grbuf size.
	[b0c0d11792fc]

	* src/auth/db-checkpassword.c:
	checkpassword: Export all auth %variables to AUTH_* environment.
	[0a94dfe6ac92]

	* src/lmtp/commands.c:
	lmtp: Include local/remote port in userdb lookups.
	[9ead5aea2ce4]

	* src/lib-storage/mail-storage-service.c, src/lib-storage/mail-
	storage-service.h:
	lib-storage: Added local/remote port to struct
	mail_storage_service_input for userdb lookups.
	[bca3950cad53]

	* src/lib-storage/list/mailbox-list-subscriptions.c:
	lib-storage: Fixed listing subscriptions from prefix!="" namespace
	[16024d03f66e]

	* src/lib-storage/mail-storage.c:
	lib-storage: Fixed error handling for mailbox_set_subscribed()
	[4bdfe947a0b2]

	* src/lib-storage/index/shared/shared-storage.c, src/lib-
	storage/index/shared/shared-storage.h:
	lib-storage: Fixed using "auto" driver with shared namespaces.
	[e0556ffd1527]

	* src/lib-storage/mail-storage.c:
	lib-storage: Improved storage creation failure error message for
	"auto" driver.
	[f11ce0efa6a8]

	* src/lib-storage/mail-storage.c:
	lib-storage: Crashfix for "auto" driver in some situations.
	[e5fb66051028]

	* src/lib-storage/index/dbox-multi/mdbox-storage.c, src/lib-
	storage/index/maildir/maildir-storage.c, src/lib-storage/index/mbox
	/mbox-storage.c:
	lib-storage: Use namespace owner user's home dir for autodetection
	(for shared namespaces).
	[7559768b1491]

	* doc/man/doveadm-altmove.1.in, doc/man/doveadm-auth.1.in, doc/man
	/doveadm-director.1.in, doc/man/doveadm-dump.1.in, doc/man/doveadm-
	expunge.1.in, doc/man/doveadm-fetch.1.in, doc/man/doveadm-force-
	resync.1.in, doc/man/doveadm-help.1.in, doc/man/doveadm-import.1.in,
	doc/man/doveadm-index.1.in, doc/man/doveadm-kick.1.in, doc/man
	/doveadm-log.1.in, doc/man/doveadm-mailbox.1.in, doc/man/doveadm-
	move.1.in, doc/man/doveadm-penalty.1.in, doc/man/doveadm-purge.1.in,
	doc/man/doveadm-pw.1.in, doc/man/doveadm-quota.1.in, doc/man
	/doveadm-search-query.7, doc/man/doveadm-search.1.in, doc/man
	/doveadm-user.1.in, doc/man/doveadm-who.1.in, doc/man/doveadm.1.in,
	doc/man/doveconf.1.in, doc/man/dovecot-lda.1.in,
	doc/man/dovecot.1.in, doc/man/dsync.1.in:
	man: Dovecot version numbers updated.
	[a695e124e62f]

	* src/config/config-parser.c:
	config: Skip spaces between '<' and value in "key=< value"
	[3368f9b3c8df]

	* src/master/service-monitor.c:
	master: Don't log errors at shutdown about services' "command
	startup failed".
	[ba5d4c918842]

	* src/login-common/client-common.c, src/login-common/client-common.h,
	src/login-common/sasl-server.c:
	login: Improved auth failed log messages.
	[346c022df7af]

	* doc/man/doveadm-search-query.7:
	man: Fixes to previous doveadm-search-query.7 change.
	[5fefb7f1e6c4]

2011-11-15  Timo Sirainen  <tss@iki.fi>

	* doc/man/doveadm-search-query.7:
	man: Updated doveadm-search-query.7 to include MAILBOX[-GUID] as
	search keys.
	[857d4c45588f]

	* src/master/service-monitor.c:
	master: Don't throttle successfully started services just because
	their processes didn't have clients.
	[3dc1806bd27e]

	* src/stats/mail-session.c:
	stats: If process has crashed/restarted, hide initial "missing
	session GUID" warnings.
	[6b9f7cb07c8f]

	* configure.in:
	configure: Don't reorder --with-storages values. The ordering is
	used for storage autodetection.
	[500bf1444ad6]

	* src/lib-storage/index/dbox-multi/mdbox-storage.c:
	mdbox: Added support for autodetection of ~/mdbox/ as mdbox storage.
	[bcb20d216edd]

	* src/lib-storage/mail-storage.c:
	lib-storage: Added "auto" mail storage driver for forcing
	autodetection.
	[ad0136b56d6e]

	* src/stats/mail-user.c:
	stats: Freeing a user didn't remove it from hash table, leading to
	crash later.
	[c8076e71c849]

	* doc/example-config/conf.d/10-mail.conf, src/lib-
	storage/index/maildir/maildir-mail.c, src/lib-storage/index/maildir
	/maildir-settings.c, src/lib-storage/index/maildir/maildir-
	settings.h:
	maildir: Added maildir_broken_filename_sizes setting.
	[3c5d3d618c76]

	* src/lib-storage/index/maildir/maildir-mail.c:
	maildir: When noticing invalid 'S' in filename, replace it with the
	correct one instead of removing it.
	[466badb63c0b]

2011-11-14  Timo Sirainen  <tss@iki.fi>

	* src/plugins/imap-stats/imap-stats-plugin.c:
	imap-stats: Don't send IDLE command updates to stats service.
	[a538eec53922]

	* src/stats/mail-command.c:
	stats: Forcibly free command after running for 15 minutes without
	updates.
	[1cda9fe6d7fa]

2011-11-09  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/list/mailbox-list-maildir-iter.c:
	maildir++: If listing finds non-mUTF7/UTF8 mailbox dir, rename it
	instead of assert-crashing later.
	[4d49122ba42a]

	* src/master/main.c:
	master: Increase process count limit (ulimit -u) at startup high
	enough that we don't reach it.
	[eace12589314]

	* src/lib/restrict-process-size.c, src/lib/restrict-process-size.h,
	src/login-common/main.c, src/master/service-process.c:
	restrict_process_size() API changes.
	[523f34bffc94]

	* src/lib/restrict-access.c:
	restrict_access*(): If setuid() fails with EAGAIN, suggest ulimit -u
	being the problem.
	[33ecba7f10cc]

	* src/imap-login/imap-login-settings.c, src/pop3-login/pop3-login-
	settings.c:
	imap/pop3-login: Use default_vsz_limit instead of adding our own.
	There's not a huge difference between 64 MB and the default 256 MB,
	and this change makes it easier to change the default limit
	globally.
	[9bdc40e2d1c6]

	* src/master/service-process.c:
	master: vsz_limit enforcement was done for 1024 times too much
	memory.
	[94c95853f25c]

	* src/lmtp/lmtp-settings.c:
	lmtp: Default vsz_limit wasn't used for lmtp service.
	[011f10758702]

	* src/lib-storage/index/maildir/maildir-mail.c:
	maildir: When fixing broken size in filename, try harder to find the
	latest filename.
	[a155105e298e]

	* src/lib-storage/index/maildir/maildir-uidlist.c, src/lib-
	storage/index/maildir/maildir-uidlist.h, src/lib-
	storage/index/maildir/maildir-util.c:
	maildir: Whenever we're guessing a filename correctly, remember it
	in uidlist.
	[b29d9d98f5c0]

	* src/lib-storage/index/maildir/maildir-mail.c:
	maildir: When renaming filename due to broken size, don't forget
	message flags.
	[0a3eafad58c0]

	* .hgsigs:
	Added signature for changeset 437ae2c24872
	[12bd19be1315]

	* .hgtags:
	Added tag 2.1.beta1 for changeset 437ae2c24872
	[255f39b1e8ba]

	* NEWS, configure.in:
	Released v2.1.beta1.
	[437ae2c24872] [2.1.beta1]

	* src/lib-storage/list/mailbox-list-index-sync.c:
	Make static analyzer happier.
	[b43bbf9b705d]

2011-11-08  Timo Sirainen  <tss@iki.fi>

	* TODO:
	TODO updated
	[825a122eb9d3]

	* README:
	README: Added FUZZY RFC.
	[72e894a8d267]

	* configure.in, src/lib-ssl-iostream/iostream-openssl.c, src/lib-ssl-
	iostream/iostream-openssl.h, src/login-common/Makefile.am, src
	/login-common/login-proxy.c, src/login-common/ssl-proxy-openssl.c,
	src/login-common/ssl-proxy.c, src/login-common/ssl-proxy.h:
	login proxy: Verify that remote hostname matches SSL cert, unless
	ssl=any-cert
	[7e3afd2252fd]

	* src/lib/eacces-error.c:
	eacces_error_get*(): Crashfix for recent change.
	[439ba86c91fc]

	* src/lib-storage/index/maildir/maildir-mail.c:
	maildir: Log less lines when removing broken sizes from filenames.
	[762b31157c42]

	* src/master/service-process.c:
	master: Never create new processes for services that are being
	destroyed (reload, deinit)
	[96e469ea4fc8]

	* src/login-common/client-common.c, src/login-common/client-common.h,
	src/login-common/sasl-server.c:
	login: If login fails for some reason, but auth was successful,
	don't log "auth failed". For example if proxy fails to connect to
	remote server.
	[d03524bfcf16]

	* src/login-common/login-proxy.c:
	login proxy: Always log the username in the error messages.
	[d9b89af302e7]

2011-11-07  Timo Sirainen  <tss@iki.fi>

	* src/auth/auth-master-connection.c:
	auth: When complaining about auth-userdb permission errors, log also
	the wanted UID's name.
	[08afc14abc21]

	* src/indexer/master-connection.c:
	indexer-worker: If indexes are disabled for a mailbox, do nothing
	but log a message.
	[d0a071b6847c]

	* src/master/service-process.c:
	master: Fixed giving config socket path to anvil process.
	[9da49294f49d]

2011-11-05  Timo Sirainen  <tss@iki.fi>

	* configure.in:
	configure: Use libtool's -no-undefined flag instead of attempting it
	ourself. Patch by Brad.
	[3ecd119bd63b]

	* src/doveadm/doveadm-mail-import.c:
	doveadm import: Added -s parameter to subscribe to created
	mailboxes.
	[afec4ceda8e1]

	* src/dsync/dsync.c:
	dsync: Set user to be admin to ignore quota limits.
	[3248730d84ae]

	* src/plugins/quota/quota.c:
	quota: Ignore quota limits for admin users.
	[131e44d50d35]

	* src/master/main.c, src/master/service-monitor.c, src/master/service-
	monitor.h, src/master/service.c, src/master/service.h:
	master: Wait for services to stop listening before unlinking the pid
	file.
	[6894298ae5fd]

	* src/plugins/fts-lucene/fts-backend-lucene.c:
	fts-lucene: Use FTS_BACKEND_FLAG_BUILD_FULL_WORDS flag.
	[21145b853d64]

	* src/plugins/fts/fts-api-private.h, src/plugins/fts/fts-build-mail.c:
	fts: Added FTS_BACKEND_FLAG_BUILD_FULL_WORDS for sending data to
	backends only in full words.
	[f4a95383ea8a]

	* src/plugins/fts-lucene/lucene-wrapper.cc:
	fts-lucene: Optimize searching for existence of an indexed header.
	[efe369e2885d]

	* src/plugins/fts-lucene/lucene-wrapper.cc:
	fts-lucene: Index the header name tokenized, or we can't search it.
	[6e7658437688]

	* src/plugins/fts-lucene/lucene-wrapper.cc:
	fts-lucene: Fixed handling "maybe" queries (unindexed headers)
	[c700ff42a6cc]

2011-11-04  Pascal Volk  <user@localhost.localdomain.org>

	* doc/man/doveadm-user.1.in:
	man: Added -f option to doveadm-user.1.
	[5cf885412627]

2011-11-05  Timo Sirainen  <tss@iki.fi>

	* src/login-common/ssl-proxy-openssl.c:
	Use SSL_MODE_RELEASE_BUFFERS if available to keep memory usage low.
	Based on patch by Cristian Rodríguez.
	[88d5239c0d9a]

	* src/lmtp/lmtp-settings.c:
	lmtp: Changed default client_limit to 1. LMTP processes can wait a
	long time on disk I/O, so a single process will be busy waiting long
	before it reaches default_client_limit (100).
	[b5d4b4e43840]

2011-11-04  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: When doing a LIST, delete any extra local mailbox (index)
	directories.
	[0103b917fa0c]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h, src/lib-storage/list/mailbox-list-fs.c, src/lib-
	storage/list/mailbox-list-maildir.c, src/lib-storage/mailbox-list.c,
	src/lib-storage/mailbox-list.h:
	imapc: Don't use separate indexes/ directory anymore. Fixes/cleanups
	to make it possible.
	[7e1981ecbe40]

	* src/lib-imap-client/imapc-connection.c:
	imapc: If rawlog directory doesn't exist, silently ignore it.
	[ebdb1d51ea14]

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Index files weren't deleted when mailbox was deleted.
	[a79c256b361e]

	* src/lib-storage/list/mailbox-list-fs.c, src/lib-storage/list
	/mailbox-list-maildir.c, src/lib-storage/mailbox-list.h:
	lib-storage: Added MAILBOX_LIST_FLAG_OPTIONAL_BOXES flag.
	[64ca27392217]

	* src/anvil/anvil-connection.c, src/anvil/common.h, src/anvil/main.c,
	src/master/service-anvil.c, src/master/service-anvil.h, src/master
	/service-process.c:
	anvil: Handle crash restarts without failing completely.
	[926a7ceeaa10]

	* src/doveadm/doveadm-dump-index.c:
	doveadm dump index: Dump also mime.parts decoded.
	[9f739df97593]

	* src/plugins/fts-lucene/fts-lucene-plugin.c, src/plugins/fts-lucene
	/fts-lucene-plugin.h, src/plugins/fts-lucene/lucene-wrapper.cc:
	fts-lucene: Added whitespace_chars subsetting to fts_lucene. A value
	of "@." could be useful so that user@domain.tld allows searching
	user, domain and tld separately instead of requiring the whole
	string to match.
	[6d483a22134e]

	* src/lib/eacces-error.c:
	eacces_error_get*(): Log if group has r/w permissions, but we don't
	belong to it.
	[b6e5cf112b3e]

2011-10-25  Timo Sirainen  <tss@iki.fi>

	* src/master/service-monitor.c:
	master: Assert-crashfix when service process limit was reached.
	Introduced by commit fddbb26400d0.
	[1dd992f75906]

	* src/login-common/client-common.h, src/login-common/ssl-proxy-
	openssl.c:
	login: When renegotiating SSL handshake, don't reread settings when
	TLS SNI is used.
	[c9ef7a0f9b44]

	* src/login-common/main.c:
	login: Increased client's initial memory pool size.
	[402cff03919a]

2011-10-20  Timo Sirainen  <tss@iki.fi>

	* src/master/service-monitor.c, src/master/service.h:
	master: When process_limit fills up, wait 10s before closing pending
	connections. It might have only been a temporary burst that gets
	resolved quickly enough.
	[fddbb26400d0]

	* src/master/service-monitor.c:
	master: Reset service's listen_pending flag when it gets a new
	available process.
	[a95bb5877f00]

	* src/lib-imap-client/imapc-client.c, src/lib-imap-client/imapc-
	connection.c, src/lib-imap-client/imapc-connection.h:
	imapc: Fixed reopening a mailbox.
	[221ec0404d8e]

2011-10-19  Timo Sirainen  <tss@iki.fi>

	* src/auth/passdb-static.c:
	auth: passdb static crashed if no password was given
	[809944f5015a]

2011-10-18  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/maildir/maildir-mail.c:
	maildir: If maildir filename has broken W/S size, rename the file to
	drop them.
	[e3d2262e995a]

	* src/lib-storage/index/istream-mail.c:
	istream-mail: Call mail_cache_set_corrupted() properly
	[fb22546542a5]

2011-10-17  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-client.c, src/lib-imap-client/imapc-
	client.h, src/lib-imap-client/imapc-connection.c, src/lib-
	storage/index/imapc/imapc-settings.c, src/lib-storage/index/imapc
	/imapc-settings.h, src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Added imapc_ssl_verify setting.
	[63ac3b1c2950]

2011-10-12  Timo Sirainen  <tss@iki.fi>

	* src/plugins/mail-log/mail-log-plugin.c:
	mail-log: Use mail_log_update_wanted_fields() to avoid parsing
	message multiple times.
	[381555875651]

	* src/lib-storage/index/cydir/cydir-mail.c, src/lib-storage/index
	/dbox-multi/mdbox-mail.c, src/lib-storage/index/dbox-single/sdbox-
	mail.c, src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-mail.c, src/lib-storage/index/index-mail-
	headers.c, src/lib-storage/index/index-mail.c, src/lib-storage/index
	/index-mail.h, src/lib-storage/index/maildir/maildir-mail.c, src
	/lib-storage/index/mbox/mbox-mail.c, src/lib-storage/index/raw/raw-
	mail.c, src/lib-storage/mail-storage-private.h, src/lib-storage
	/mail-storage.h, src/lib-storage/mail.c, src/lib-storage/test-
	mail.c, src/plugins/virtual/virtual-mail.c:
	lib-storage: Added mail_log_update_wanted_fields()
	[e77601949937]

	* src/lib-storage/index/dbox-multi/mdbox-storage-rebuild.c:
	mdbox rebuild: Log an error whenever opening a mailbox fails.
	[fad85406a088]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Mail body wasn't always prefetched when it should have been.
	[d2608fc3c9e2]

2011-10-09  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-client.c:
	imapc: When asking for capabilities, try to ask from a logged in
	connection.
	[337f4e427bb1]

	* src/lib-imap-client/imapc-connection.c:
	imapc: Post-login capabilities weren't detected/used.
	[8a2ec8284b61]

	* src/lib-imap-client/imapc-client-private.h, src/lib-imap-client
	/imapc-client.c, src/lib-imap-client/imapc-connection.c, src/lib-
	imap-client/imapc-connection.h, src/lib-storage/index/imapc/imapc-
	mail-fetch.c, src/lib-storage/index/imapc/imapc-storage.c, src/lib-
	storage/index/imapc/imapc-storage.h, src/lib-storage/index/imapc
	/imapc-sync.c, src/lib-storage/index/imapc/imapc-sync.h:
	imapc: Support retrying some IMAP commands if we get disconnected.
	[c9594ff166a9]

	* src/director/director-test.c, src/imap-login/client.c, src/imap/cmd-
	append.c, src/imap/imap-client.c, src/lib-imap-client/imapc-
	connection.c, src/lib-imap/imap-bodystructure.c, src/lib-imap/imap-
	envelope.c, src/lib-imap/imap-id.c, src/lib-imap/imap-parser.c, src
	/lib-imap/imap-parser.h, src/lib-imap/test-imap-parser.c,
	src/plugins/virtual/virtual-config.c:
	lib-imap: Added reference counting to imap parser.
	[f63f2b2217c3]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Mailbox reopening fix.
	[2dbc6108f090]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Fixed expunging too many messages from index.
	[d8ba3f6d1b9d]

	* src/lib-storage/index/imapc/imapc-sync.c:
	imapc: Better implementation of checking if index is missing
	messages.
	[2ecf19d88f8e]

	* src/lib-imap-client/imapc-connection.c:
	imapc: Fixes to sending commands.
	[256b9b32b242]

	* src/lib-storage/index/imapc/imapc-mail.c, src/lib-
	storage/index/imapc/imapc-mailbox.c, src/lib-storage/index/imapc
	/imapc-storage.c, src/lib-storage/index/imapc/imapc-storage.h, src
	/lib-storage/index/imapc/imapc-sync.c:
	imapc: Fixed detecting when messages are missing from index.
	[305ca9c93dd7]

	* src/lib-imap-client/imapc-client-private.h, src/lib-imap-client
	/imapc-client.c, src/lib-imap-client/imapc-client.h, src/lib-imap-
	client/imapc-connection.c, src/lib-imap-client/imapc-connection.h,
	src/lib-imap-client/imapc-msgmap.c, src/lib-imap-client/imapc-
	msgmap.h, src/lib-storage/index/imapc/imapc-mail.c, src/lib-
	storage/index/imapc/imapc-mailbox.c, src/lib-storage/index/imapc
	/imapc-storage.c, src/lib-storage/index/imapc/imapc-storage.h:
	imapc: Initial support for automatically reconnecting to remote
	server.
	[8fdd22504aab]

2011-10-08  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Fixed updating message flags from another session.
	[7e0bdfa76f12]

2011-10-07  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: Fixed handling keywords. The status->keywords must point to
	mail_index's keywords.
	[92dd30cf0d22]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Detect when message has been unexpectedly expunged from
	index.
	[aaa0463aa66f]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: IDLE didn't notify immediately about new mails.
	[3058a10313bd]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: Code cleanup: avoid unnecessarily accessing imapc-client-
	private.h
	[cd4a65125c84]

	* src/lib-imap-client/imapc-client-private.h, src/lib-imap-client
	/imapc-client.c, src/lib-imap-client/imapc-client.h, src/lib-imap-
	client/imapc-connection.c:
	imapc: Removed unused "stop now" functionality.
	[4f305d785bc7]

	* src/lib-imap-client/imapc-client.c, src/lib-imap-client/imapc-
	client.h, src/lib-imap-client/imapc-connection.c, src/lib-imap-
	client/imapc-connection.h, src/lib-storage/index/imapc/imapc-
	storage.c:
	imapc: Changed mailbox opening API to be more extensible.
	[c358b13e32cc]

	* src/lib-imap-client/imapc-client-private.h, src/lib-imap-client
	/imapc-client.c, src/lib-imap-client/imapc-client.h, src/lib-imap-
	client/imapc-connection.c, src/lib-imap-client/imapc-connection.h,
	src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-mail-fetch.c, src/lib-storage/index/imapc
	/imapc-mail.c, src/lib-storage/index/imapc/imapc-save.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-sync.c:
	imapc: Command sending API changed to be more extensible.
	[e0a339d677cb]

	* src/auth/auth-master-connection.c:
	auth: Don't re-add IO to master connection input. This fixes a panic
	crash in some situations.
	[21566f1780ef]

	* src/auth/auth-master-connection.c, src/auth/auth-master-
	connection.h, src/auth/main.c:
	auth: Improved "auth client doesn't have permissions to do .."
	errors.
	[99ff7bf3c490]

2011-10-05  Timo Sirainen  <tss@iki.fi>

	* src/pop3/pop3-client.c:
	pop3: When pop3_fast_size_lookups=yes, don't assume we need to fetch
	virtual size. This fixes prefetch unnecessarily opening mail files.
	[a70f6f04f1fe]

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: Fixed fetching data for a saved, but uncommitted, mail.
	[09707b608d8d]

	* src/lib-storage/index/index-mail.c:
	lib-storage: Fixed reopening a mail stream.
	[fab95106bcd6]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-mail-fetch.c:
	imapc: Memory leak fixes.
	[186910f65582]

	* src/lib-storage/index/imapc/imapc-mail.c, src/lib-storage/index
	/index-mail.c, src/lib-storage/index/index-mail.h:
	imapc: Fixed closing mail properly.
	[e026ff4467a8]

	* src/lib-storage/index/imapc/imapc-save.c:
	imapc: Fixed potential assert-crash when saving a mail.
	[0602a0d36164]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Fixed "Bad file descriptor" errors after mail was closed.
	[f2732fa01394]

	* src/lib-storage/index/raw/raw-storage.c:
	raw storage: Don't crash with mailbox_get_metadata()
	[ae1f8bae28eb]

2011-10-04  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/Makefile.am, src/lib-storage/index/imapc
	/imapc-mail-fetch.c, src/lib-storage/index/index-mail.c, src/lib-
	storage/index/index-mail.h, src/lib-storage/index/istream-mail-
	stats.c, src/lib-storage/index/istream-mail-stats.h, src/lib-
	storage/index/istream-mail.c, src/lib-storage/index/istream-mail.h:
	lib-storage: Verify that cached message size matches actually read
	size.
	[75f044354386]

	* src/doveadm/doveadm-mail-fetch.c, src/imap/imap-fetch-body.c, src
	/lib-lda/mail-send.c, src/lib-storage/index/cydir/cydir-mail.c, src
	/lib-storage/index/dbox-common/dbox-mail.c, src/lib-storage/index
	/dbox-common/dbox-mail.h, src/lib-storage/index/imapc/imapc-mail.c,
	src/lib-storage/index/index-mail-headers.c, src/lib-storage/index
	/index-mail.c, src/lib-storage/index/index-search.c, src/lib-
	storage/index/maildir/maildir-mail.c, src/lib-storage/index/mbox
	/mbox-mail.c, src/lib-storage/index/raw/raw-mail.c, src/lib-storage
	/mail-storage-private.h, src/lib-storage/mail-storage.h, src/lib-
	storage/mail.c, src/lib-storage/test-mail.c, src/plugins/virtual
	/virtual-mail.c:
	lib-storage: Added mail_get_hdr_stream() and use it where possible.
	This makes it clearer for backends when it needs a message body
	instead of only message header.
	[276a39ebda4d]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Mail body caching should be done at close(), not at free().
	This cached wrong mail bodies when fetching multiple mails.
	[d3b30b82a225]

2011-10-03  Timo Sirainen  <tss@iki.fi>

	* src/util/script-login.c:
	script-login: Disable alarm after input has been read.
	[6d1c20b1936c]

2011-10-02  Timo Sirainen  <tss@iki.fi>

	* src/auth/passdb-vpopmail.c:
	passdb vpopmail: Always prefer to lookup plaintext password if it
	exists. This is important when multiple auth mechanisms are used and
	the password is cached.
	[423cf2ccd1f1]

	* src/lib-storage/list/mailbox-list-index-status.c:
	mailbox list indexes: Get mailbox_get_metadata(guid) from index if
	possible.
	[341174c093ee]

	* src/lib-storage/index/dbox-multi/mdbox-storage.c, src/lib-
	storage/index/dbox-single/sdbox-storage.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/index-
	status.c, src/lib-storage/index/maildir/maildir-storage.c, src/lib-
	storage/index/mbox/mbox-storage.c, src/lib-storage/mail-storage.c,
	src/plugins/virtual/virtual-storage.c:
	lib-storage: mailbox_get_metadata() no longer always opens mailbox.
	[b7e58d26393f]

	* src/lib-storage/mail-storage.c:
	lib-storage: Compile fix for recent change.
	[c2a173716500]

	* src/lib-storage/index/maildir/maildir-sync-index.c:
	maildir: Maildir list index change check should always check index
	log changes. (Not only when maildir_very_dirty_syncs=no)
	[65696275eaa6]

	* src/lib-storage/list/mailbox-list-index-sync.c, src/lib-storage/list
	/mailbox-list-index.c:
	mailbox list indexes: Handle name="" mailboxes.
	[37c078f1745c]

	* src/lib-storage/index/index-storage.c, src/lib-storage/index/index-
	storage.h, src/lib-storage/index/index-sync.c, src/lib-
	storage/index/maildir/maildir-storage.c, src/lib-
	storage/index/maildir/maildir-storage.h, src/lib-
	storage/index/maildir/maildir-sync-index.c, src/lib-storage/mail-
	storage-private.h:
	lib-storage: Mailbox list index's ext_id shouldn't be cached in
	mail_storage. It's mailbox_list-specific, not mail_storage-specific.
	The easiest fix was to just cache it into mailbox rather than create
	a new index_mailbox_list.
	[d9b0cd5b77b5]

	* src/lib-storage/list/mailbox-list-index.h:
	mailbox list indexes: Added comment.
	[612b8a73ada7]

	* src/lib-storage/list/mailbox-list-index-sync.c, src/lib-storage/list
	/mailbox-list-index.c, src/lib-storage/list/mailbox-list-index.h:
	mailbox list indexes: Code cleanups.
	[6912969d94e8]

	* src/lib-storage/list/mailbox-list-index-status.c, src/lib-
	storage/list/mailbox-list-index-sync.c, src/lib-storage/list
	/mailbox-list-index.c, src/lib-storage/list/mailbox-list-index.h:
	mailbox list indexes: Error handling fixes.
	[75679aca405a]

	* src/lib-storage/list/Makefile.am, src/lib-storage/list/mailbox-list-
	index-sync.c, src/lib-storage/list/mailbox-list-index.c, src/lib-
	storage/list/mailbox-list-index.h:
	mailbox list indexes: Moved syncing code to separate file.
	[940ddec22822]

	* src/lib-storage/list/Makefile.am, src/lib-storage/list/mailbox-list-
	index-iter.c, src/lib-storage/list/mailbox-list-index.c, src/lib-
	storage/list/mailbox-list-index.h:
	mailbox list indexes: Moved iteration code to separate file.
	[cd7b56e965d2]

	* src/lib-storage/list/Makefile.am, src/lib-storage/list/index-
	mailbox-list-status.c, src/lib-storage/list/index-mailbox-list.c,
	src/lib-storage/list/index-mailbox-list.h, src/lib-storage/list
	/mailbox-list-index-status.c, src/lib-storage/list/mailbox-list-
	index.c, src/lib-storage/list/mailbox-list-index.h, src/lib-
	storage/register/Makefile.am:
	Renamed index-mailbox-list* to mailbox-list-index*
	[8800d0429b7c]

	* src/lib-storage/list/index-mailbox-list.c:
	mailbox list indexes: Disable index files for shared/public
	namespaces.
	[37c4e282a605]

	* src/lib-storage/list/index-mailbox-list-status.c, src/lib-
	storage/list/index-mailbox-list.c, src/lib-storage/list/index-
	mailbox-list.h:
	mailbox list indexes: Use storage names instead of virtual names.
	[e06e178c8fd1]

	* src/lmtp/client.c, src/lmtp/client.h, src/lmtp/commands.c:
	lmtp: Code cleanup.
	[93cba8e84546]

	* src/lda/main.c:
	lda: Code cleanups
	[020d2092f2f7]

	* src/lda/main.c, src/lib-storage/index/raw/raw-storage.c, src/lib-
	storage/index/raw/raw-storage.h, src/lmtp/commands.c:
	lda/lmtp: Moved common raw mailbox allocation code to raw-storage.
	[ac9fecc9202e]

	* src/lib-storage/mail-storage.c:
	lib-storage: Keep mail_user referenced while storage objects exist.
	This allows unreferencing mail_user after mailbox_alloc() and having
	it freed on mailbox_free().
	[b7995a25c052]

	* src/lib/ioloop.c:
	ioloop: Memory leak fix on ioloop destroy.
	[f41a3dd03be2]

	* src/lib/istream-seekable.c:
	istream-seekable: Memory leak fix.
	[7f7724f28d78]

	* src/lda/main.c, src/lib-storage/index/raw/raw-storage.c, src/lib-
	storage/index/raw/raw-storage.h, src/lmtp/client.c:
	lda/lmtp: Moved raw user creation code to common
	raw_storage_create_from_set()
	[5bd6c0fbfef1]

	* src/lib-storage/list/index-mailbox-list-status.c:
	mailbox list index: Minor code cleanup.
	[967ad9ad37ff]

2011-10-01  Timo Sirainen  <tss@iki.fi>

	* src/lib-imap-client/imapc-client.c, src/lib-imap-client/imapc-
	client.h, src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-mail.c, src/lib-storage/index/imapc/imapc-
	storage.c, src/lib-storage/index/imapc/imapc-sync.c:
	imapc: Changed imapc_client_mailbox_cmd() parameter order to be same
	as in _cmdf().
	[a418589173c8]

	* src/lib-imap-client/imapc-connection.c:
	imapc: Don't assert-crash when receiving 0 size literal.
	[037e963c9a34]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Make sure "is mail expunged?" NOOP is sent to correct
	connection. (Although currently there are never more than a single
	connection.)
	[4cfe3f14bb46]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Make sure mail cache is freed when mailbox is closed.
	[967a53c3ef5e]

	* src/auth/auth-common.h, src/auth/main.c, src/auth/mech.c,
	src/auth/passdb.c, src/auth/userdb.c:
	auth: Lazily load authdb_* and mech_* plugins only when they're
	needed.
	[695e9d58ed17]

	* src/auth/Makefile.am, src/auth/passdb-imap.c:
	auth: Renamed passdb_imap plugin to authdb_imap.
	[f53cf5670adf]

	* src/lib/module-dir.c, src/lib/module-dir.h:
	module_dir_load*(): Support filtering and ignoring missing modules.
	[976e414d5bf4]

	* doc/example-config/conf.d/10-ssl.conf, src/login-common/login-
	settings.c, src/login-common/login-settings.h, src/login-common/ssl-
	proxy-openssl.c:
	Added ssl_protocols setting.
	[406a1d52390b]

	* src/doveadm/doveadm-pw.c:
	doveadm: Compile fix for previous auth change.
	[c126a88546f8]

	* src/auth/auth-request.c, src/auth/passdb.c, src/auth/password-
	scheme.c, src/auth/password-scheme.h:
	auth: If password data isn't valid for specified scheme, give a
	better error message.
	[c9894346b1a3]

2011-09-30  Timo Sirainen  <tss@iki.fi>

	* src/imap/cmd-copy.c, src/imap/cmd-expunge.c, src/imap/cmd-store.c,
	src/imap/imap-search-args.c:
	imap: Memory leak fixes for invalid parameter handling.
	[1fd1321e55f4]

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-mail.c, src/lib-storage/index/imapc/imapc-
	mail.h, src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: Keep the last fetched message body cached until mailbox is
	closed. This primarily helps partial IMAP fetches so each partial
	fetch doesn't redownload the message body.
	[5726f89486a0]

	* src/imap/imap-client.h, src/imap/imap-fetch-body.c:
	imap: Moved partial fetch cache from static variable into struct
	client.
	[690f60827f59]

	* src/lib-storage/index/maildir/maildir-mail.c:
	maildir: Handle open() failing with ESTALE.
	[64d3f748a612]

2011-09-27  Timo Sirainen  <tss@iki.fi>

	* src/stats/client-export.c, src/stats/mail-command.c, src/stats/mail-
	command.h:
	stats: Mail commands were sorted in wrong order, so they were never
	removed from memory.
	[e62621d28591]

	* src/pop3/pop3-client.c:
	pop3: Fixed POP3-order sorting.
	[69826dc7a959]

	* src/stats/mail-command.c, src/stats/mail-domain.c, src/stats/mail-
	ip.c, src/stats/mail-session.c, src/stats/mail-user.c:
	stats: Compiler warning fixes.
	[b36ad0f9b3cf]

	* src/stats/mail-stats.c:
	stats: Error message fix.
	[4538030286f6]

	* src/lib/network.c:
	Compile fix for Solaris.
	[b020b9f7aa54]

2011-09-26  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/dbox-single/sdbox-sync.c:
	sdbox: Memory leak fix.
	[415aa8e92203]

	* src/auth/Makefile.am, src/auth/auth-settings.c, src/auth/auth-
	settings.h, src/auth/passdb-imap.c:
	auth: Added passdb imap plugin.
	[fe89e95867a4]

	* configure.in, src/Makefile.am, src/lib-imap-client/Makefile.am, src
	/lib-imap-client/imapc-client-private.h, src/lib-imap-client/imapc-
	client.c, src/lib-imap-client/imapc-client.h, src/lib-imap-client
	/imapc-connection.c, src/lib-imap-client/imapc-connection.h, src
	/lib-imap-client/imapc-msgmap.c, src/lib-imap-client/imapc-msgmap.h,
	src/lib-storage/index/imapc/Makefile.am, src/lib-storage/index/imapc
	/imapc-client-private.h, src/lib-storage/index/imapc/imapc-client.c,
	src/lib-storage/index/imapc/imapc-client.h, src/lib-
	storage/index/imapc/imapc-connection.c, src/lib-storage/index/imapc
	/imapc-connection.h, src/lib-storage/index/imapc/imapc-msgmap.c, src
	/lib-storage/index/imapc/imapc-msgmap.h:
	Moved imapc-client into its own lib-imap-client library.
	[743ebecc1224]

2011-09-25  Pascal Volk  <user@localhost.localdomain.org>

	* .hgignore, doc/man/Makefile.am, doc/man/doveadm-move.1.in,
	doc/man/doveadm.1.in:
	man: Added doveadm move.
	[af13ef62d083]

2011-09-23  Timo Sirainen  <tss@iki.fi>

	* src/stats/mail-command.c:
	stats: Make sure unfinished commands get freed when their session
	disconnects.
	[67a545272b3f]

	* src/lib/file-dotlock.c:
	file_dotlock: And fix to previous change..
	[df74f0052707]

	* src/lib/file-dotlock.c:
	file_dotlock: Don't warn about changed mtime when it's 1 second.
	This is mainly to avoid bogus warnings with NFS and its caching.
	[fecd095394b6]

	* src/lib-storage/index/maildir/maildir-util.c:
	maildir: Improved guessing filename when it's still in new/ dir.
	[b3111bbbaf22]

	* src/lib-storage/index/maildir/maildir-uidlist.c:
	maildir: Don't always drop new flag from files when syncing.
	[f24550491039]

	* src/lib-storage/mail-namespace.c:
	lib-storage: mail_namespace_find_unalias() crashed when namespace
	wasn't found.
	[ed97724884a2]

	* src/doveadm/server-connection.c:
	doveadm server: Previous non-authentication fix broken
	authentication.
	[46e90b44d378]

	* src/plugins/fts/fts-parser-script.c:
	fts: Support also RFC 2231 style parsing when finding the attachment
	filename.
	[e932f81eba48]

2011-09-22  Timo Sirainen  <tss@iki.fi>

	* src/plugins/fts/fts-parser-script.c:
	fts: Fixed running attachment decoder scripts.
	[2b219b549007]

	* src/lib-storage/index/imapc/imapc-save.c:
	imapc: Fix to previous message saving change.
	[43df6495edb8]

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-mail.c, src/lib-storage/index/imapc/imapc-
	mail.h, src/lib-storage/index/imapc/imapc-save.c:
	imapc: Allow accessing a mail that is being saved without crashing.
	This fixes crashes with LDA, LMTP, mail_log plugin, etc.
	[b6633cb57814]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	iampc: Small code cleanup.
	[645a56f9d8ee]

	* src/lib-mail/rfc822-parser.c:
	lib-mail: Added broken input workaround to
	rfc822_parse_content_param().
	[00b6848a5a63]

	* src/login-common/client-common.c, src/login-common/login-common.h,
	src/login-common/main.c:
	login: Added -R <dir> parameter to write pre-login rawlogs to given
	directory.
	[1ff636720b9f]

	* src/login-common/client-common.c:
	login: "cert required, client didn't start TLS" error could have
	been logged wrongly.
	[e19a3a2d554d]

2011-09-21  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mailbox-list.c, src/lib-storage/mailbox-list.h:
	Added new mail_location setting "UTF8" to use UTF-8 instead of
	mUTF-7 in storage names. This basically changes mailbox names to be
	UTF-8 everywhere where they are mUTF-7 currently (filesystem,
	subscriptions, etc.)
	[fbbf2802e11f]

	* src/lib-storage/index/imapc/imapc-connection.c:
	imapc: Don't try to send literal stream output until its '+' has
	been received.
	[9a42e3690b1b]

	* src/lib-storage/index/imapc/imapc-client.c, src/lib-
	storage/index/imapc/imapc-client.h, src/lib-storage/index/imapc
	/imapc-connection.c, src/lib-storage/index/imapc/imapc-settings.c,
	src/lib-storage/index/imapc/imapc-settings.h, src/lib-
	storage/index/imapc/imapc-storage.c:
	imapc: Added imapc_rawlog_dir setting.
	[87662d9ceff8]

	* src/lib/Makefile.am, src/lib/iostream-rawlog-private.h, src/lib
	/iostream-rawlog.c, src/lib/iostream-rawlog.h, src/lib/istream-
	rawlog.c, src/lib/istream-rawlog.h, src/lib/ostream-rawlog.c,
	src/lib/ostream-rawlog.h:
	Added rawlog i/ostreams.
	[0860ac364dec]

	* src/lib-ssl-iostream/ostream-openssl.c:
	lib-ssl-iostream: If flush wants to read, make sure the flush
	callback isn't being called again.
	[e0bee6c56a05]

	* src/lib/ostream.c:
	ostream: Keep track of flush callback for filter ostreams as well.
	[62e1c575b16a]

	* src/lib/istream.c:
	i_stream_next_line(): Don't fail if stream doesn't have write
	buffer, we can handle it.
	[0fb296c11edc]

	* src/lib-fs/ostream-cmp.c, src/lib-ssl-iostream/ostream-openssl.c,
	src/lib/ostream-buffer.c, src/lib/ostream-file.c, src/lib/ostream-
	private.h, src/lib/ostream.c, src/plugins/zlib/ostream-bzlib.c,
	src/plugins/zlib/ostream-zlib.c:
	Simplified creating filter ostreams.
	[8c3c0e01e00d]

	* src/lib-fs/ostream-cmp.c, src/lib-mail/istream-dot.c, src/lib-mail
	/istream-header-filter.c, src/lib-ssl-iostream/istream-openssl.c,
	src/lib-ssl-iostream/ostream-openssl.c, src/lib-storage/index
	/istream-attachment.c, src/lib-storage/index/istream-mail-stats.c,
	src/lib-storage/index/mbox/istream-raw-mbox.c, src/lib-test/test-
	common.c, src/lib/Makefile.am, src/lib/ioloop-epoll.c, src/lib
	/ioloop-internal.h, src/lib/ioloop-iolist.c, src/lib/ioloop-
	kqueue.c, src/lib/ioloop-notify-dn.c, src/lib/ioloop-notify-fd.c,
	src/lib/ioloop-notify-inotify.c, src/lib/ioloop-notify-kqueue.c,
	src/lib/ioloop-notify-none.c, src/lib/ioloop-poll.c, src/lib/ioloop-
	private.h, src/lib/ioloop-select.c, src/lib/ioloop.c, src/lib
	/iostream-internal.h, src/lib/iostream-private.h,
	src/lib/iostream.c, src/lib/istream-base64-encoder.c, src/lib
	/istream-concat.c, src/lib/istream-crlf.c, src/lib/istream-data.c,
	src/lib/istream-file.c, src/lib/istream-internal.h, src/lib/istream-
	limit.c, src/lib/istream-mmap.c, src/lib/istream-private.h, src/lib
	/istream-seekable.c, src/lib/istream-tee.c, src/lib/istream.c,
	src/lib/ostream-buffer.c, src/lib/ostream-file.c, src/lib/ostream-
	internal.h, src/lib/ostream-private.h, src/lib/ostream.c, src/lib
	/test-istream-base64-encoder.c, src/lib/test-istream-concat.c,
	src/lib/test-istream-crlf.c, src/lib/test-istream-seekable.c,
	src/lib/test-istream-tee.c, src/plugins/zlib/istream-bzlib.c,
	src/plugins/zlib/istream-zlib.c, src/plugins/zlib/ostream-bzlib.c,
	src/plugins/zlib/ostream-zlib.c:
	Renamed lib/*-internal.h files to lib/*-private.h for consistency.
	[cf77e448295c]

2011-09-19  Timo Sirainen  <tss@iki.fi>

	* src/doveadm/server-connection.c:
	doveadm: Fixed sending commands to doveadm server when it didn't
	require authentication.
	[1d8009c7b67e]

2011-09-21  Timo Sirainen  <tss@iki.fi>

	* src/lib-ssl-iostream/iostream-openssl.c, src/lib-ssl-iostream
	/iostream-openssl.h, src/lib-ssl-iostream/ostream-openssl.c:
	lib-ssl-iostream: Don't require SSL ostream to always have unlimited
	buffer size. It's important when reading/handshaking wants to write
	to output buffer, but writing itself can safely have zero sized
	buffer (e.g. while sending a large input stream).
	[b97c53c54f72]

2011-09-20  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-msgmap.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: Added more checks to catch buggy IMAP server responses.
	[d174fa047d56]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: When remote IMAP server becomes confused, don't mark our
	indexes corrupted. Mark them corrupted only when after a
	reconnection the initial mailbox sync doesn't work.
	[1dcc1ebe9516]

	* src/lib-storage/index/imapc/imapc-mail-fetch.c:
	imapc: Filter out X-Message-Flag: header from incoming mails. This
	is only added by MS Exchange when \Flagged flag is set, so it could
	be made optional, but it probably doesn't really hurt to just make
	it unconditional to ease the configuration.
	[501b33c4aa28]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: If FETCH is missing a reply, but we haven't seen EXPUNGE for
	it, do NOOP and check again. This fixes checking if message is
	expunged with servers that don't immediately send EXPUNGE during UID
	FETCH.
	[a15a1b1994cc]

	* src/lib-storage/index/imapc/imapc-storage.c, src/lib-storage/mail-
	storage-service.c:
	Increased initial memory pool sizes.
	[bed9bc9b9e22]

	* src/lib-storage/index/imapc/imapc-sync.c:
	imapc: If mailbox sync fails, don't mark index corrupted. The sync
	could have failed because of disconnection. The failure will just
	cause the sync to be rollbacked and retried later. No need to delete
	the whole index.
	[c9b758cd6c43]

	* src/lib-storage/index/imapc/imapc-sync.c:
	imapc: next_uid was sometimes lowered.
	[5a27ac58db25]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: When IMAP server unexpectedly doesn't send a reply, log also
	the mailbox name.
	[60f31136af52]

	* src/lib/ioloop-notify-inotify.c:
	inotify: If read() fails with EAGAIN, ignore it instead of dying.
	[803979bc30ab]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Handle disconnection better when fetching a mail.
	[25f9856be51e]

2011-09-19  Timo Sirainen  <tss@iki.fi>

	* configure.in:
	Enable --no-undefined linker flag only for Linux. BSDs don't seem to
	be happy with it.
	[7d9163ce4253]

	* src/plugins/fts-lucene/fts-lucene-plugin.c:
	fts-lucene: Fixed to work without stemmer support.
	[02c84406c661]

	* src/lib/network.c:
	Compile fix for OpenBSD.
	[97135a53951e]

	* src/doveadm/doveadm-mail-move.c:
	doveadm: Typofix s/messsage/message/
	[ee36cef69246]

2011-09-16  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset f9e744ffe021
	[823b7ab2e1d7]

	* .hgtags:
	Added tag 2.1.alpha2 for changeset f9e744ffe021
	[9b2c23b63474]

	* configure.in:
	Released v2.1.alpha2.
	[f9e744ffe021] [2.1.alpha2]

	* .hgsigs, .hgtags, NEWS, configure.in, src/auth/main.c, src/auth
	/passdb-ldap.c, src/doveadm/doveadm-mail-altmove.c, src/doveadm
	/doveadm-mail-iter.c, src/dsync/dsync-worker-local.c,
	src/dsync/dsync.c, src/lib-index/mail-cache.h, src/lib-index/mail-
	index-transaction-update.c, src/lib-index/mail-index-view.c, src
	/lib-index/mail-index.h, src/lib-lda/mail-deliver.c, src/lib-sql
	/driver-mysql.c, src/lib-sql/driver-sqlpool.c, src/lib-storage/index
	/dbox-common/dbox-storage.c, src/lib-storage/index/dbox-single
	/sdbox-storage.c, src/lib-storage/index/index-storage.c, src/lib-
	storage/index/index-sync.c, src/lib-storage/index/index-
	transaction.c, src/lib-storage/index/mbox/mbox-mail.c, src/lib-
	storage/index/mbox/mbox-storage.c, src/lib-storage/index/shared
	/shared-storage.c, src/lib-storage/mail-copy.c, src/lib-storage
	/mail-storage-service.c, src/lib-storage/mail-storage.c, src/lib-
	storage/mail-storage.h, src/lib-storage/mailbox-list.c,
	src/lib/ioloop.c, src/lib/ioloop.h:
	Merged changes from v2.0.15.
	[490a85b869e0]

	* .hgsigs:
	Added signature for changeset 11ef52450096
	[22858efc84bb]

	* .hgtags:
	Added tag 2.0.15 for changeset 11ef52450096
	[48395777f852]

	* NEWS, configure.in:
	Released v2.0.15.
	[11ef52450096] [2.0.15]

	* src/auth/main.c:
	auth: Use "auth-worker:" log prefix for auth worker processes.
	[8379707478d7]

	* src/lib-storage/mail-storage.c:
	lib-storage: Improved debug logging messages.
	[19086b0d53f4]

	* src/lib-storage/index/shared/shared-storage.c:
	lib-storage: If shared namespace prefix doesn't end with hierarchy
	separator, fail.
	[ea657df52a85]

	* src/lib-storage/mail-storage.c:
	lib-storage: If mailbox_rename() isn't possible and mail_debug=yes,
	log the reason why.
	[e57bd3e2ec27]

	* src/lib-storage/mailbox-list.c:
	lib-storage: Changed debug message to sound less like an error
	message.
	[99e1a9aa03f7]

	* src/lib-sql/driver-sqlpool.c:
	lib-sql: Fixed load balancing between multiple SQL hosts to actually
	work.
	[327698228158]

	* src/doveadm/doveadm-mail-iter.c, src/lib-index/mail-index-
	transaction-update.c, src/lib-storage/index/index-sync.c:
	s/commiting/committing/ Caught by Marco Nenciarini.
	[79d54b6ccfe1]

	* src/config/config-parser.c:
	config: Don't crash strlist section contains a subsection.
	[1a57526721d7]

	* doc/man/dsync.1.in:
	man: Escape fix.
	[2795be14f37f]

2011-09-15  Pascal Volk  <user@localhost.localdomain.org>

	* doc/man/doveadm-altmove.1.in:
	man: Added -r option to doveadm-altmove.1.
	[85853915c8c0]

2011-09-15  Timo Sirainen  <tss@iki.fi>

	* src/lib-sql/sql-api-private.h:
	lib-sql: Dropped connect timeout to 5 seconds. Postfix is using 10
	second auth timeout and this needs to be less than that.
	[20a901f1de31]

	* src/lib-sql/driver-sqlpool.c:
	lib-sql: Don't try to connect to connections that are going to be
	reconnected later. This avoids unnecessarily trying to connect to
	failing connections.
	[3955a5b2a917]

	* src/lib-sql/driver-sqlpool.c:
	lib-sql: Connect to all configured hosts immediately. This makes
	load balancing between them actually work always.
	[55552b4e8c65]

	* src/lib-sql/driver-sqlpool.c:
	lib-sql: When escaping a string, use the first ready connection (if
	any). This avoids unnecessarily trying to reconnect to a failing
	connection.
	[1b829680dce4]

	* src/lib-sql/driver-mysql.c:
	lib-sql: If MySQL connect takes more than 1 sec, don't try to
	reconnect for that many secs.
	[11273f581686]

	* src/lib-sql/driver-mysql.c:
	lib-sql: If MySQL connect fails, update ioloop times so later
	timeouts get added properly.
	[c056bd23fdcc]

	* src/lib/ioloop.c, src/lib/ioloop.h:
	liblib: Added io_loop_time_refresh()
	[3334c12a2b1a]

	* src/auth/auth-request-handler.c:
	auth: Don't assert-crash if login client disconnects during multi-
	reply mechanism.
	[0dffdc3bfad1]

	* src/lib-storage/index/mbox/mbox-storage.c:
	mbox: mailbox_get_guid() works now without trying to sync the opened
	mailbox. This fixes assert-crash when LDA was trying to get mailbox
	GUID during save.
	[0264ac68c770]

	* src/doveadm/doveadm-mail-altmove.c:
	doveadm altmove: Added -r parameter to move mails back to primary
	storage.
	[1910c76a6cc9]

2011-09-13  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mail-storage-service.c:
	Removed unnecessary code.
	[d635bcf35df7]

	* src/dsync/dsync.c:
	dsync: Ignore SIGHUP
	[41dd8f4d44d5]

	* src/lib-index/mail-index-view.c:
	lib-index: mail_index_view_clone() didn't properly clear all fields
	in the destination view. The only caller already had it cleared
	though. Patch by Mike Abbott / Apple.
	[df8bd044a47d]

2011-09-12  Timo Sirainen  <tss@iki.fi>

	* src/dsync/dsync-worker-local.c:
	dsync: If mailbox can't be opened, log an error but continue anyway.
	[3c8b44bb1974]

	* src/lib-storage/index/mbox/mbox-mail.c:
	mbox: Fixed fetching last message from compressed mboxes.
	[a930318a74a1]

	* src/plugins/quota/quota-dirsize.c:
	quota-dirsize: Get the quota from "mail root dir", not "mailboxes
	dir". Normally they are different only with dbox (~/dbox vs.
	~/dbox/mailboxes). This mainly fixes using dirsize with mdbox, where
	the mail data is in ~/dbox/storage/ directory. Patch by Роман
	Захров.
	[9ea79795088d]

	* src/auth/passdb-ldap.c:
	ldap: Fixed auth binds for nonexistent users with some LDAP servers.
	[d00c95f33643]

2011-09-08  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/mail-storage-service.c:
	lib-storage: Error handling fix for key+=value when key isn't of
	string type.
	[0f63b7c5dd7c]

	* src/lmtp/lmtp-proxy.c:
	lmtp: Improved "DATA output timeout" error message.
	[8de8752b2e94]

	* src/lib-lda/mail-deliver.c:
	lib-lda: Log message improvement to differentiate mailbox open vs.
	save error.
	[323ab62983b6]

	* src/lib-storage/mail-copy.c:
	lib-storage: Fixed mail_storage_copy() error handling.
	[858298eb101f]

	* src/lib-storage/index/dbox-common/dbox-storage.c, src/lib-
	storage/index/dbox-single/sdbox-storage.c, src/lib-storage/index
	/index-storage.c:
	lib-storage: Minor error handling cleanups.
	[1903d5fd7e76]

2011-09-01  Timo Sirainen  <tss@iki.fi>

	* src/lib-index/mail-index-sync-update.c, src/lib-index/mail-index-
	view-sync.c:
	lib-index: Make sure mail_index_sync_record() doesn't waste data
	stack.
	[1a6528646e11]

2011-08-30  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/index-sync.c, src/lib-storage/index/index-
	transaction.c, src/lib-storage/mail-storage.h:
	lib-storage: Added MAILBOX_TRANSACTION_FLAG_NO_CACHE_DEC and use it
	when precaching. The result is that "doveadm index" no longer
	changes caching decisions.
	[5320315600a4]

	* src/lib-index/mail-cache-decisions.c, src/lib-index/mail-cache-
	private.h, src/lib-index/mail-cache.c, src/lib-index/mail-cache.h:
	lib-index: Added mail_cache_view_update_cache_decisions()
	[efedf0644da8]

2011-09-16  Timo Sirainen  <tss@iki.fi>

	* TODO:
	TODO updated
	[6a918d40d6f7]

	* src/plugins/acl/acl-plugin.h, src/plugins/acl/acl-shared-storage.c:
	acl: Fixed listing multiple shared namespaces.
	[4552430ae44e]

	* src/lib-storage/mail-storage.c:
	lib-storage: Don't try to use the same mail_storage for shared
	storages. This fixes having multiple independent shared namespaces.
	[cfbca51c0ade]

	* src/imap/cmd-list.c, src/lib-storage/index/shared/shared-list.c, src
	/lib-storage/list/mailbox-list-subscriptions.c:
	Fixes to listing mailboxes/subscriptions in shared namespaces.
	[080c8f9521d2]

	* src/plugins/quota/quota.c:
	quota: When matching mailbox names in quota rules, unalias
	namespaces first.
	[7f7dc4c89d04]

	* src/lib-storage/mail-namespace.c, src/lib-storage/mail-namespace.h:
	lib-storage: Added mail_namespace_find_unalias()
	[ff6272a52f0d]

2011-09-15  Timo Sirainen  <tss@iki.fi>

	* src/stats/client-export.c:
	stats: Export also username for commands.
	[61d3544f8fdf]

	* src/lib-storage/list/mailbox-list-subscriptions.c:
	lib-storage: Fixed listing subscriptions in shared namespaces.
	[309a707c22c0]

2011-09-13  Timo Sirainen  <tss@iki.fi>

	* src/auth/main.c:
	auth: Use auth-worker(pid) prefix for auth processes.
	[667f604e79c5]

	* src/lib-storage/mail-storage.c:
	lib-storage: Make sure status/metadata structs are cleared when
	they're looked up.
	[8eea5682ac5b]

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Handle \Noselect flag properly for untagged LSUB replies.
	[50d0906b556f]

	* src/lib-storage/list/mailbox-list-subscriptions.c:
	lib-storage: Fixed handling subscriptions when they were saved to
	prefix!="" namespace.
	[f3eb6cc4b627]

	* src/lib-storage/index/imapc/imapc-client.c:
	imapc: Crashfix when sometimes closing mailbox.
	[e60a3b29117c]

2011-09-12  Timo Sirainen  <tss@iki.fi>

	* src/plugins/stats/stats-plugin.c, src/plugins/stats/stats-plugin.h,
	src/stats/client-export.c, src/stats/mail-stats.c, src/stats/mail-
	stats.h:
	stats: Track [rw]char and sysc[rw] fields in /proc/self/io (with
	Linux).
	[835891cf2eef]

	* src/plugins/stats/stats-plugin.c, src/stats/client-export.c,
	src/stats/mail-stats.c, src/stats/mail-stats.h:
	stats: Added mail_ prefix to mail transaction statistics. Also added
	"m" prefix for them in the internal protocol.
	[b1870cf2d3ff]

	* src/dsync/dsync-worker-local.c:
	dsync: If mailbox can't be opened, log an error but continue anyway.
	[74e945315e2c]

	* src/plugins/fts-squat/fts-backend-squat.c:
	fts-squat: Crashfixes on indexing.
	[ddb5c2a8f3d2]

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: Don't break when there are duplicate From/To/Subject/etc.
	fields.
	[600034b77a1c]

	* src/stats/mail-session.c:
	stats: Increased idle timeout to 15 minutes.
	[502b794f654b]

	* src/stats/mail-command.c, src/stats/mail-session.c, src/stats/mail-
	session.h:
	stats: Avoid duplicate "Couldn't find session GUID" warnings. When
	it happens, just create a dummy session for it and log a warning
	once.
	[2492161a87f5]

	* src/plugins/virtual/virtual-storage.c:
	virtual: Compile fix for recent mailbox_exists() change.
	[a2c62701a1c4]

	* src/indexer/master-connection.c:
	indexer: Fixed assert-crash when number of indexed messages was
	divisible by 100.
	[f4899179ad4c]

	* src/lib-storage/index/mbox/mbox-mail.c:
	mbox: Fixed fetching last message from compressed mboxes.
	[ea8f667ac6ef]

	* src/plugins/quota/quota-dirsize.c:
	quota-dirsize: Get the quota from "mail root dir", not "mailboxes
	dir". Normally they are different only with dbox (~/dbox vs.
	~/dbox/mailboxes). This mainly fixes using dirsize with mdbox, where
	the mail data is in ~/dbox/storage/ directory. Patch by Роман
	Захров.
	[1a39f7648c9d]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-list.h, src/lib-storage/index/imapc/imapc-
	storage.c:
	imapc: Fixed mailbox_exists() to actually work. This fixes problems
	with subscribing to mailboxes.
	[cc9332de9982]

	* src/lib-storage/index/index-storage.c, src/lib-storage/index/index-
	storage.h, src/lib-storage/index/maildir/maildir-storage.c, src/lib-
	storage/mail-storage.c:
	lib-storage: Handle INBOX in the common mailbox_exists() code.
	[3844653d483a]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-storage.c:
	imapc: Fixes to handling non-empty imapc namespace prefix.
	[59c7b30973cf]

	* src/lib-storage/mailbox-list.c:
	lib-storage: Fixed mailbox_list_mailbox() for backends without
	get_mailbox_flags().
	[84e31a32293e]

	* src/lib-storage/list/mailbox-list-fs-flags.c, src/lib-storage/list
	/mailbox-list-fs.h:
	lib-storage: Finished previous get_mailbox_flags() change.
	[7669862d95e7]

	* src/lib-storage/list/mailbox-list-fs-iter.c, src/lib-storage/list
	/mailbox-list-maildir-iter.c, src/lib-storage/list/mailbox-list-
	maildir.h, src/lib-storage/list/mailbox-list-none.c, src/lib-storage
	/mailbox-list-private.h, src/lib-storage/mailbox-list.c:
	lib-storage: Removed unused struct stat parameter from
	mailbox_list.get_mailbox_flags()
	[896ed71917aa]

2011-09-09  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-storage.c:
	imapc: More fixes to listing mailbox names.
	[3e1aad7bfd97]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-save.c, src/lib-storage/index/imapc/imapc-
	storage.c, src/lib-storage/index/imapc/imapc-storage.h:
	imapc: Another try at fixing mUTF-7 mailbox names.
	[0801852b2156]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-save.c, src/lib-storage/index/imapc/imapc-
	storage.c, src/lib-storage/index/imapc/imapc-storage.h:
	imapc: Use mUTF-7 for mailbox names.
	[92ab9fa4ec36]

2011-09-08  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-mail-fetch.c:
	imapc: If mail prefetching fails because of disconnection, don't log
	about it again.
	[ec947cc9c9c7]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: If NOOP fails with disconnection, set "internal error" to
	storage.
	[960907bfc29e]

	* src/plugins/fts-solr/fts-backend-solr-old.c, src/plugins/fts-solr
	/fts-backend-solr.c:
	fts-solr: Fixed indexing messages with multiple MIME body parts.
	[283e08771d92]

	* src/lib-storage/index/imapc/imapc-client.c, src/lib-
	storage/index/imapc/imapc-connection.c:
	imapc: Send NOOP command every 29 minutes to remote server. This
	avoids server idle-disconnecting us after doing nothing for 30
	minutes.
	[1aa51cd11614]

	* src/lib-ssl-iostream/iostream-openssl.c, src/lib-ssl-iostream
	/iostream-openssl.h:
	lib-ssl-iostream: If plain stream disconnects, disconnect SSL stream
	also.
	[c53f15aab7aa]

	* src/lib-lda/mail-deliver.c:
	lib-lda: Log message improvement to differentiate mailbox open vs.
	save error.
	[2d82377dc855]

	* src/lib-storage/mail-copy.c:
	lib-storage: Fixed mail_storage_copy() error handling.
	[b69feb0352f1]

	* src/lib-storage/mail-storage.c:
	lib-storage: Code cleanup to mail_storage_set_critical()
	[84bce2c8626f]

	* src/lib-storage/index/dbox-common/dbox-storage.c, src/lib-
	storage/index/dbox-single/sdbox-storage.c, src/lib-storage/index
	/index-storage.c:
	lib-storage: Minor error handling cleanups.
	[bba92468b051]

2011-09-01  Timo Sirainen  <tss@iki.fi>

	* src/lib-index/mail-index-sync-update.c, src/lib-index/mail-index-
	view-sync.c:
	lib-index: Make sure mail_index_sync_record() doesn't waste data
	stack.
	[ad9b826df5a2]

2011-09-07  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-client.c, src/lib-
	storage/index/imapc/imapc-connection.c, src/lib-storage/index/imapc
	/imapc-connection.h:
	imapc: When closing mailbox, don't abort any pending non-mailbox
	commands.
	[d3335654e9a7]

	* src/auth/auth.c:
	auth: Don't crash when using default static userdb.
	[fdca1c2cce01]

	* src/lib-ssl-iostream/iostream-openssl.c:
	lib-ssl-iostream: Some tweaks to BIO handling.
	[9380133c8531]

	* src/lib-storage/index/imapc/imapc-sync.c:
	imapc: Fixed assert-crashing when deleting a mailbox
	[f7de547a54d5]

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Place index files under root_dir/indexes/ directory.
	[c943580d3a1b]

	* src/lib-index/mail-index-sync.c:
	lib-index: Don't allow syncing to begin if index is marked
	corrupted.
	[9815d3292470]

	* src/lib-ssl-iostream/ostream-openssl.c:
	lib-ssl-iostream: Handle flush_pending and set_max_buffer_size
	properly.
	[4b707b98176e]

	* src/lib-ssl-iostream/ostream-openssl.c:
	lib-ssl-iostream: Fixed ostream to preserve/use flush callback
	correctly.
	[de7f3810589a]

	* src/lib-storage/index/imapc/imapc-connection.c:
	imapc: Switch connection output streams' ioloop when needed. This
	fixes hangs when output stream got full.
	[31471ce338ab]

	* src/lib-ssl-iostream/iostream-openssl.c:
	lib-ssl-iostream: When plain_output's buffer is full, set it flush-
	pending. This fixes hangs when the output buffer got full.
	[d96c03d7eeef]

	* src/lib-ssl-iostream/ostream-openssl.c, src/lib/ostream-file.c,
	src/lib/ostream-internal.h, src/lib/ostream.c, src/lib/ostream.h,
	src/plugins/zlib/ostream-bzlib.c, src/plugins/zlib/ostream-zlib.c:
	Added o_stream_switch_ioloop() and implemented it to all ostreams.
	[977dcd541f69]

	* src/lib-storage/index/imapc/imapc-list.c, src/lib-
	storage/index/imapc/imapc-list.h, src/lib-storage/index/imapc/imapc-
	storage.c:
	imapc: Connect to server immediately at startup and lookup hierarchy
	separator. If connecting to server fails, this makes it fail
	earlier. Also we don't have to worry about what to do later if
	hierarchy separator lookup fails.
	[e5570ee5d695]

	* src/lib-ssl-iostream/istream-openssl.c, src/lib-ssl-iostream
	/ostream-openssl.c:
	lib-ssl-iostream: When SSL i/ostream is closed, close also the plain
	stream.
	[0e1a65d30964]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h, src/lib-storage/index/imapc/imapc-sync.c:
	imapc: Don't crash if a newly seen uncommitted message is expunged.
	[3ae5d7e0a4b4]

	* src/lib-storage/index/imapc/imapc-mail.c, src/lib-
	storage/index/imapc/imapc-mailbox.c:
	imapc: Removed accidentally committed debug sleeps.
	[3828fa3b8fd4]

	* src/lib-ssl-iostream/iostream-ssl-none.c:
	lib-ssl-iostream: Fixed compiling when SSL is disabled.
	[513802d016a0]

	* src/lib-ssl-iostream/ostream-openssl.c:
	lib-ssl-iostream: Compiler warning fix.
	[fb03574ddd34]

2011-09-06  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/imapc/imapc-list.c:
	imapc: Don't crash when trying to use imapc's subscription list for
	another namespace.
	[7ae9c4aa5edb]

	* src/lib-storage/mail-storage-service.c:
	lib-storage: When mail_debug=yes logs userdb fields, hide values of
	all whose key contains "pass".
	[af6a6da91978]

	* src/lib-auth/auth-master.c:
	lib-auth: When debug logging auth input, hide values of all fields
	containing "pass" in key.
	[1180505cdcdb]

	* src/auth/auth-master-connection.c:
	auth: If auth_debug_passwords=no, hide values of userdb keys
	containing "pass" string.
	[7b115033405d]

	* src/lib-storage/index/imapc/imapc-connection.c:
	imapc: Error logging fix when SSL handshake fails.
	[991ce1aed5f7]

	* src/lib-storage/index/imapc/imapc-connection.c:
	imapc: Verify that SSL certificate matches the connected hostname.
	[e40d6b5ef97e]

	* src/lib-ssl-iostream/iostream-openssl.c, src/lib-ssl-iostream
	/iostream-ssl.h:
	lib-ssl-iostream: Added ssl_iostream_cert_match_name()
	[c3dc563c9800]

	* src/lib-ssl-iostream/iostream-openssl.c, src/lib-ssl-iostream
	/iostream-openssl.h, src/lib-ssl-iostream/istream-openssl.c, src
	/lib-ssl-iostream/ostream-openssl.c:
	lib-ssl-iostream: Code cleanups, fixes, asserts and comments.
	[6a3f3a5ad9a5]

2011-09-05  Timo Sirainen  <tss@iki.fi>

	* src/lib-ssl-iostream/iostream-openssl.c:
	lib-ssl-iostream: Avoid assert-crashing when remote disconnects
	during write.
	[44bbbb238f2a]

	* src/lib-storage/index/maildir/maildir-storage.h, src/lib-
	storage/index/maildir/maildir-sync.c:
	maildir: Avoid refreshing uidlist unnecessarily. Even if the uidlist
	itself wasn't read, it was still stat()ed.
	[4124c28db2a4]

	* src/lib-storage/index/maildir/maildir-sync.c:
	maildir: When logging "scanning took n secs" warning, log also why
	scan was done. This could help debugging why cur/ directory is
	sometimes scanned with maildir_very_dirty_syncs=yes (if the previous
	commit didn't fully solve it).
	[ae7a7282af83]

	* src/lib-storage/index/maildir/maildir-uidlist.c:
	maildir: Drop internal new-flag from mails that have been moved from
	new/ to cur/. This avoids unnecessary cur/ directory scans.
	[ed8ed96cc828]

	* src/stats/mail-session.c:
	stats: Don't crash at deinit if there are still connected sessions.
	[361aafbd448c]

	* src/stats/mail-session.c:
	stats: If forcibly disconnecting a session, show the session's
	username also.
	[7669b0fbada5]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: mailbox_status now returns permanent flags/keywords as they
	are on remote server.
	[4ddbbfa1c515]

	* src/lib-storage/mailbox-keywords.c:
	lib-storage: mailbox_keyword_is_valid() returns now FALSE if keyword
	can't be created.
	[a5e47ce5a5a0]

	* src/lib-storage/index/index-status.c, src/lib-storage/mail-storage-
	private.h:
	lib-storage: Added mailbox.disallow_new_keywords and use it for
	mailbox_status.
	[d15b173688f9]

2011-09-04  Timo Sirainen  <tss@iki.fi>

	* src/stats/stats-settings.c:
	stats: Add stats_ prefix to all settings.
	[c979efcc13cf]

	* src/master/service-listen.c:
	master: fifos weren't created with correct user/group.
	[667b3e80acf5]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Another compiler warning fix.
	[7d1260ab78ac]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Compiler warning fix.
	[d504c507ba2f]

	* src/lib-storage/index/imapc/imapc-mail.c:
	imapc: Fixed checking if mail is expunged.
	[5e3d217ceedf]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Syncing fixes
	[581597411f6b]

	* src/lib-storage/index/imapc/Makefile.am, src/lib-storage/index/imapc
	/imapc-client-private.h, src/lib-storage/index/imapc/imapc-client.c,
	src/lib-storage/index/imapc/imapc-client.h, src/lib-
	storage/index/imapc/imapc-connection.c, src/lib-storage/index/imapc
	/imapc-mail.c, src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-msgmap.c, src/lib-storage/index/imapc
	/imapc-msgmap.h, src/lib-storage/index/imapc/imapc-seqmap.c, src
	/lib-storage/index/imapc/imapc-seqmap.h, src/lib-storage/index/imapc
	/imapc-storage.h, src/lib-storage/index/imapc/imapc-sync.c, src/lib-
	storage/index/imapc/test-imapc-seqmap.c:
	imapc: Redesigned remote sequence <-> index file record mapping is
	done. The previous code didn't work when multiple connections
	modified the same index files.
	[26c38da7b7fc]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h, src/lib-storage/index/imapc/imapc-sync.c:
	imapc: Delay handling new messages and setting uidvalidity/uidnext
	until sync.
	[1da4bc23d4dc]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Never use box->view for syncing related purposes. The view
	isn't up to date when MAILBOX_SYNC_FLAG_NO_EXPUNGES is used to sync
	it. Instead always use a separate sync view.
	[5dac75d12c59]

	* src/lib-index/mail-index.c:
	lib-index: Fixed reopening index file that was marked as corrupted.
	[33dc66d4286d]

	* src/lib-storage/index/imapc/imapc-client.c, src/lib-
	storage/index/imapc/imapc-client.h, src/lib-storage/index/imapc
	/imapc-mail-fetch.c, src/lib-storage/index/imapc/imapc-mail.c, src
	/lib-storage/index/imapc/imapc-save.c, src/lib-storage/index/imapc
	/imapc-storage.c, src/lib-storage/index/imapc/imapc-storage.h, src
	/lib-storage/index/imapc/imapc-sync.c:
	imapc: Fixed handling immediate changes when starting IDLE.
	[e404a1bef6bc]

	* src/lib-storage/index/imapc/imapc-mailbox.c:
	imapc: Avoid assert-crashing if a new message's UID is smaller than
	next_uid.
	[b9c967c7d66b]

	* src/lib-storage/index/imapc/imapc-mail-fetch.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h, src/lib-storage/index/imapc/imapc-sync.c:
	imapc: Error logging cleanups. Don't bother to log disconnection
	errors for NOOP.
	[7db3ed5e17ed]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.c, src/lib-storage/index/imapc
	/imapc-storage.h:
	imapc: Fixed error handling while opening mailbox.
	[0b786a676453]

	* src/lib-index/mail-index.c, src/lib-index/mail-transaction-log.c,
	src/lib-index/mail-transaction-log.h:
	lib-index: When marking index corrupted, delete also transaction log
	file.
	[7b240ecc37b5]

	* src/lib-storage/index/imapc/imapc-mailbox.c, src/lib-
	storage/index/imapc/imapc-storage.h:
	imapc: Fixed syncing external changes to mailbox when opening it.
	[f8d5f872498d]

	* src/lib-storage/index/imapc/imapc-client.c, src/lib-
	storage/index/imapc/imapc-client.h, src/lib-storage/index/imapc
	/imapc-storage.c:
	imapc: Added assert.
	[44e3c053f9f8]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Fixed IDLE handling.
	[e1a8ad9c83cd]

	* src/stats/mail-session.c:
	stats: Minor error message fix.
	[583023c4db60]

	* src/lib-storage/index/imapc/imapc-storage.c:
	imapc: Use EXAMINE command when possible.
	[54318eaada67]

	* src/stats/mail-command.c:
	stats: Don't increase session stats based on command stats. This was
	buggy because the session stats were now increased twice. It could
	have been possible to keep doing this and on UPDATE-SESSION simply
	replace the old session stats, but that might still have caused the
	session stats to temporarily go too high and then drop down.
	[9434093229aa]

	* src/anvil/anvil-connection.c:
	anvil: Assert-crashfix at exit when there were fifo connections.
	[66453d942761]

	* src/stats/mail-command.c:
	stats: Don't assert-crash at exit if there are unfinished commands.
	[ddcf7d2f109a]

2011-09-03  Timo Sirainen  <tss@iki.fi>

	* src/lib-sql/Makefile.am:
	lib-sql: Don't link sql libraries to libdovecot-sql.so when building
	them as plugins.
	[d2b27eae9221]

2011-09-02  Timo Sirainen  <tss@iki.fi>

	* src/plugins/fts-solr/fts-backend-solr.c:
	fts-solr: Don't send delete to Solr if we're quite sure it doesn't
	exist.
	[338ba56340c0]

2011-09-01  Timo Sirainen  <tss@iki.fi>

	* src/stats/mail-command.c, src/stats/mail-session.c, src/stats/mail-
	stats.c, src/stats/mail-stats.h:
	stats: Log more verbosely what happened if stats shrink.
	[1c2d8da38a06]

	* src/plugins/stats/stats-plugin.c:
	stats plugin: Get disk I/O from getrusage(), not from /proc/self/io.
	They're pretty much the same values anyway, and getrusage() is more
	portable.
	[ea0b4da3ceef]

	* .hgsigs:
	Added signature for changeset 8ae243558677
	[c05ac0650e23]

	* .hgtags:
	Added tag 2.1.alpha1 for changeset 8ae243558677
	[0308a068353e]

	* configure.in:
	Released v2.1.alpha1.
	[8ae243558677] [2.1.alpha1]

	* src/lib/network.c:
	Make static analyzer happy.
	[7b293478f609]

	* src/doveadm/doveadm-stats.c:
	doveadm: Error handling fix
	[f4082acf2e5a]

	* NEWS:
	NEWS updated
	[3a4bc00b7027]

	* TODO:
	TODO updated
	[f0fb3cede05c]

	* src/plugins/stats/stats-connection.c, src/stats/client-export.c,
	src/stats/mail-session.c, src/stats/mail-stats.h:
	stats: Keep track of session's PIDs.
	[07f02f421588]

	* src/stats/client-export.c, src/stats/mail-command.c, src/stats/mail-
	domain.c, src/stats/mail-ip.c, src/stats/mail-session.c, src/stats
	/mail-stats.h, src/stats/mail-user.c:
	stats: Keep track of last_update in microsecond precision and export
	it as such.
	[fd68963a7add]

	* src/doveadm/doveadm-print.h, src/doveadm/doveadm-stats.c:
	doveadm: Change "stats dump" default formatter to "tab".
	[03ad86ec4ebd]

	* src/doveadm/doveadm-stats.c, src/doveadm/doveadm.c,
	src/doveadm/doveadm.h:
	doveadm: Initial implementation of "stats top" command. Currently
	it's hard coded to assume ANSI compatible terminal.
	[0b7ab4965c91]

	* src/doveadm/doveadm-print-table.c:
	Increased initial memory pool size.
	[87ce8bba8731]

	* src/plugins/stats/stats-plugin.c, src/plugins/stats/stats-plugin.h:
	stats plugin: Send one no-change session update after changes. This
	tells the stats client that the session is idle now.
	[b595afb1338e]

	* src/stats/client-export.c:
	stats: Export CPU usecs prefixed with right number of zeros.
	[b43fe57b2de7]

	* src/doveadm/doveadm-stats.c:
	doveadm stats: Renamed "top" command to "dump" and allow giving any
	parameters to it.
	[55d34ec2e8ac]

	* src/stats/client-export.c:
	stats: Fixed dumping command stats.
	[5bd2deb87ccf]

	* src/stats/client-export.c, src/stats/mail-session.c,
	src/stats/main.c:
	stats: Fixed handling IP address stats.
	[f77ee6f0c42a]

	* src/plugins/imap-stats/imap-stats-plugin.c,
	src/plugins/stats/Makefile.am, src/plugins/stats/stats-plugin.c,
	src/plugins/stats/stats-plugin.h:
	stats plugin: Added stats_refresh and stats_track_cmds settings. The
	stats plugin is enabled only when refresh is set to non-zero. The
	imap_stats plugin tracks commands only when stats_track_cmds=yes.
	[ec6d171a54bd]

	* src/plugins/stats/stats-plugin.c:
	stats plugin: Optimized to lookup statistics only when necessary.
	[fafbd108008c]

	* src/plugins/stats/stats-plugin.c:
	stats: Don't attempt to track stats for autocreated users.
	[4d8cec7a7496]

	* src/lda/main.c, src/lib-storage/index/shared/shared-storage.c, src
	/lib-storage/mail-user.h, src/lmtp/client.c:
	lib-storage: Set struct mail_users.autocreated for raw/shared users.
	[f7f75a5a6abf]

	* src/plugins/stats/stats-plugin.c, src/plugins/stats/stats-plugin.h,
	src/stats/client-export.c, src/stats/mail-stats.c, src/stats/mail-
	stats.h:
	stats: Added more statistics fields (syscpu, page faults, context
	switches).
	[2211371a3de5]

	* src/doveadm/doveadm-stats.c:
	doveadm stats top: Don't hang if stats server doesn't send any
	statistics.
	[f5f7f7b48b6c]

2011-08-31  Timo Sirainen  <tss@iki.fi>

	* src/lib-storage/index/index-status.c:
	lib-storage: Recognize "flags" cache field in
	MAILBOX_METADATA_PRECACHE_FIELDS.
	[ceed6275222b]

	* src/plugins/fts-solr/fts-backend-solr-old.c, src/plugins/fts-solr
	/fts-backend-solr.c:
	fts-solr: Fixed updating last indexed uid in fts header.
	[4a993091dcc7]

	* src/plugins/fts/fts-api-private.h, src/plugins/fts/fts-storage.c:
	fts: Removed unused code.
	[cb6fea1d6d07]

	* src/plugins/fts-lucene/fts-backend-lucene.c:
	fts-lucene: Fixed checking if optimize should be done directly or
	via indexer.
	[6c6834984a42]

	* src/doveadm/doveadm-dump-index.c, src/lib-index/mail-cache-
	compress.c, src/lib-index/mail-cache.c, src/lib-index/mail-cache.h,
	src/lib-storage/index/index-status.c, src/lib-storage/index/index-
	transaction.c:
	lib-index: Changed mail_cache_view_close() API to take pointer-to-
	pointer.
	[b355309955f4]

	* src/indexer/indexer-queue.c, src/indexer/master-connection.c,
	src/indexer/worker-connection.c:
	indexer: Send completion% status updates to clients.
	[986fdb5deb7a]

	* src/doveadm/doveadm-mail-index.c, src/indexer/master-connection.c,
	src/lib-storage/index/cydir/cydir-mail.c, src/lib-storage/index
	/dbox-multi/mdbox-mail.c, src/lib-storage/index/dbox-single/sdbox-
	mail.c, src/lib-storage/index/imapc/imapc-mail.c, src/lib-
	storage/index/index-mail.c, src/lib-storage/index/index-mail.h, src
	/lib-storage/index/index-status.c, src/lib-storage/index/index-
	sync.c, src/lib-storage/index/maildir/maildir-mail.c, src/lib-
	storage/index/mbox/mbox-mail.c, src/lib-storage/index/raw/raw-
	mail.c, src/lib-storage/mail-storage-private.h, src/lib-storage
	/mail-storage.h, src/lib-storage/mail.c, src/lib-storage/test-
	mail.c, src/plugins/fts-lucene/fts-backend-lucene.c,
	src/plugins/fts/Makefile.am, src/plugins/fts/fts-api-private.h,
	src/plugins/fts/fts-build-indexer.c, src/plugins/fts/fts-build-
	mail.c, src/plugins/fts/fts-build-mail.h, src/plugins/fts/fts-build-
	mailbox.c, src/plugins/fts/fts-build-private.h, src/plugins/fts/fts-
	build-virtual.c, src/plugins/fts/fts-build.c, src/plugins/fts/fts-
	build.h, src/plugins/fts/fts-indexer.c, src/plugins/fts/fts-
	indexer.h, src/plugins/fts/fts-storage.c, src/plugins/fts/fts-
	storage.h, src/plugins/virtual/virtual-mail.c, src/plugins/virtual
	/virtual-storage.c:
	Redesigned mail precaching APIs. There's no longer a one monolithic
	mailbox_sync(MAILBOX_SYNC_FLAG_PRECACHE) call, but rather one
	mail_precache() call for each mail to be precached. This allows the
	callers to show the progress and in general is cleaner.
	[51e9b2fb0596]

	* src/plugins/fts/fts-api.c:
	fts: Fixed checking settings compatibility with non-INBOX
	namespaces.
	[1a27e3a83f1e]

	* src/lib-index/mail-cache.c, src/lib-index/mail-cache.h:
	lib-index: Added mail_cache_exists()
	[11ff6a7eb576]

2011-08-30  Timo Sirainen  <tss@iki.fi>

	* src/auth/passdb-template.c, src/auth/passdb-template.h, src/auth
	/userdb-template.c, src/auth/userdb-template.h:
	auth: Added missing files from recent commit.
	[60f3d0b8900d]

	* src/plugins/fts-lucene/fts-backend-lucene.c, src/plugins/fts-solr
	/fts-backend-solr-old.c, src/plugins/fts-solr/fts-backend-solr.c,
	src/plugins/fts-squat/fts-backend-squat.c, src/plugins/fts/fts-api-
	private.h, src/plugins/fts/fts-api.c, src/plugins/fts/fts-api.h,
	src/plugins/fts/fts-search.c:
	fts: Added lookup_done() API call. Lucene uses it to close the
	index. This way it Lucene doesn't keep the index files unnecessarily
	open forever.
	[31c8b0f1dbfd]

	* src/lib-storage/index/mbox/mbox-storage.c:
	mbox: mailbox_get_guid() does now better error handling when read-
	only mbox doesn't have GUID.
	[8f22713b21cc]

	* src/plugins/fts-lucene/lucene-wrapper.cc, src/plugins/fts-solr/fts-
	backend-solr.c:
	fts-lucene, fts-solr: Try to optimize searching for existence of
	header name.
	[a9389aed85e5]

	* doc/example-config/conf.d/auth-ldap.conf.ext, doc/example-
	config/conf.d/auth-passwdfile.conf.ext, doc/example-config/conf.d
	/auth-system.conf.ext, src/auth/Makefile.am, src/auth/auth-
	request.c, src/auth/auth-settings.c, src/auth/auth-settings.h,
	src/auth/auth.c, src/auth/passdb-static.c, src/auth/passdb.c,
	src/auth/passdb.h, src/auth/userdb-passwd.c, src/auth/userdb-
	static.c, src/auth/userdb-static.h, src/auth/userdb.c,
	src/auth/userdb.h:
	auth: Added default_fields and override_fields settings to all
	passdbs and userdbs.
	[83ac50d3b76f]

	* src/lib-storage/index/index-sync.c, src/lib-storage/index/index-
	transaction.c, src/lib-storage/mail-storage.h:
	lib-storage: Added MAILBOX_TRANSACTION_FLAG_NO_CACHE_DEC and use it
	when precaching. The result is that "doveadm index" no longer
	changes caching decisions.
	[096406c67288]

	* src/lib-index/mail-cache-decisions.c, src/lib-index/mail-cache-
	private.h, src/lib-index/mail-cache.c, src/lib-index/mail-cache.h:
	lib-index: Added mail_cache_view_update_cache_decisions()
	[4a19aea565f7]

	* NEWS, TODO, configure.in, src/doveadm/doveadm-mail-list-iter.c,
	src/doveadm/server-connection.c, src/lib-index/mail-index.c, src
	/lib-storage/index/dbox-multi/mdbox-purge.c, src/lib-storage/index
	/dbox-single/sdbox-mail.c, src/lib-storage/index/mbox/mbox-mail.c,
	src/lib-storage/mailbox-list.c, src/login-common/client-common-
	auth.c:
	Merged changes from v2.0 tree.
	[548ef72c942f]

2011-08-29  Timo Sirainen  <tss@iki.fi>

	* .hgsigs:
	Added signature for changeset aa68f38c04f0
	[e01c9f89b0b0]

	* .hgtags:
